﻿//---------------------------------------------------------------------------------------------------------------------
// Copyright (c) AUMA Riester GmbH & Co. KG (2013). All Rights Reserved
// Target System: SIMATIC PDM
//---------------------------------------------------------------------------------------------------------------------
// Imported data:
//  Name....................: Doors Export P56
//  DeviceId................: unknown
//  DeviceName..............: AC2
//  Description.............: Baseline: 1.39 (FW3.0.0-xx), BudingV, 18 February 2011, AC01.2 Firmware 03.00.00-xx
//  RequestedFirmwareVersion: 0.23
//  SchemaVersion...........: 8.00
//  Timestamp...............: 18.02.2011 10:57:17
//  Version.................: 01.39
//  Author..................: Thomas Gutmann
//---------------------------------------------------------------------------------------------------------------------
// Generated 11.01.2013 11:16:17 by EDD-Generator Version 01.00.13.00
//  Selected root menu: Hauptmenü
//  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
//---------------------------------------------------------------------------------------------------------------------
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Ident information
// 
MANUFACTURER     0x013F,
DEVICE_TYPE      3,
DEVICE_REVISION  300,
DD_REVISION      139
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Includes
// 
#ifdef _PDM_
#include "SI_FileM.inc"
#include "SI_OptM.inc"
#include "SI_HlpM.inc"
#include "Diagnosis.inc"
#endif /* _PDM_ */
#ifdef ISEDDWB
#include "pdmapi.inc"
#endif /* ISEDDWB */
#ifdef dtmGENERATOR
#include "AC2PC.ddl"
#include "AC2UP.ddl"
#endif /* dtmGENERATOR */

#ifndef dtmGENERATOR
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Check ident functionality
// 
#define DEVICE_IDENT   0x0AC2   // 0x0AC2: AC2_(1|2), 0x0C4F: AC2_1, 0x0CBD: AC2_2, 0x0C77: SXX
#define DEVICE_VERSION_MAJ   99  // 99: Base version
#define DEVICE_VERSION_MIN   99  
#include "AC2_Check.inc"
#endif /* !dtmGENERATOR */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Constants and macros
// 
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Main menu and methods
// 
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
MENU Menu_Main_Specialist
{
    LABEL		[main_menu]; //PDM based reference text
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}
 
MENU Menu_Main_Maintenance
{
    LABEL		[main_menu]; //PDM based reference text
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}
 
METHOD std_LoadinDevice
{
    LABEL		[menu_Device_LoadinDevice]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_LoadinPC
{
    LABEL		[menu_Device_LoadinPC]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
MENU Menu_View
{
    LABEL		[menu_View]; //PDM based reference text
    ITEMS
    {
        std_Funktionsleiste,
        std_Statuszeile
    }
}
 
METHOD std_Funktionsleiste
{
    LABEL		[menu_View_Toolbar]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_Statuszeile
{
    LABEL		[menu_View_Statusbar]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_Update
{
    LABEL		[menu_View_Update]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
#endif /* defined(_PDM_) && !defined(_V700_) */
 
MENU Menu_S_Device
{
    LABEL		[TXT_Menu_Device];
    ITEMS
    {
        coPRM_3484,
        coPRM_3487,
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
        SEPARATOR,
        std_LoadinDevice,
        std_LoadinPC
#endif /* defined(_PDM_) && !defined(_V700_) */
    }
}
 
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
MENU Menu_M_Device
{
    LABEL		[menu_Device]; //PDM based reference text
    ITEMS
    {
        std_LoadinPC
    }
}
#endif /* defined(_PDM_) && !defined(_V700_) */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special variable definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Bus identification
// 
VARIABLE PROFIBUS_Profile_Ident_Number
{
    LABEL		[TXT_PROFIBUS_Profile_Ident_Number];
    CLASS		LOCAL;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0x013F;
    }
    HANDLING	READ;
}
 
phys_tag_desc LIKE VARIABLE PRM_1165
{}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Generator version
// 
VARIABLE VersionEddGen
{
    LABEL		[TXT_VersionEddGenerator];
    HELP		[HLP_VersionEddGenerator];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)
    {
        { 0,"01.00.13.00" }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   DesignatedFwVersion
// 
VARIABLE DesignatedFwVersion
{
    LABEL		"Designated device version|de|Unterstützte Geräteversion";
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)
    {
        { 0,"03.00.xx" }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Common methods
// 
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Variable definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_5
// 
VARIABLE PRM_5	// Taktstrecke: Start AUF
{
    LABEL		[TXT_PRM_5];
    HELP		[HLP_PRM_5];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_5
{
    SLOT		0;
    INDEX		5;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_5    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_6
// 
VARIABLE PRM_6	// Taktstrecke: Ende AUF
{
    LABEL		[TXT_PRM_6];
    HELP		[HLP_PRM_6];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_6
{
    SLOT		0;
    INDEX		6;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_6    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_7
// 
VARIABLE PRM_7	// Taktfahrzeit AUF
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_7
{
    SLOT		0;
    INDEX		7;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_7    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_8
// 
VARIABLE PRM_8	// Taktpausenzeit AUF
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_8
{
    SLOT		0;
    INDEX		8;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_8    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_9
// 
VARIABLE PRM_9	// Abschaltart AUF
{
    LABEL		[TXT_PRM_9];
    HELP		[HLP_PRM_9];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_9
{
    SLOT		0;
    INDEX		9;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_9    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_11
// 
VARIABLE PRM_11	// Reversiersperrzeit
{
    LABEL		[TXT_PRM_11];
    HELP		[HLP_PRM_11];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	300;
        DEFAULT_VALUE	3;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_12
// 
VARIABLE PRM_12	// Selbsthaltungsverhalten Ort
{
    LABEL		[TXT_PRM_12];
    HELP		[HLP_PRM_12];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	3;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_12
{
    SLOT		0;
    INDEX		12;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_12    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_13
// 
VARIABLE PRM_13	// Takbetrieb Mode AUF
{
    LABEL		[TXT_PRM_13];
    HELP		[HLP_PRM_13];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_68
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_69], [HLP_TYP_69] }, // ausgeschaltet
        { 1, [TXT_TYP_70], [HLP_TYP_70] }, // nur FERN
        { 2, [TXT_TYP_71], [HLP_TYP_71] }, // nur ORT
        { 3, [TXT_TYP_72], [HLP_TYP_72] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_13
{
    SLOT		0;
    INDEX		13;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_13    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_20
// 
VARIABLE PRM_20	// Stützpunkt 1 Position
{
    LABEL		[TXT_PRM_20];
    HELP		[HLP_PRM_20];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	150;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_20
{
    SLOT		0;
    INDEX		20;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_20    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_28
// 
VARIABLE PRM_28	// Stützpunkt 1 Meldeverhalten
{
    LABEL		[TXT_PRM_28];
    HELP		[HLP_PRM_28];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_28
{
    SLOT		0;
    INDEX		28;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_28    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_29
// 
VARIABLE PRM_29	// Stützpunkt 1 Fahrverhalten
{
    LABEL		[TXT_PRM_29];
    HELP		[HLP_PRM_29];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_29
{
    SLOT		0;
    INDEX		29;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_29    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_33
// 
VARIABLE PRM_33	// Sprache Display
{
    LABEL		[TXT_PRM_33];
    HELP		[HLP_PRM_33];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_83
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_84], [HLP_TYP_84] }, // Deutsch (DE)
        { 2, [TXT_TYP_85], [HLP_TYP_85] }, // Englisch (EN)
        { 3, [TXT_TYP_86], [HLP_TYP_86] }, // Französisch (FR)
        { 4, [TXT_TYP_87], [HLP_TYP_87] }, // Spanisch (ES)
        { 5, [TXT_TYP_88], [HLP_TYP_88] }, // Italienisch (IT)
        { 6, [TXT_TYP_89], [HLP_TYP_89] }, // Russisch (RU)
        { 7, [TXT_TYP_90], [HLP_TYP_90] }, // Polnisch (PL)
        { 8, [TXT_TYP_372], [HLP_TYP_372] }, // Portugiesisch (PT)
        { 9, [TXT_TYP_373], [HLP_TYP_373] }, // Türkisch (TR)
        { 10, [TXT_TYP_374], [HLP_TYP_374] }, // Ungarisch (HU)
        { 11, [TXT_TYP_378], [HLP_TYP_378] }, // Chinesisch (CN)
        { 12, [TXT_TYP_779], [HLP_TYP_779] }, // Niederländisch/Dutch (NL)
        { 13, [TXT_TYP_1061], [HLP_TYP_1061] }, // Tschechisch )CZ)
        { 14, [TXT_TYP_1062], [HLP_TYP_1062] }, // Rumänisch (RO)
        { 15, [TXT_TYP_1063], [HLP_TYP_1063] }, // Japanisch (JP)
        { 16, [TXT_TYP_1185], [HLP_TYP_1185] }, // Bulgarisch (BG)
        { 17, [TXT_TYP_1186], [HLP_TYP_1186] }, // Dänisch (DA)
        { 18, [TXT_TYP_1187], [HLP_TYP_1187] }, // Griechisch (EL)
        { 19, [TXT_TYP_1188], [HLP_TYP_1188] }, // Finnisch (FI)
        { 20, [TXT_TYP_1189], [HLP_TYP_1189] }, // Koreanisch (KO)
        { 21, [TXT_TYP_1190], [HLP_TYP_1190] }, // Schwedisch (SV)
        { 22, [TXT_TYP_1191], [HLP_TYP_1191] }, // Vietnamesisch (VI)
        { 23, [TXT_TYP_1192], [HLP_TYP_1192] }, // Arabisch (AR)
        { 24, [TXT_TYP_1230], [HLP_TYP_1230] }, // Estnisch (ET)
        { 25, [TXT_TYP_1231], [HLP_TYP_1231] }, // Kroatisch (HR)
        { 26, [TXT_TYP_1232], [HLP_TYP_1232] }, // Litauisch (LT)
        { 27, [TXT_TYP_1233], [HLP_TYP_1233] }, // Lettisch (LV)
        { 28, [TXT_TYP_1234], [HLP_TYP_1234] }, // Norwegisch (NO)
        { 29, [TXT_TYP_1235], [HLP_TYP_1235] }, // Slowakisch (SK)
        { 30, [TXT_TYP_1236], [HLP_TYP_1236] }, // Slowenisch (SL)
        { 31, [TXT_TYP_1237], [HLP_TYP_1237] }, // Serbisch (SR)
        { 32, [TXT_TYP_1275], [HLP_TYP_1275] }, // Thailändisch (TH)
        { 33, [TXT_TYP_1276], [HLP_TYP_1276] }, // Indonesisch (ID)
        { 34, [TXT_TYP_1653], [HLP_TYP_1653] }  // Farsi
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_33
{
    SLOT		0;
    INDEX		33;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_33    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_45
// 
VARIABLE PRM_45	// Interface1-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_45];
    HELP		[HLP_PRM_45];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_45
{
    SLOT		0;
    INDEX		45;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_45    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_67
// 
VARIABLE PRM_67	// NOT-Funktion Betriebsart
{
    LABEL		[TXT_PRM_67];
    HELP		[HLP_PRM_67];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_252
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_262] }, // nur FERN
        { 1, [TXT_TYP_263] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_67
{
    SLOT		0;
    INDEX		67;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_67    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_68
// 
VARIABLE PRM_68	// NOT-Funktion Auslösung
{
    LABEL		[TXT_PRM_68];
    HELP		[HLP_PRM_68];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_253
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_260] }, // Zuerst Gut
        { 2, [TXT_TYP_261] }  // Sofort aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_68
{
    SLOT		0;
    INDEX		68;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_68    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_69
// 
VARIABLE PRM_69	// NOT Überbrückung Thermofehler
{
    LABEL		[TXT_PRM_69];
    HELP		[HLP_PRM_69];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_69
{
    SLOT		0;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_69    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_70
// 
VARIABLE PRM_70	// NOT Überbrückung Drehmomentfehler
{
    LABEL		[TXT_PRM_70];
    HELP		[HLP_PRM_70];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_70
{
    SLOT		0;
    INDEX		70;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_70    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_71
// 
VARIABLE PRM_71	// NOT Überbrückung Taktgeber
{
    LABEL		[TXT_PRM_71];
    HELP		[HLP_PRM_71];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_71
{
    SLOT		0;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_71    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_79
// 
VARIABLE PRM_79	// Drehsinn
{
    LABEL		[TXT_PRM_79];
    HELP		[HLP_PRM_79];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_223
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_224] }, // rechtdrehend schliessen (Uhrzeigersinn)
        { 1, [TXT_TYP_225] }  // linksdrehend schliessen (Gegenuhrzeigersinn)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_82
// 
VARIABLE PRM_82	// Anfahrüberbrückungszeit
{
    LABEL		[TXT_PRM_82];
    HELP		[HLP_PRM_82];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_82
{
    SLOT		0;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_82    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_84
// 
VARIABLE PRM_84	// Stellungsregler Adaptives Verhalten
{
    LABEL		[TXT_PRM_84];
    HELP		[HLP_PRM_84];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_234
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_235] }, // ausgeschaltet
        { 1, [TXT_TYP_237] }  // Adaptiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_84
{
    SLOT		0;
    INDEX		84;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_84    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_86
// 
VARIABLE PRM_86	// Totzeit Tt
{
    LABEL		[TXT_PRM_86];
    HELP		[HLP_PRM_86];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	600;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_86
{
    SLOT		0;
    INDEX		86;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_86    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_87
// 
VARIABLE PRM_87	// Totzone Xt
{
    LABEL		[TXT_PRM_87];
    HELP		[HLP_PRM_87];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_87
{
    SLOT		0;
    INDEX		87;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_87    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_87
{
    SLOT		0;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_87    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_160
// 
VARIABLE PRM_160	// Prozesswert (Auswahl Input Link)
{
    LABEL		[TXT_PRM_160];
    HELP		[HLP_PRM_160];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	370;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_160
{
    SLOT		1;
    INDEX		60;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_160    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_163
// 
VARIABLE PRM_163	// MotorRunningTime (User)
{
    LABEL		[TXT_PRM_163];
    HELP		[HLP_PRM_163];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_164
// 
VARIABLE PRM_164	// NumberOfStarts (User)
{
    LABEL		[TXT_PRM_164];
    HELP		[HLP_PRM_164];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_165
// 
VARIABLE PRM_165	// Resets (User)
{
    LABEL		[TXT_PRM_165];
    HELP		[HLP_PRM_165];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_166
// 
VARIABLE PRM_166	// StopsTrqClose (User)
{
    LABEL		[TXT_PRM_166];
    HELP		[HLP_PRM_166];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_167
// 
VARIABLE PRM_167	// ErrorsEDMax (User)
{
    LABEL		[TXT_PRM_167];
    HELP		[HLP_PRM_167];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_168
// 
VARIABLE PRM_168	// ErrorsEDTime (User)
{
    LABEL		[TXT_PRM_168];
    HELP		[HLP_PRM_168];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_170
// 
VARIABLE PRM_170	// ErrorsThermo (User)
{
    LABEL		[TXT_PRM_170];
    HELP		[HLP_PRM_170];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_171
// 
VARIABLE PRM_171	// ErrorsTrqOpen (User)
{
    LABEL		[TXT_PRM_171];
    HELP		[HLP_PRM_171];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_172
// 
VARIABLE PRM_172	// StopsPosClose (User)
{
    LABEL		[TXT_PRM_172];
    HELP		[HLP_PRM_172];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_173
// 
VARIABLE PRM_173	// StopsTrqOpen (User)
{
    LABEL		[TXT_PRM_173];
    HELP		[HLP_PRM_173];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_174
// 
VARIABLE PRM_174	// StopsPosOpen (User)
{
    LABEL		[TXT_PRM_174];
    HELP		[HLP_PRM_174];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_175
// 
VARIABLE PRM_175	// ErrorsTrqClose (User)
{
    LABEL		[TXT_PRM_175];
    HELP		[HLP_PRM_175];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_181
// 
VARIABLE PRM_181	// Bus-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_181];
    HELP		[HLP_PRM_181];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1108
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1109] }, // Kein Feldbus
        { 1, [TXT_TYP_1110] }, // Profibus
        { 2, [TXT_TYP_1111] }  // Modbus
    }
    HANDLING		READ;
}
COMMAND read_PRM_181
{
    SLOT		1;
    INDEX		81;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_181    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_208
// 
VARIABLE PRM_208	// Mode Temperaturfehler
{
    LABEL		[TXT_PRM_208];
    HELP		[HLP_PRM_208];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_239
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_240] }, // Rücksetzung automatisch
        { 1, [TXT_TYP_241] }  // Rücksetzung manuell über RESET
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_208
{
    SLOT		2;
    INDEX		8;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_208    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_209
// 
VARIABLE PRM_209	// DelayTime
{
    LABEL		[TXT_PRM_209];
    HELP		[HLP_PRM_209];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	3000;
        DEFAULT_VALUE	100;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_209
{
    SLOT		2;
    INDEX		9;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_209    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_212
// 
VARIABLE PRM_212	// Nachlauf AUF (innere Totzone Xi_AUF)
{
    LABEL		[TXT_PRM_212];
    HELP		[HLP_PRM_212];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_212
{
    SLOT		2;
    INDEX		12;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_212    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_213
// 
VARIABLE PRM_213	// Nachlauf ZU (innere Totzone Xi_ZU)
{
    LABEL		[TXT_PRM_213];
    HELP		[HLP_PRM_213];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_213
{
    SLOT		2;
    INDEX		13;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_213    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_214
// 
VARIABLE PRM_214	// Toleranz E1 AUF
{
    LABEL		[TXT_PRM_214];
    HELP		[HLP_PRM_214];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	950;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_214
{
    SLOT		2;
    INDEX		14;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_214    // 4 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_215
// 
VARIABLE PRM_215	// Toleranz E1 ZU
{
    LABEL		[TXT_PRM_215];
    HELP		[HLP_PRM_215];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_215
{
    SLOT		2;
    INDEX		15;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_215    // 4 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_217
// 
VARIABLE PRM_217	// Prozeßregler Freischaltung \"Kauf\"
{
    LABEL		[TXT_PRM_217];
    HELP		[HLP_PRM_217];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_217
{
    SLOT		2;
    INDEX		17;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_217    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_230
// 
VARIABLE PRM_230	// NOT-Funktion Verhalten
{
    LABEL		[TXT_PRM_230];
    HELP		[HLP_PRM_230];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_254
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_255] }, // Stop
        { 1, [TXT_TYP_256] }, // Fahre ZU
        { 2, [TXT_TYP_257] }  // Fahre AUF
        IF (PRM_1169 == 1) {{ 3, [TXT_TYP_258] }} // Fahre auf Position (using RULE_14)
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_230
{
    SLOT		2;
    INDEX		30;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_230    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_231
// 
VARIABLE PRM_231	// NOT-Position
{
    LABEL		[TXT_PRM_231];
    HELP		[HLP_PRM_231];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_231
{
    SLOT		2;
    INDEX		31;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_231    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_466
// 
VARIABLE PRM_466	// Stützpunkt 2 Position
{
    LABEL		[TXT_PRM_466];
    HELP		[HLP_PRM_466];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	250;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_466
{
    SLOT		4;
    INDEX		66;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_466    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_467
// 
VARIABLE PRM_467	// Stützpunkt 2 Fahrverhalten
{
    LABEL		[TXT_PRM_467];
    HELP		[HLP_PRM_467];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_467
{
    SLOT		4;
    INDEX		67;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_467    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_468
// 
VARIABLE PRM_468	// Stützpunkt 2 Meldeverhalten
{
    LABEL		[TXT_PRM_468];
    HELP		[HLP_PRM_468];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_468
{
    SLOT		4;
    INDEX		68;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_468    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_470
// 
VARIABLE PRM_470	// Stützpunkt 3 Position
{
    LABEL		[TXT_PRM_470];
    HELP		[HLP_PRM_470];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	350;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_470
{
    SLOT		4;
    INDEX		70;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_470    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_471
// 
VARIABLE PRM_471	// Stützpunkt 3 Fahrverhalten
{
    LABEL		[TXT_PRM_471];
    HELP		[HLP_PRM_471];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_471
{
    SLOT		4;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_471    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_472
// 
VARIABLE PRM_472	// Stützpunkt 3 Meldeverhalten
{
    LABEL		[TXT_PRM_472];
    HELP		[HLP_PRM_472];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_472
{
    SLOT		4;
    INDEX		72;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_472    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_474
// 
VARIABLE PRM_474	// Stützpunkt 4 Position
{
    LABEL		[TXT_PRM_474];
    HELP		[HLP_PRM_474];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	450;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_474
{
    SLOT		4;
    INDEX		74;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_474    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_475
// 
VARIABLE PRM_475	// Stützpunkt 4 Fahrverhalten
{
    LABEL		[TXT_PRM_475];
    HELP		[HLP_PRM_475];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_475
{
    SLOT		4;
    INDEX		75;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_475    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_476
// 
VARIABLE PRM_476	// Stützpunkt 4 Meldeverhalten
{
    LABEL		[TXT_PRM_476];
    HELP		[HLP_PRM_476];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_476
{
    SLOT		4;
    INDEX		76;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_476    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_478
// 
VARIABLE PRM_478	// Stützpunkt 5 Position
{
    LABEL		[TXT_PRM_478];
    HELP		[HLP_PRM_478];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	550;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_478
{
    SLOT		4;
    INDEX		78;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_478    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_479
// 
VARIABLE PRM_479	// Stützpunkt 5 Fahrverhalten
{
    LABEL		[TXT_PRM_479];
    HELP		[HLP_PRM_479];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_479
{
    SLOT		4;
    INDEX		79;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_479    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_480
// 
VARIABLE PRM_480	// Stützpunkt 5 Meldeverhalten
{
    LABEL		[TXT_PRM_480];
    HELP		[HLP_PRM_480];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_480
{
    SLOT		4;
    INDEX		80;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_480    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_482
// 
VARIABLE PRM_482	// Stützpunkt 6 Position
{
    LABEL		[TXT_PRM_482];
    HELP		[HLP_PRM_482];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	650;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_482
{
    SLOT		4;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_482    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_483
// 
VARIABLE PRM_483	// Stützpunkt 6 Fahrverhalten
{
    LABEL		[TXT_PRM_483];
    HELP		[HLP_PRM_483];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_483
{
    SLOT		4;
    INDEX		83;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_483    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_484
// 
VARIABLE PRM_484	// Stützpunkt 6 Meldeverhalten
{
    LABEL		[TXT_PRM_484];
    HELP		[HLP_PRM_484];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_484
{
    SLOT		4;
    INDEX		84;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_484    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_486
// 
VARIABLE PRM_486	// Stützpunkt 7 Position
{
    LABEL		[TXT_PRM_486];
    HELP		[HLP_PRM_486];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	750;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_486
{
    SLOT		4;
    INDEX		86;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_486    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_487
// 
VARIABLE PRM_487	// Stützpunkt 7 Fahrverhalten
{
    LABEL		[TXT_PRM_487];
    HELP		[HLP_PRM_487];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_487
{
    SLOT		4;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_487    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_488
// 
VARIABLE PRM_488	// Stützpunkt 7 Meldeverhalten
{
    LABEL		[TXT_PRM_488];
    HELP		[HLP_PRM_488];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_488
{
    SLOT		4;
    INDEX		88;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_488    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_490
// 
VARIABLE PRM_490	// Stützpunkt 8 Position
{
    LABEL		[TXT_PRM_490];
    HELP		[HLP_PRM_490];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	850;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_490
{
    SLOT		4;
    INDEX		90;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_490    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_491
// 
VARIABLE PRM_491	// Stützpunkt 8 Fahrverhalten
{
    LABEL		[TXT_PRM_491];
    HELP		[HLP_PRM_491];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_78
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_79] }, // nicht verwendet
        { 1, [TXT_TYP_80] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen.
        { 2, [TXT_TYP_81] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen.
        { 3, [TXT_TYP_82] }, // beim Erreichen des Stützpunkts bleibt der Antrieb stehen
        { 4, [TXT_TYP_643] }, // bei Fahrt in Richtung AUF bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung AUF an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 5, [TXT_TYP_644] }, // bei Fahrt in Richtung ZU bleibt der Antrieb am Stützpunkt stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl in Richtung ZU an, dann wird die Fahrt fortgesetzt. Ein Fahrbefehl in Gegenrichtung während der Pause wird umgehend ausgeführt.
        { 6, [TXT_TYP_645] }  // beim Erreichen des Stützpunkts bleibt der Antrieb stehen; liegt nach Ablauf einer Pausenzeit immer noch ein Fahrbefehl an, dann wird die Fahrt abhängig vom Inhalt des Fahrbefehls fortgesetzt.
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_491
{
    SLOT		4;
    INDEX		91;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_491    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_492
// 
VARIABLE PRM_492	// Stützpunkt 8 Meldeverhalten
{
    LABEL		[TXT_PRM_492];
    HELP		[HLP_PRM_492];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_73
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_74] }, // deaktiviert
        { 1, [TXT_TYP_75] }, // Meldung aktiv vom Erreichen der Zwischenstellung bis zur Endlage AUF
        { 2, [TXT_TYP_76] }, // Meldung aktiv von der Endlage ZU bis zum Erreichen der Zwischenstellung
        { 3, [TXT_TYP_77] }  // Meldung ist aktiv im Bereich +-1% um die definierte Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_492
{
    SLOT		4;
    INDEX		92;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_492    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_495
// 
VARIABLE PRM_495	// MotorRunningTime (Factory)
{
    LABEL		[TXT_PRM_495];
    HELP		[HLP_PRM_495];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_496
// 
VARIABLE PRM_496	// NumberOfStarts (Factory)
{
    LABEL		[TXT_PRM_496];
    HELP		[HLP_PRM_496];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_497
// 
VARIABLE PRM_497	// StopsTrqClose (Factory)
{
    LABEL		[TXT_PRM_497];
    HELP		[HLP_PRM_497];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_498
// 
VARIABLE PRM_498	// StopsPosClose (Factory)
{
    LABEL		[TXT_PRM_498];
    HELP		[HLP_PRM_498];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_499
// 
VARIABLE PRM_499	// StopsTrqOpen (Factory)
{
    LABEL		[TXT_PRM_499];
    HELP		[HLP_PRM_499];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_500
// 
VARIABLE PRM_500	// StopsPosOpen (Factory)
{
    LABEL		[TXT_PRM_500];
    HELP		[HLP_PRM_500];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_501
// 
VARIABLE PRM_501	// ErrorsTrqClose (Factory)
{
    LABEL		[TXT_PRM_501];
    HELP		[HLP_PRM_501];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_502
// 
VARIABLE PRM_502	// ErrorsTrqOpen (Factory)
{
    LABEL		[TXT_PRM_502];
    HELP		[HLP_PRM_502];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_503
// 
VARIABLE PRM_503	// ErrorsThermo (Factory)
{
    LABEL		[TXT_PRM_503];
    HELP		[HLP_PRM_503];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_505
// 
VARIABLE PRM_505	// ErrorsEDTime (Factory)
{
    LABEL		[TXT_PRM_505];
    HELP		[HLP_PRM_505];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_506
// 
VARIABLE PRM_506	// ErrorsEDMax (Factory)
{
    LABEL		[TXT_PRM_506];
    HELP		[HLP_PRM_506];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_507
// 
VARIABLE PRM_507	// Resets (Factory)
{
    LABEL		[TXT_PRM_507];
    HELP		[HLP_PRM_507];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_519
// 
VARIABLE PRM_519	// Selbsthaltungsverhalten Fern1
{
    LABEL		[TXT_PRM_519];
    HELP		[HLP_PRM_519];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	3;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_519
{
    SLOT		5;
    INDEX		19;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_519    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_533
// 
VARIABLE PRM_533	// Selbsthaltungsverhalten Fern2
{
    LABEL		[TXT_PRM_533];
    HELP		[HLP_PRM_533];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_533
{
    SLOT		5;
    INDEX		33;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_533    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_557
// 
VARIABLE PRM_557	// Prozesswert
{
    LABEL		[TXT_PRM_557];
    HELP		[HLP_PRM_557];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	269;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_557
{
    SLOT		5;
    INDEX		57;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_557    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_561
// 
VARIABLE PRM_561	// Prozesswert  (Auswahl Input Link)
{
    LABEL		[TXT_PRM_561];
    HELP		[HLP_PRM_561];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	270;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_561
{
    SLOT		5;
    INDEX		61;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_561    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_565
// 
VARIABLE PRM_565	// Prozesswert  (Auswahl Input Link)
{
    LABEL		[TXT_PRM_565];
    HELP		[HLP_PRM_565];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	268;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_565
{
    SLOT		5;
    INDEX		65;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_565    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_569
// 
VARIABLE PRM_569	// Prozesswert  (Auswahl Input Link)
{
    LABEL		[TXT_PRM_569];
    HELP		[HLP_PRM_569];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	369;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_569
{
    SLOT		5;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_569    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_578
// 
VARIABLE PRM_578	// Abschaltart ZU
{
    LABEL		[TXT_PRM_578];
    HELP		[HLP_PRM_578];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_578
{
    SLOT		5;
    INDEX		78;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_578    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_590
// 
VARIABLE PRM_590	// Taktbetrieb Mode ZU
{
    LABEL		[TXT_PRM_590];
    HELP		[HLP_PRM_590];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_68
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_69], [HLP_TYP_69] }, // ausgeschaltet
        { 1, [TXT_TYP_70], [HLP_TYP_70] }, // nur FERN
        { 2, [TXT_TYP_71], [HLP_TYP_71] }, // nur ORT
        { 3, [TXT_TYP_72], [HLP_TYP_72] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_590
{
    SLOT		5;
    INDEX		90;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_590    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_591
// 
VARIABLE PRM_591	// Taktpausenzeit ZU
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_591
{
    SLOT		5;
    INDEX		91;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_591    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_592
// 
VARIABLE PRM_592	// Taktfahrzeit ZU
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_592
{
    SLOT		5;
    INDEX		92;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_592    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_593
// 
VARIABLE PRM_593	// Taktstrecke: Ende ZU
{
    LABEL		[TXT_PRM_593];
    HELP		[HLP_PRM_593];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_593
{
    SLOT		5;
    INDEX		93;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_593    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_594
// 
VARIABLE PRM_594	// Taktstrecke: Start ZU
{
    LABEL		[TXT_PRM_594];
    HELP		[HLP_PRM_594];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_594
{
    SLOT		5;
    INDEX		94;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_594    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_873
// 
VARIABLE PRM_873	// DigitalIn1-Signal-Ausgang (Default: MODE)
{
    LABEL		[TXT_PRM_873];
    HELP		[HLP_PRM_873];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	22;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_878
// 
VARIABLE PRM_878	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_878];
    HELP		[HLP_PRM_878];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_884
// 
VARIABLE PRM_884	// Digital-Signal-Ausgang 
{
    LABEL		[TXT_PRM_884];
    HELP		[HLP_PRM_884];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	723;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_885
// 
VARIABLE PRM_885	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_885];
    HELP		[HLP_PRM_885];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_890
// 
VARIABLE PRM_890	// Digital-Signal-Ausgang
{
    LABEL		[TXT_PRM_890];
    HELP		[HLP_PRM_890];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	722;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_891
// 
VARIABLE PRM_891	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_891];
    HELP		[HLP_PRM_891];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_896
// 
VARIABLE PRM_896	// Digital-Signal-Ausgang
{
    LABEL		[TXT_PRM_896];
    HELP		[HLP_PRM_896];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_897
// 
VARIABLE PRM_897	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_897];
    HELP		[HLP_PRM_897];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_902
// 
VARIABLE PRM_902	// Digital-Signal-Ausgang
{
    LABEL		[TXT_PRM_902];
    HELP		[HLP_PRM_902];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_903
// 
VARIABLE PRM_903	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_903];
    HELP		[HLP_PRM_903];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_908
// 
VARIABLE PRM_908	// Digital-Signal-Ausgang (Default:Keine Funktion)
{
    LABEL		[TXT_PRM_908];
    HELP		[HLP_PRM_908];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_909
// 
VARIABLE PRM_909	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_909];
    HELP		[HLP_PRM_909];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_914
// 
VARIABLE PRM_914	// Digital-Signal-Ausgang (Default: NOT )
{
    LABEL		[TXT_PRM_914];
    HELP		[HLP_PRM_914];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	21;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_915
// 
VARIABLE PRM_915	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_915];
    HELP		[HLP_PRM_915];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_920
// 
VARIABLE PRM_920	// Digital-Signal-Ausgang (Default: Fern HALT)
{
    LABEL		[TXT_PRM_920];
    HELP		[HLP_PRM_920];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	20;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_921
// 
VARIABLE PRM_921	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_921];
    HELP		[HLP_PRM_921];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_926
// 
VARIABLE PRM_926	// Digital-Signal-Ausgang (Default: Fahre AUF)
{
    LABEL		[TXT_PRM_926];
    HELP		[HLP_PRM_926];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	18;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_927
// 
VARIABLE PRM_927	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_927];
    HELP		[HLP_PRM_927];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_932
// 
VARIABLE PRM_932	// Digital-Signal-Ausgang (Default: Fahre ZU)
{
    LABEL		[TXT_PRM_932];
    HELP		[HLP_PRM_932];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	19;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }, // Fern1_ESD
        { 449, [TXT_TYP_680], [HLP_TYP_680] }, // Fern1_Direktfahrt_Pos1
        { 450, [TXT_TYP_681], [HLP_TYP_681] }, // Fern1_Direktfahrt_Pos2
        { 451, [TXT_TYP_682], [HLP_TYP_682] }, // Fern1_Direktfahrt_Pos3
        { 452, [TXT_TYP_683], [HLP_TYP_683] }, // Fern1_Direktfahrt_Pos4
        { 453, [TXT_TYP_684], [HLP_TYP_684] }, // Fern1_Direktfahrt_Pos5
        { 454, [TXT_TYP_685], [HLP_TYP_685] }, // Fern1_Direktfahrt_Pos6
        { 455, [TXT_TYP_686], [HLP_TYP_686] }, // Fern1_Direktfahrt_Pos7
        { 456, [TXT_TYP_687], [HLP_TYP_687] }  // Fern1_Direktfahrt_Pos8
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
        IF (((PRM_3135 == 1)) || ((PRM_3692 == 1))) {{ 716, [TXT_TYP_1122], [HLP_TYP_1122] }} // Freigabe Ortssteuerstelle (using RULE_376)
        IF (PRM_3217 == 1) {{ 722, [TXT_TYP_1150], [HLP_TYP_1150] }} // Interlock Freigabe AUF (using RULE_205)
        IF (PRM_3217 == 1) {{ 723, [TXT_TYP_1151], [HLP_TYP_1151] }} // Interlock Freigabe ZU (using RULE_205)
        IF (PRM_3590 == 1) {{ 821, [TXT_TYP_1261], [HLP_TYP_1261] }} // Prozessregler Sollwert: Intern 1 / Intern 2 (using RULE_77)
        { 274, [TXT_TYP_1293] }, // FERN2: Aktivierung
        { 521, [TXT_TYP_1294] }, // FERN2: Fahre AUF
        { 522, [TXT_TYP_1295] }, // FERN2: Fahre ZU
        { 523, [TXT_TYP_1296] }, // FERN2: HALT
        { 949, [TXT_TYP_1414] }, // PVST Start
        { 1015, [TXT_TYP_1663] }  // Bypass Sync In
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_933
// 
VARIABLE PRM_933	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_933];
    HELP		[HLP_PRM_933];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1012
// 
VARIABLE PRM_1012	// Digital-Signal-Eingang (Default AUMA-Fehler)
{
    LABEL		[TXT_PRM_1012];
    HELP		[HLP_PRM_1012];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	79;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1012
{
    SLOT		10;
    INDEX		12;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1012    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1013
// 
VARIABLE PRM_1013	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1013];
    HELP		[HLP_PRM_1013];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1013
{
    SLOT		10;
    INDEX		13;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1013    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1072
// 
VARIABLE PRM_1072	// Digital-Signal-Eingang (Default: Phasenfehler)
{
    LABEL		[TXT_PRM_1072];
    HELP		[HLP_PRM_1072];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	302;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1072
{
    SLOT		10;
    INDEX		72;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1072    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1073
// 
VARIABLE PRM_1073	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1073];
    HELP		[HLP_PRM_1073];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1073
{
    SLOT		10;
    INDEX		73;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1073    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1077
// 
VARIABLE PRM_1077	// Digital-Signal-Eingang (Default: Thermofehler)
{
    LABEL		[TXT_PRM_1077];
    HELP		[HLP_PRM_1077];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	270;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1077
{
    SLOT		10;
    INDEX		77;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1077    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1078
// 
VARIABLE PRM_1078	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1078];
    HELP		[HLP_PRM_1078];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1078
{
    SLOT		10;
    INDEX		78;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1078    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1082
// 
VARIABLE PRM_1082	// Digital-Signal-Eingang (Default: Drehmoschalter AUF)
{
    LABEL		[TXT_PRM_1082];
    HELP		[HLP_PRM_1082];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	268;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1082
{
    SLOT		10;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1082    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1083
// 
VARIABLE PRM_1083	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1083];
    HELP		[HLP_PRM_1083];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1083
{
    SLOT		10;
    INDEX		83;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1083    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1087
// 
VARIABLE PRM_1087	// Digital-Signal-Eingang (Default: Drehmofehler ZU)
{
    LABEL		[TXT_PRM_1087];
    HELP		[HLP_PRM_1087];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	269;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1087
{
    SLOT		10;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1087    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1088
// 
VARIABLE PRM_1088	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1088];
    HELP		[HLP_PRM_1088];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1088
{
    SLOT		10;
    INDEX		88;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1088    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1092
// 
VARIABLE PRM_1092	// Digital-Signal-Eingang (Default: Wahlschalter FERN)
{
    LABEL		[TXT_PRM_1092];
    HELP		[HLP_PRM_1092];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	115;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1092
{
    SLOT		10;
    INDEX		92;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1092    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1093
// 
VARIABLE PRM_1093	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1093];
    HELP		[HLP_PRM_1093];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1093
{
    SLOT		10;
    INDEX		93;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1093    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1097
// 
VARIABLE PRM_1097	// Digital-Signal-Eingang (Default: Endlage AUF)
{
    LABEL		[TXT_PRM_1097];
    HELP		[HLP_PRM_1097];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	258;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1097
{
    SLOT		10;
    INDEX		97;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1097    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1098
// 
VARIABLE PRM_1098	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1098];
    HELP		[HLP_PRM_1098];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1098
{
    SLOT		10;
    INDEX		98;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1098    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1102
// 
VARIABLE PRM_1102	// Digital-Signal-Eingang (Default: Endlage ZU)
{
    LABEL		[TXT_PRM_1102];
    HELP		[HLP_PRM_1102];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	259;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1102
{
    SLOT		11;
    INDEX		2;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1102    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1103
// 
VARIABLE PRM_1103	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1103];
    HELP		[HLP_PRM_1103];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1103
{
    SLOT		11;
    INDEX		3;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1103    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1107
// 
VARIABLE PRM_1107	// Digital-Signal-Eingang (Default: Weg-Endschalter ZU)
{
    LABEL		[TXT_PRM_1107];
    HELP		[HLP_PRM_1107];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	376;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1107
{
    SLOT		11;
    INDEX		7;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1107    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1108
// 
VARIABLE PRM_1108	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1108];
    HELP		[HLP_PRM_1108];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1108
{
    SLOT		11;
    INDEX		8;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1108    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1112
// 
VARIABLE PRM_1112	// Digital-Signal-Eingang (Default: Drehmoschalter AUF)
{
    LABEL		[TXT_PRM_1112];
    HELP		[HLP_PRM_1112];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	459;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1112
{
    SLOT		11;
    INDEX		12;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1112    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1113
// 
VARIABLE PRM_1113	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1113];
    HELP		[HLP_PRM_1113];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1113
{
    SLOT		11;
    INDEX		13;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1113    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1117
// 
VARIABLE PRM_1117	// Digital-Signal-Eingang (Default: Drehmo-Schalter ZU)
{
    LABEL		[TXT_PRM_1117];
    HELP		[HLP_PRM_1117];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	460;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1117
{
    SLOT		11;
    INDEX		17;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1117    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1118
// 
VARIABLE PRM_1118	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1118];
    HELP		[HLP_PRM_1118];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1118
{
    SLOT		11;
    INDEX		18;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1118    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1122
// 
VARIABLE PRM_1122	// Digital-Signal-Eingang (Default: Weg-Endschalter AUF)
{
    LABEL		[TXT_PRM_1122];
    HELP		[HLP_PRM_1122];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	375;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 116, [TXT_TYP_990] }, // WahlschalterAUS
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 392, [TXT_TYP_767] }, // Zwischenstellung 1
        { 399, [TXT_TYP_766] }, // Zwischenstellung 2
        { 398, [TXT_TYP_765] }, // Zwischenstellung 3
        { 397, [TXT_TYP_764] }, // Zwischenstellung 4
        { 396, [TXT_TYP_762] }, // Zwischenstellung 5
        { 395, [TXT_TYP_760] }, // Zwischenstellung 6
        { 394, [TXT_TYP_759] }, // Zwischenstellung 7
        { 393, [TXT_TYP_758] }, // Zwischenstellung 8
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 503, [TXT_TYP_769] }, // Digitaleingang 5
        { 502, [TXT_TYP_768] }, // Digitaleingang 6
        { 285, [TXT_TYP_991] }, // NOT-HALT aktiv
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, //  DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 952, [TXT_TYP_1415] }, // PVST aktiv
        { 953, [TXT_TYP_1416] }, // PVST Error
        { 954, [TXT_TYP_1417] }, // PVST Abbruch
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 753, [TXT_TYP_1630] }, // Interlock FERN
        { 754, [TXT_TYP_1631] }, // Interlock ORT
        { 755, [TXT_TYP_1632] }, // Interlock AUF
        { 756, [TXT_TYP_1633] }, // Interlock ZU
        { 757, [TXT_TYP_1634] }, // Interlock wurde ausglöst
        { 1016, [TXT_TYP_1658] }, // Bypass Sync Out
        { 1017, [TXT_TYP_1659] }  // Bypass Interlock
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1122
{
    SLOT		11;
    INDEX		22;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1122    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1123
// 
VARIABLE PRM_1123	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1123];
    HELP		[HLP_PRM_1123];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1123
{
    SLOT		11;
    INDEX		23;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1123    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1129
// 
VARIABLE PRM_1129	// Normierter Wert (0 ... 1000): Default: Stellungssollwert E1
{
    LABEL		[TXT_PRM_1129];
    HELP		[HLP_PRM_1129];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_274
    {
        DEFAULT_VALUE	7;
        { 0, [TXT_TYP_984] }, // Nicht verwendet
        { 7, [TXT_TYP_338] }, // Stellungs-Sollwert E1
        { 12, [TXT_TYP_341] }, // Sensorsignal 1
        { 13, [TXT_TYP_342] }  // Sensorsignal 2
        IF (PRM_3297 != 0) {{ 775, [TXT_TYP_1174] }} // Hydraulikdruck (using RULE_295)
        IF (PRM_3297 != 0) {{ 776, [TXT_TYP_1175] }} // Betriebsdruck (using RULE_295)
        IF (PRM_3590 == 1) {{ 817, [TXT_TYP_340] }} // Prozeß Sollwert (using RULE_77)
        IF (PRM_3590 == 1) {{ 819, [TXT_TYP_1265] }} // Prozess Istwert (using RULE_77)
        { 935, [TXT_TYP_1664] }  // Drehzahl Ifa
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1130
// 
VARIABLE PRM_1130	// Oberer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1130];
    HELP		[HLP_PRM_1130];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1130
{
    SLOT		11;
    INDEX		30;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1130    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1133
// 
VARIABLE PRM_1133	// Unterer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1133];
    HELP		[HLP_PRM_1133];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1133
{
    SLOT		11;
    INDEX		33;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1133    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1137
// 
VARIABLE PRM_1137	// Normierter Wert (0 ... 1000): Default: Drehzahl Sollwert
{
    LABEL		[TXT_PRM_1137];
    HELP		[HLP_PRM_1137];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_274
    {
        DEFAULT_VALUE	13;
        { 0, [TXT_TYP_984] }, // Nicht verwendet
        { 7, [TXT_TYP_338] }, // Stellungs-Sollwert E1
        { 12, [TXT_TYP_341] }, // Sensorsignal 1
        { 13, [TXT_TYP_342] }  // Sensorsignal 2
        IF (PRM_3297 != 0) {{ 775, [TXT_TYP_1174] }} // Hydraulikdruck (using RULE_295)
        IF (PRM_3297 != 0) {{ 776, [TXT_TYP_1175] }} // Betriebsdruck (using RULE_295)
        IF (PRM_3590 == 1) {{ 817, [TXT_TYP_340] }} // Prozeß Sollwert (using RULE_77)
        IF (PRM_3590 == 1) {{ 819, [TXT_TYP_1265] }} // Prozess Istwert (using RULE_77)
        { 935, [TXT_TYP_1664] }  // Drehzahl Ifa
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1140
// 
VARIABLE PRM_1140	// Oberer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1140];
    HELP		[HLP_PRM_1140];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1140
{
    SLOT		11;
    INDEX		40;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1140    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1141
// 
VARIABLE PRM_1141	// Unterer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1141];
    HELP		[HLP_PRM_1141];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1141
{
    SLOT		11;
    INDEX		41;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1141    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1164
// 
VARIABLE PRM_1164	// Gerätebezeichnung
{
    LABEL		[TXT_PRM_1164];
    HELP		[HLP_PRM_1164];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"AC 01.2";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1165
// 
VARIABLE PRM_1165	// Geräte-TAG
{
    LABEL		[TXT_PRM_1165];
    HELP		[HLP_PRM_1165];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_GERAETE-TAG_";
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1165
{
    SLOT		11;
    INDEX		65;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1165    // 20 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1166
// 
VARIABLE PRM_1166	// Projektname
{
    LABEL		[TXT_PRM_1166];
    HELP		[HLP_PRM_1166];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_PROJEKT_";
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1166
{
    SLOT		11;
    INDEX		66;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1166    // 20 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1168
// 
VARIABLE PRM_1168	// Drehfeldrichtung kompensieren
{
    LABEL		[TXT_PRM_1168];
    HELP		[HLP_PRM_1168];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1169
// 
VARIABLE PRM_1169	// Stellungsregler Aktivierung
{
    LABEL		[TXT_PRM_1169];
    HELP		[HLP_PRM_1169];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1169
{
    SLOT		11;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1169    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1175
// 
VARIABLE PRM_1175	// Blinker-Verhalten
{
    LABEL		[TXT_PRM_1175];
    HELP		[HLP_PRM_1175];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_356
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_358] }, // Aus in Zwischenstellung
        { 1, [TXT_TYP_359] }  // Ein in Zwischenstellung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1175
{
    SLOT		11;
    INDEX		75;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1175    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1176
// 
VARIABLE PRM_1176	// Taktgeber Aktivierung AUF
{
    LABEL		[TXT_PRM_1176];
    HELP		[HLP_PRM_1176];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1176
{
    SLOT		11;
    INDEX		76;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1176    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1177
// 
VARIABLE PRM_1177	// Taktgeber Aktivierung ZU
{
    LABEL		[TXT_PRM_1177];
    HELP		[HLP_PRM_1177];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1177
{
    SLOT		11;
    INDEX		77;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1177    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1178
// 
VARIABLE PRM_1178	// Stellungsregler \"Kauf\"
{
    LABEL		[TXT_PRM_1178];
    HELP		[HLP_PRM_1178];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_1178
{
    SLOT		11;
    INDEX		78;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1178    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1179
// 
VARIABLE PRM_1179	// max. zulässige Anläufe /h
{
    LABEL		[TXT_PRM_1179];
    HELP		[HLP_PRM_1179];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1800;
        DEFAULT_VALUE	1200;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1179
{
    SLOT		11;
    INDEX		79;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1179    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1182
// 
VARIABLE PRM_1182	// Anfahrüberbrückung Freigabe
{
    LABEL		[TXT_PRM_1182];
    HELP		[HLP_PRM_1182];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1182
{
    SLOT		11;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1182    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1254
// 
VARIABLE PRM_1254	// Prozessdaten-Eingang(Default: Stellungsistwert E2)
{
    LABEL		[TXT_PRM_1254];
    HELP		[HLP_PRM_1254];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_275
    {
        DEFAULT_VALUE	2;
        { 372, [TXT_TYP_985] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 2, [TXT_TYP_343] }, // Stellungs-Istwert E2
        { 545, [TXT_TYP_367] }, // Drehmoment Istwert
        { 498, [TXT_TYP_345] }, // Analog In1 E8
        { 499, [TXT_TYP_346] }  // Analog In2 E9
        IF (PRM_181 != 0) {{ 464, [TXT_TYP_982] }} // FeldbusAnalogOut_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 465, [TXT_TYP_983] }} // FeldbusAnalogOut_02 (using RULE_304)
        { 11, [TXT_TYP_1399] }  // Drehzahl
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1255
// 
VARIABLE PRM_1255	// Auswahlparameter Ausgangsbereich
{
    LABEL		[TXT_PRM_1255];
    HELP		[HLP_PRM_1255];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_127
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_128] }, // 0 bis 20mA
        { 1, [TXT_TYP_129] }, // 4 bis 20mA
        { 2, [TXT_TYP_130] }, // 20 bis 0mA
        { 3, [TXT_TYP_131] }  // 20 bis 4mA
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1255
{
    SLOT		12;
    INDEX		55;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1255    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
 
 
//   Defining VARIABLE  PRM_1262
// 
VARIABLE PRM_1262	// Prozessdaten-Eingang (Default: Drehmoment Itwert)
{
    LABEL		[TXT_PRM_1262];
    HELP		[HLP_PRM_1262];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_275
    {
        DEFAULT_VALUE	545;
        { 372, [TXT_TYP_985] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 2, [TXT_TYP_343] }, // Stellungs-Istwert E2
        { 545, [TXT_TYP_367] }, // Drehmoment Istwert
        { 498, [TXT_TYP_345] }, // Analog In1 E8
        { 499, [TXT_TYP_346] }  // Analog In2 E9
        IF (PRM_181 != 0) {{ 464, [TXT_TYP_982] }} // FeldbusAnalogOut_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 465, [TXT_TYP_983] }} // FeldbusAnalogOut_02 (using RULE_304)
        { 11, [TXT_TYP_1399] }  // Drehzahl
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1263
// 
VARIABLE PRM_1263	// Auswahlparameter Ausgangsbereich
{
    LABEL		[TXT_PRM_1263];
    HELP		[HLP_PRM_1263];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_127
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_128] }, // 0 bis 20mA
        { 1, [TXT_TYP_129] }, // 4 bis 20mA
        { 2, [TXT_TYP_130] }, // 20 bis 0mA
        { 3, [TXT_TYP_131] }  // 20 bis 4mA
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1263
{
    SLOT		12;
    INDEX		63;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1263    // 2 Octets
 
 
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1321
// 
VARIABLE PRM_1321	// Profibus Adresse 1
{
    LABEL		[TXT_PRM_1321];
    HELP		[HLP_PRM_1321];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	126;
        DEFAULT_VALUE	126;
    }
    HANDLING		READ;
}
COMMAND read_PRM_1321
{
    SLOT		13;
    INDEX		21;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1321    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1322
// 
VARIABLE PRM_1322	// Profibus Adresse 2 (redundant)
{
    LABEL		[TXT_PRM_1322];
    HELP		[HLP_PRM_1322];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	126;
        DEFAULT_VALUE	126;
    }
    HANDLING		READ;
}
COMMAND read_PRM_1322
{
    SLOT		13;
    INDEX		22;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1322    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1433
// 
VARIABLE PRM_1433	// Zeitformat
{
    LABEL		[TXT_PRM_1433];
    HELP		[HLP_PRM_1433];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_369
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_370] }, // 12h
        { 1, [TXT_TYP_376] }  // 24h
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1433
{
    SLOT		14;
    INDEX		33;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1433    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1467
// 
VARIABLE PRM_1467	// Zahlenformat
{
    LABEL		[TXT_PRM_1467];
    HELP		[HLP_PRM_1467];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_375
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_377] }, // Dezimaltrennzeichen ist PUNKT
        { 1, [TXT_TYP_379] }  // Dezimaltrennzeichen ist KOMMA
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1467
{
    SLOT		14;
    INDEX		67;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1467    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1705
// 
VARIABLE PRM_1705	// Winkel max. CLOSE
{
    LABEL		[TXT_PRM_1705];
    HELP		[HLP_PRM_1705];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	8;
        MAX_VALUE	122;
        DEFAULT_VALUE	105;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1706
// 
VARIABLE PRM_1706	// Winkel max. OPEN
{
    LABEL		[TXT_PRM_1706];
    HELP		[HLP_PRM_1706];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	132;
        MAX_VALUE	247;
        DEFAULT_VALUE	149;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1707
// 
VARIABLE PRM_1707	// Winkel min. CLOSE
{
    LABEL		[TXT_PRM_1707];
    HELP		[HLP_PRM_1707];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	65;
        MAX_VALUE	125;
        DEFAULT_VALUE	120;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1708
// 
VARIABLE PRM_1708	// Winkel min. OPEN
{
    LABEL		[TXT_PRM_1708];
    HELP		[HLP_PRM_1708];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	129;
        MAX_VALUE	189;
        DEFAULT_VALUE	134;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1709
// 
VARIABLE PRM_1709	// Torque max. CLOSE
{
    LABEL		[TXT_PRM_1709];
    HELP		[HLP_PRM_1709];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	125;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1710
// 
VARIABLE PRM_1710	// Torque max. OPEN
{
    LABEL		[TXT_PRM_1710];
    HELP		[HLP_PRM_1710];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	125;
        DEFAULT_VALUE	100;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1711
// 
VARIABLE PRM_1711	// Torque min. CLOSE
{
    LABEL		[TXT_PRM_1711];
    HELP		[HLP_PRM_1711];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	80;
        DEFAULT_VALUE	50;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1712
// 
VARIABLE PRM_1712	// Torque min. OPEN
{
    LABEL		[TXT_PRM_1712];
    HELP		[HLP_PRM_1712];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	80;
        DEFAULT_VALUE	50;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1713
// 
VARIABLE PRM_1713	// Torque Totzone
{
    LABEL		[TXT_PRM_1713];
    HELP		[HLP_PRM_1713];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	20;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
 
//   Defining VARIABLE  PRM_1715
// 
VARIABLE PRM_1715	// Korrektur Kennlinie CLOSE
{
    LABEL		[TXT_PRM_1715];
    HELP		[HLP_PRM_1715];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	120;
        DEFAULT_VALUE	100;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1716
// 
VARIABLE PRM_1716	// Korrektur Kennlinie OPEN
{
    LABEL		[TXT_PRM_1716];
    HELP		[HLP_PRM_1716];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	80;
        MAX_VALUE	120;
        DEFAULT_VALUE	100;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1725
// 
VARIABLE PRM_1725	// Komparator Hysterese für Endlagen
{
    LABEL		[TXT_PRM_1725];
    HELP		[HLP_PRM_1725];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	3;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1741
// 
VARIABLE PRM_1741	// Komparator Hysterese
{
    LABEL		[TXT_PRM_1741];
    HELP		[HLP_PRM_1741];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	20;
        DEFAULT_VALUE	5;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1751
// 
VARIABLE PRM_1751	// ArtikelNr Logik IST-Konfiguration
{
    LABEL		[TXT_PRM_1751];
    HELP		[HLP_PRM_1751];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR LOGIK _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1752
// 
VARIABLE PRM_1752	// MWG-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_1752];
    HELP		[HLP_PRM_1752];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_1752
{
    SLOT		17;
    INDEX		52;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1752    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1754
// 
VARIABLE PRM_1754	// Lcb ArtikelNr  IST-Konfiguration
{
    LABEL		[TXT_PRM_1754];
    HELP		[HLP_PRM_1754];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR OSS _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1755
// 
VARIABLE PRM_1755	// ArtikelNr Relaisplatine IST-Konfiguration
{
    LABEL		[TXT_PRM_1755];
    HELP		[HLP_PRM_1755];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR RELAIS _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1756
// 
VARIABLE PRM_1756	// ArtikelNr Optionsplatine  IST-Konfiguration
{
    LABEL		[TXT_PRM_1756];
    HELP		[HLP_PRM_1756];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR_OPT _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1757
// 
VARIABLE PRM_1757	// ArtikelNr Interface1 IST-Konfiguration
{
    LABEL		[TXT_PRM_1757];
    HELP		[HLP_PRM_1757];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR INTF _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1758
// 
VARIABLE PRM_1758	// ArtikelNr Bus  IST-Konfiguration
{
    LABEL		[TXT_PRM_1758];
    HELP		[HLP_PRM_1758];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR PBD _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1759
// 
VARIABLE PRM_1759	// Firmware Version AC01.2
{
    LABEL		[TXT_PRM_1759];
    HELP		[HLP_PRM_1759];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"Vxx.xx.xx";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1760
// 
VARIABLE PRM_1760	// KommNr Steuerung
{
    LABEL		[TXT_PRM_1760];
    HELP		[HLP_PRM_1760];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ KOMMNR STEUERUNG _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1761
// 
VARIABLE PRM_1761	// KommNr Antrieb
{
    LABEL		[TXT_PRM_1761];
    HELP		[HLP_PRM_1761];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ KOMMNR ANTRIEB _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1762
// 
VARIABLE PRM_1762	// Werksnummer Steuerung
{
    LABEL		[TXT_PRM_1762];
    HELP		[HLP_PRM_1762];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ WERKNR STEUERUNG _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1763
// 
VARIABLE PRM_1763	// Werksnummer Antrieb
{
    LABEL		[TXT_PRM_1763];
    HELP		[HLP_PRM_1763];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ WERKNR ANTRIEB _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1764
// 
VARIABLE PRM_1764	// Schaltplannummer Steuerung
{
    LABEL		[TXT_PRM_1764];
    HELP		[HLP_PRM_1764];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"TPC";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1765
// 
VARIABLE PRM_1765	// Schaltplannummer Antrieb
{
    LABEL		[TXT_PRM_1765];
    HELP		[HLP_PRM_1765];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"TPA";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1767
// 
VARIABLE PRM_1767	// Stützpunkt 1 Hysterese
{
    LABEL		[TXT_PRM_1767];
    HELP		[HLP_PRM_1767];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1768
// 
VARIABLE PRM_1768	// Stützpunkt 2 Hysterese
{
    LABEL		[TXT_PRM_1768];
    HELP		[HLP_PRM_1768];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1769
// 
VARIABLE PRM_1769	// Stützpunkt 3 Hysterese
{
    LABEL		[TXT_PRM_1769];
    HELP		[HLP_PRM_1769];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1770
// 
VARIABLE PRM_1770	// Stützpunkt 4 Hysterese
{
    LABEL		[TXT_PRM_1770];
    HELP		[HLP_PRM_1770];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1771
// 
VARIABLE PRM_1771	// Stützpunkt 5 Hysterese
{
    LABEL		[TXT_PRM_1771];
    HELP		[HLP_PRM_1771];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1772
// 
VARIABLE PRM_1772	// Stützpunkt 6 Hysterese
{
    LABEL		[TXT_PRM_1772];
    HELP		[HLP_PRM_1772];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1773
// 
VARIABLE PRM_1773	// Stützpunkt 7 Hysterese
{
    LABEL		[TXT_PRM_1773];
    HELP		[HLP_PRM_1773];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1774
// 
VARIABLE PRM_1774	// Stützpunkt 8 Hysterese
{
    LABEL		[TXT_PRM_1774];
    HELP		[HLP_PRM_1774];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1869
// 
VARIABLE PRM_1869	// Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)
{
    LABEL		[TXT_PRM_1869];
    HELP		[HLP_PRM_1869];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_713
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_715] }, // ZUERST_GUT
        { 2, [TXT_TYP_716] }  // SOFORT_AUSLÖSEN
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1869
{
    SLOT		18;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1869    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1870
// 
VARIABLE PRM_1870	// Verhalten Sicherheitsbetrieb (Default: 0 = STOP)
{
    LABEL		[TXT_PRM_1870];
    HELP		[HLP_PRM_1870];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_706
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_707] }, // AS_IS
        { 1, [TXT_TYP_708] }, // CLOSE
        { 2, [TXT_TYP_709] }  // OPEN
        IF (PRM_1169 == 1) {{ 3, [TXT_TYP_710] }} // POSITION (using RULE_14)
        { 4, [TXT_TYP_711] }  // LAST_CMD
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1870
{
    SLOT		18;
    INDEX		70;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1870    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1871
// 
VARIABLE PRM_1871	// Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)
{
    LABEL		[TXT_PRM_1871];
    HELP		[HLP_PRM_1871];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_712
    {
        DEFAULT_VALUE	4;
        { 1, [TXT_TYP_718] }, // CMD
        { 2, [TXT_TYP_719] }, // SET_POINT
        { 4, [TXT_TYP_722] }  // ALL
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1871
{
    SLOT		18;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1871    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1872
// 
VARIABLE PRM_1872	// FailSafe-Position
{
    LABEL		[TXT_PRM_1872];
    HELP		[HLP_PRM_1872];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1872
{
    SLOT		18;
    INDEX		72;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1872    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1874
// 
VARIABLE PRM_1874	// FailsSafe-Verzögerungszeit
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	18000;
        DEFAULT_VALUE	30;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1874
{
    SLOT		18;
    INDEX		74;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1874    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1875
// 
VARIABLE PRM_1875	// ArtikelNr MWG IST-Konfiguration
{
    LABEL		[TXT_PRM_1875];
    HELP		[HLP_PRM_1875];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ ARTNR MWG _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1887
// 
VARIABLE PRM_1887	// Stützpunkt 1 Pausenzeit
{
    LABEL		[TXT_PRM_1887];
    HELP		[HLP_PRM_1887];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1887, uiPRM_1887),
        DEFINITION{ uiPRM_1887.VARIABLE_STATUS = PRM_1887.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1887
{
    SLOT		18;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1887    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1888
// 
VARIABLE PRM_1888	// Stützpunkt 2 Pausenzeit
{
    LABEL		[TXT_PRM_1888];
    HELP		[HLP_PRM_1888];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1888, uiPRM_1888),
        DEFINITION{ uiPRM_1888.VARIABLE_STATUS = PRM_1888.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1888
{
    SLOT		18;
    INDEX		88;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1888    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1889
// 
VARIABLE PRM_1889	// Stützpunkt 3 Pausenzeit
{
    LABEL		[TXT_PRM_1889];
    HELP		[HLP_PRM_1889];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1889, uiPRM_1889),
        DEFINITION{ uiPRM_1889.VARIABLE_STATUS = PRM_1889.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1889
{
    SLOT		18;
    INDEX		89;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1889    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1890
// 
VARIABLE PRM_1890	// Stützpunkt 4 Pausenzeit
{
    LABEL		[TXT_PRM_1890];
    HELP		[HLP_PRM_1890];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1890, uiPRM_1890),
        DEFINITION{ uiPRM_1890.VARIABLE_STATUS = PRM_1890.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1890
{
    SLOT		18;
    INDEX		90;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1890    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1891
// 
VARIABLE PRM_1891	// Stützpunkt 5 Pausenzeit
{
    LABEL		[TXT_PRM_1891];
    HELP		[HLP_PRM_1891];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1891, uiPRM_1891),
        DEFINITION{ uiPRM_1891.VARIABLE_STATUS = PRM_1891.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1891
{
    SLOT		18;
    INDEX		91;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1891    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1892
// 
VARIABLE PRM_1892	// Stützpunkt 6 Pausenzeit
{
    LABEL		[TXT_PRM_1892];
    HELP		[HLP_PRM_1892];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1892, uiPRM_1892),
        DEFINITION{ uiPRM_1892.VARIABLE_STATUS = PRM_1892.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1892
{
    SLOT		18;
    INDEX		92;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1892    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1893
// 
VARIABLE PRM_1893	// Stützpunkt 7 Pausenzeit
{
    LABEL		[TXT_PRM_1893];
    HELP		[HLP_PRM_1893];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1893, uiPRM_1893),
        DEFINITION{ uiPRM_1893.VARIABLE_STATUS = PRM_1893.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1893
{
    SLOT		18;
    INDEX		93;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1893    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1894
// 
VARIABLE PRM_1894	// Stützpunkt 8 Pausenzeit
{
    LABEL		[TXT_PRM_1894];
    HELP		[HLP_PRM_1894];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1894, uiPRM_1894),
        DEFINITION{ uiPRM_1894.VARIABLE_STATUS = PRM_1894.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1894
{
    SLOT		18;
    INDEX		94;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1894    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1931
// 
VARIABLE PRM_1931	// Fahrprofil \"Aktivierung\" (wird auch vom CmdSequencer genutzt)
{
    LABEL		[TXT_PRM_1931];
    HELP		[HLP_PRM_1931];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1931
{
    SLOT		19;
    INDEX		31;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1931    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1969
// 
VARIABLE PRM_1969	// Nennmoment Auf (Antrieb)
{
    LABEL		[TXT_PRM_1969];
    HELP		[HLP_PRM_1969];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	60;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1996
// 
VARIABLE PRM_1996	// Datumsformat
{
    LABEL		[TXT_PRM_1996];
    HELP		[HLP_PRM_1996];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_649
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_650] }, // USA
        { 1, [TXT_TYP_651] }, // EUR
        { 2, [TXT_TYP_652] }  // ISO 8601
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1996
{
    SLOT		19;
    INDEX		96;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1996    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2006
// 
VARIABLE PRM_2006	// Anzeigeeinheit Temperatur
{
    LABEL		[TXT_PRM_2006];
    HELP		[HLP_PRM_2006];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_677
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_678] }, // °C
        { 1, [TXT_TYP_679] }  // °F
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2006
{
    SLOT		20;
    INDEX		6;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2006    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2036
// 
VARIABLE PRM_2036	// Abschaltmoment AUF [Nm]
{
    LABEL		[TXT_PRM_2036];
    HELP		[HLP_PRM_2036];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_2036
{
    SLOT		20;
    INDEX		36;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2036    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_2036
{
    SLOT		20;
    INDEX		36;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2036    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
 
//   Defining VARIABLE  PRM_2041
// 
VARIABLE PRM_2041	// Abschaltmoment ZU [Nm]
{
    LABEL		[TXT_PRM_2041];
    HELP		[HLP_PRM_2041];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	PRM_2180;
        MIN_VALUE	PRM_2180;
        MAX_VALUE	PRM_2181;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_2041
{
    SLOT		20;
    INDEX		41;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2041    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_2041
{
    SLOT		20;
    INDEX		41;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2041    // 2 Octets
 
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2088
// 
VARIABLE PRM_2088	// Nennmoment Zu (Antrieb)
{
    LABEL		[TXT_PRM_2088];
    HELP		[HLP_PRM_2088];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	60;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2121
// 
VARIABLE PRM_2121	// EDEnable
{
    LABEL		[TXT_PRM_2121];
    HELP		[HLP_PRM_2121];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2121
{
    SLOT		21;
    INDEX		21;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2121    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2122
// 
VARIABLE PRM_2122	// EDMaxTimeHour
{
    LABEL		[TXT_PRM_2122];
    HELP		[HLP_PRM_2122];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	60;
        DEFAULT_VALUE	15;
    }
    CONSTANT_UNIT		"min";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2122
{
    SLOT		21;
    INDEX		22;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2122    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2123
// 
VARIABLE PRM_2123	// EDMaxStartHour
{
    LABEL		[TXT_PRM_2123];
    HELP		[HLP_PRM_2123];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1800;
        DEFAULT_VALUE	1200;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2123
{
    SLOT		21;
    INDEX		23;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2123    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2175
// 
VARIABLE PRM_2175	//  Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT
{
    LABEL		[TXT_PRM_2175];
    HELP		[HLP_PRM_2175];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_699
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_700] }, // Servicefahrt nur im Ortbetrieb
        { 1, [TXT_TYP_701] }  // Servicefahrt im Ortbetrieb und Fernbetrieb
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2175
{
    SLOT		21;
    INDEX		75;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2175    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2176
// 
VARIABLE PRM_2176	// Datum der Endabnahme
{
    LABEL		[TXT_PRM_2176];
    HELP		[HLP_PRM_2176];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_DATE_PRODUCTION_";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2178
// 
VARIABLE PRM_2178	// minimales Abschaltmoment AUF [Nm]
{
    LABEL		[TXT_PRM_2178];
    HELP		[HLP_PRM_2178];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	20;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
COMMAND read_PRM_2178
{
    SLOT		21;
    INDEX		78;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2178    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2179
// 
VARIABLE PRM_2179	// maximales Abschaltmoment AUF [Nm]
{
    LABEL		[TXT_PRM_2179];
    HELP		[HLP_PRM_2179];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	200;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
COMMAND read_PRM_2179
{
    SLOT		21;
    INDEX		79;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2179    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2180
// 
VARIABLE PRM_2180	// minimales Abschaltmoment ZU [Nm]
{
    LABEL		[TXT_PRM_2180];
    HELP		[HLP_PRM_2180];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	30;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
COMMAND read_PRM_2180
{
    SLOT		21;
    INDEX		80;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2180    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2181
// 
VARIABLE PRM_2181	// maximales Abschaltmoment ZU [Nm]
{
    LABEL		[TXT_PRM_2181];
    HELP		[HLP_PRM_2181];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	40000;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ;
}
COMMAND read_PRM_2181
{
    SLOT		21;
    INDEX		81;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2181    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2182
// 
VARIABLE PRM_2182	// Anzeigeeinheit Drehmoment
{
    LABEL		[TXT_PRM_2182];
    HELP		[HLP_PRM_2182];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_702
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_703] }, // Newtonmeter
        { 1, [TXT_TYP_704] }, // Foot-Pound
        { 2, [TXT_TYP_705] }  // Prozent
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2182
{
    SLOT		21;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2182    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2188
// 
VARIABLE PRM_2188	// Lokale Bluetooth-Geräteadresse (XX:XX:XX:XX:XX:XX)
{
    LABEL		[TXT_PRM_2188];
    HELP		[HLP_PRM_2188];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"XX:XX:XX:XX:XX:XX";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2217
// 
VARIABLE PRM_2217	// App-Lcb
{
    LABEL		[TXT_PRM_2217];
    HELP		[HLP_PRM_2217];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2218
// 
VARIABLE PRM_2218	// Btl-Lcb
{
    LABEL		[TXT_PRM_2218];
    HELP		[HLP_PRM_2218];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2219
// 
VARIABLE PRM_2219	// App-Logik
{
    LABEL		[TXT_PRM_2219];
    HELP		[HLP_PRM_2219];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2220
// 
VARIABLE PRM_2220	// Btl-Logik
{
    LABEL		[TXT_PRM_2220];
    HELP		[HLP_PRM_2220];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2221
// 
VARIABLE PRM_2221	// App-Mwg
{
    LABEL		[TXT_PRM_2221];
    HELP		[HLP_PRM_2221];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2222
// 
VARIABLE PRM_2222	// Btl-Mwg
{
    LABEL		[TXT_PRM_2222];
    HELP		[HLP_PRM_2222];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2223
// 
VARIABLE PRM_2223	// App-Bus
{
    LABEL		[TXT_PRM_2223];
    HELP		[HLP_PRM_2223];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2224
// 
VARIABLE PRM_2224	// Btl-Bus
{
    LABEL		[TXT_PRM_2224];
    HELP		[HLP_PRM_2224];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2239
// 
VARIABLE PRM_2239	// Logik-Hwib-VI1
{
    LABEL		[TXT_PRM_2239];
    HELP		[HLP_PRM_2239];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
COMMAND read_PRM_2239
{
    SLOT		22;
    INDEX		39;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2239    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2281
// 
VARIABLE PRM_2281	// Interface-Hwib-VI1
{
    LABEL		[TXT_PRM_2281];
    HELP		[HLP_PRM_2281];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	6;
    }
    HANDLING		READ;
}
COMMAND read_PRM_2281
{
    SLOT		22;
    INDEX		81;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2281    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2293
// 
VARIABLE PRM_2293	// Interface-Hwib-VI3
{
    LABEL		[TXT_PRM_2293];
    HELP		[HLP_PRM_2293];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
COMMAND read_PRM_2293
{
    SLOT		22;
    INDEX		93;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2293    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2294
// 
VARIABLE PRM_2294	// Interface-Hwib-VI2
{
    LABEL		[TXT_PRM_2294];
    HELP		[HLP_PRM_2294];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	6;
    }
    HANDLING		READ;
}
COMMAND read_PRM_2294
{
    SLOT		22;
    INDEX		94;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2294    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2308
// 
VARIABLE PRM_2308	// MWG-Hwib-VI2
{
    LABEL		[TXT_PRM_2308];
    HELP		[HLP_PRM_2308];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_2308
{
    SLOT		23;
    INDEX		8;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2308    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2339
// 
VARIABLE PRM_2339	// OPT-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_2339];
    HELP		[HLP_PRM_2339];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_2339
{
    SLOT		23;
    INDEX		39;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2339    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2400
// 
VARIABLE PRM_2400	// Mindestwert 5V-Referenzspannung (0...1023)
{
    LABEL		[TXT_PRM_2400];
    HELP		[HLP_PRM_2400];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1023;
        DEFAULT_VALUE	450;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2401
// 
VARIABLE PRM_2401	// Mindestwert Poti-Signal (0...1023)
{
    LABEL		[TXT_PRM_2401];
    HELP		[HLP_PRM_2401];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1023;
        DEFAULT_VALUE	77;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2402
// 
VARIABLE PRM_2402	// Mindestwert Poti-Hub (0...1023)
{
    LABEL		[TXT_PRM_2402];
    HELP		[HLP_PRM_2402];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1023;
        DEFAULT_VALUE	610;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2415
// 
VARIABLE PRM_2415	// Interface2-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_2415];
    HELP		[HLP_PRM_2415];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_2415
{
    SLOT		24;
    INDEX		15;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2415    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2418
// 
VARIABLE PRM_2418	// Diagnoseauswahl
{
    LABEL		[TXT_PRM_2418];
    HELP		[HLP_PRM_2418];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_773
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_774] }, // AUMA-Sammelmeldungen
        { 1, [TXT_TYP_775] }  // NAMUR-Sammelmeldungen
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2418
{
    SLOT		24;
    INDEX		18;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2418    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2546
// 
VARIABLE PRM_2546	// Applikationsparameter Betriebsart
{
    LABEL		[TXT_PRM_2546];
    HELP		[HLP_PRM_2546];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_886
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_887], [HLP_TYP_887] }, // AUS
        { 1, [TXT_TYP_888], [HLP_TYP_888] }  // MANUELL
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2546
{
    SLOT		25;
    INDEX		46;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2546    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2547
// 
VARIABLE PRM_2547	// Applikationsparameter Stellzeit (Einheit 0,1 sec)
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	36000;
        DEFAULT_VALUE	9000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_2547
{
    SLOT		25;
    INDEX		47;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2547    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2554
// 
VARIABLE PRM_2554	// Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)
{
    LABEL		[TXT_PRM_2554];
    HELP		[HLP_PRM_2554];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2554
{
    SLOT		25;
    INDEX		54;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2554    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2555
// 
VARIABLE PRM_2555	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	50;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_2555
{
    SLOT		25;
    INDEX		55;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2555    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2556
// 
VARIABLE PRM_2556	// Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)
{
    LABEL		[TXT_PRM_2556];
    HELP		[HLP_PRM_2556];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2556
{
    SLOT		25;
    INDEX		56;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2556    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2568
// 
VARIABLE PRM_2568	// Version der ausgewählten Sprachdatei
{
    LABEL		[TXT_PRM_2568];
    HELP		[HLP_PRM_2568];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"Vxxx";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2591
// 
VARIABLE PRM_2591	// Bluetooth-Aktivierung
{
    LABEL		[TXT_PRM_2591];
    HELP		[HLP_PRM_2591];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2591
{
    SLOT		25;
    INDEX		91;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2591    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2604
// 
VARIABLE PRM_2604	// Bluetooth-Geräteadresse der Gegenstelle(XX:XX:XX:XX:XX:XX)
{
    LABEL		[TXT_PRM_2604];
    HELP		[HLP_PRM_2604];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"XX:XX:XX:XX:XX:XX";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2755
// 
VARIABLE PRM_2755	// Stellungsgeber SOLL-Konfiguration
{
    LABEL		[TXT_PRM_2755];
    HELP		[HLP_PRM_2755];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_322
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_323], [HLP_TYP_323] }, // Keine E2 Quelle
        { 1, [TXT_TYP_327], [HLP_TYP_327] }, // Poti angeschlossen
        { 2, [TXT_TYP_325], [HLP_TYP_325] }, // RWG angeschlossen
        { 4, [TXT_TYP_326], [HLP_TYP_326] }  // MWG angeschlossen
    }
    HANDLING		READ;
}
COMMAND read_PRM_2755
{
    SLOT		27;
    INDEX		55;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2755    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2798
// 
VARIABLE PRM_2798	// Applikationsparameter: 24VExt-Überwachung Aktivierung
{
    LABEL		[TXT_PRM_2798];
    HELP		[HLP_PRM_2798];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2865
// 
VARIABLE PRM_2865	// Parameter: Activate (Default = Aktiviert)
{
    LABEL		[TXT_PRM_2865];
    HELP		[HLP_PRM_2865];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2865
{
    SLOT		28;
    INDEX		65;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2865    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2872
// 
VARIABLE PRM_2872	// Parameter: Activate (Default = Aktiviert)
{
    LABEL		[TXT_PRM_2872];
    HELP		[HLP_PRM_2872];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2878
// 
VARIABLE PRM_2878	// Parameter: Activate (Default = Aktiviert)
{
    LABEL		[TXT_PRM_2878];
    HELP		[HLP_PRM_2878];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2885
// 
VARIABLE PRM_2885	// Redundanz-Mode
{
    LABEL		[TXT_PRM_2885];
    HELP		[HLP_PRM_2885];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1085
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1086], [HLP_TYP_1086] }, // Keine Redundanz
        { 1, [TXT_TYP_1087], [HLP_TYP_1087] }, // PNO System Redundanz (Siemens)
        { 4, [TXT_TYP_1297], [HLP_TYP_1297] }, // PNO Flying Redundanz (ABB 800M  Flyingredundanz)
        { 2, [TXT_TYP_1088], [HLP_TYP_1088] }, // Redundanz nach AUMA 1 (entspricht AC01.1 Baugruppenredundanz)
        { 3, [TXT_TYP_1196], [HLP_TYP_1196] }  // Redundanz nach Auma 2 (ABB P875 Linienredundanz)
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2885
{
    SLOT		28;
    INDEX		85;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2885    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2916
// 
VARIABLE PRM_2916	// Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler 
{
    LABEL		[TXT_PRM_2916];
    HELP		[HLP_PRM_2916];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2916
{
    SLOT		29;
    INDEX		16;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2916    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2917
// 
VARIABLE PRM_2917	// Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler 
{
    LABEL		[TXT_PRM_2917];
    HELP		[HLP_PRM_2917];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2917
{
    SLOT		29;
    INDEX		17;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2917    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2923
// 
VARIABLE PRM_2923	// Aktivierung NOT-Funktion
{
    LABEL		[TXT_PRM_2923];
    HELP		[HLP_PRM_2923];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2923
{
    SLOT		29;
    INDEX		23;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2923    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2924
// 
VARIABLE PRM_2924	// Auswahl Auslösequelle
{
    LABEL		[TXT_PRM_2924];
    HELP		[HLP_PRM_2924];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1089
    {
        DEFAULT_VALUE	3;
        IF (PRM_45 == 1) {{ 1, [TXT_TYP_1090] }} // Paralleles Interface (using RULE_19)
        IF (PRM_181 != 0) {{ 2, [TXT_TYP_1091] }} // Feldbus-Interface (using RULE_304)
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 3, [TXT_TYP_1092] }} // Paralleles und Feldbus Interface (using RULE_348)
        { 4, [TXT_TYP_1406] }  // Aktive Befehlsquelle für Fahrten
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2924
{
    SLOT		29;
    INDEX		24;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2924    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2950
// 
VARIABLE PRM_2950	// NOT Überbrückung Fahrprofil
{
    LABEL		[TXT_PRM_2950];
    HELP		[HLP_PRM_2950];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2950
{
    SLOT		29;
    INDEX		50;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2950    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2992
// 
VARIABLE PRM_2992	// Handradschalter: Vorhanden, bzw. Kontaktart
{
    LABEL		[TXT_PRM_2992];
    HELP		[HLP_PRM_2992];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1138
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1139], [HLP_TYP_1139] }, // Ohne
        { 1, [TXT_TYP_1140] }, // Öffner
        { 2, [TXT_TYP_1141] }  // Schließer
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3006
// 
VARIABLE PRM_3006	// Profibus Ident Nr
{
    LABEL		[TXT_PRM_3006];
    HELP		[HLP_PRM_3006];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1093
    {
        DEFAULT_VALUE	3151;
        { 3151, [TXT_TYP_1094], [HLP_TYP_1094] }, // Ident Nr AC einkanalige Profibushardware
        { 3261, [TXT_TYP_1095], [HLP_TYP_1095] }, // Ident Nr AC zweiikanalige Profibushardware
        { 3191, [TXT_TYP_1107], [HLP_TYP_1107] }  // Ident Nr P70 Profibushardware
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3053
// 
VARIABLE PRM_3053	// Hysterese
{
    LABEL		[TXT_PRM_3053];
    HELP		[HLP_PRM_3053];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	10;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3059
// 
VARIABLE PRM_3059	// Anzahl Bus-Kanäle Soll*
{
    LABEL		[TXT_PRM_3059];
    HELP		[HLP_PRM_3059];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1064
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1065], [HLP_TYP_1065] }, // Einkanalig
        { 1, [TXT_TYP_1066], [HLP_TYP_1066] }, // Zweikanalig
        { 2, [TXT_TYP_1097], [HLP_TYP_1097] }  // Ring
    }
    HANDLING		READ;
}
COMMAND read_PRM_3059
{
    SLOT		30;
    INDEX		59;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3059    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3134
// 
VARIABLE PRM_3134	// \"Freigabe OSS\" Kaufparameter
{
    LABEL		[TXT_PRM_3134];
    HELP		[HLP_PRM_3134];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_3134
{
    SLOT		31;
    INDEX		34;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3134    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3135
// 
VARIABLE PRM_3135	// \"Freigabe OSS\" Aktivierung
{
    LABEL		[TXT_PRM_3135];
    HELP		[HLP_PRM_3135];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3135
{
    SLOT		31;
    INDEX		35;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3135    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3136
// 
VARIABLE PRM_3136	// \"Freigabe OSS\" Verhalten
{
    LABEL		[TXT_PRM_3136];
    HELP		[HLP_PRM_3136];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1123
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1124], [HLP_TYP_1124] }, // nur ORT
        { 1, [TXT_TYP_1125], [HLP_TYP_1125] }  // ORT und AUS
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3136
{
    SLOT		31;
    INDEX		36;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3136    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3143
// 
VARIABLE PRM_3143	// \"Lokaler Halt\" Verhalten
{
    LABEL		[TXT_PRM_3143];
    HELP		[HLP_PRM_3143];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1126
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1127], [HLP_TYP_1127] }, // ausgeschaltet
        { 1, [TXT_TYP_1128], [HLP_TYP_1128] }  // ORT oder FERN
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3143
{
    SLOT		31;
    INDEX		43;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3143    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3156
// 
VARIABLE PRM_3156	// Applikation: Betriebsart EX-Ausführung
{
    LABEL		[TXT_PRM_3156];
    HELP		[HLP_PRM_3156];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ;
}
COMMAND read_PRM_3156
{
    SLOT		31;
    INDEX		56;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3156    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3157
// 
VARIABLE PRM_3157	// Applikation: Betriebsart Standard-Ausführung
{
    LABEL		[TXT_PRM_3157];
    HELP		[HLP_PRM_3157];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1132
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1133], [HLP_TYP_1133] }, // ohne Abschaltung
        { 1, [TXT_TYP_1134], [HLP_TYP_1134] }  // mit Abschaltung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3157
{
    SLOT		31;
    INDEX		57;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3157    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3158
// 
VARIABLE PRM_3158	// Applikation: Überwachungszeit
{
    LABEL		[TXT_PRM_3158];
    HELP		[HLP_PRM_3158];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	150;
        MAX_VALUE	3000;
        DEFAULT_VALUE	150;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3158
{
    SLOT		31;
    INDEX		58;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3158    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3172
// 
VARIABLE PRM_3172	// Applikationsparameter: Heizungsüberwachung aktivieren
{
    LABEL		[TXT_PRM_3172];
    HELP		[HLP_PRM_3172];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3180
// 
VARIABLE PRM_3180	// Applikationsparameter: Heizungsüberwachung aktivieren
{
    LABEL		[TXT_PRM_3180];
    HELP		[HLP_PRM_3180];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3187
// 
VARIABLE PRM_3187	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_3187];
    HELP		[HLP_PRM_3187];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	1;
        MAX_VALUE	20;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_3187, uiPRM_3187),
        DEFINITION{ uiPRM_3187.VARIABLE_STATUS = PRM_3187.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_3187
{
    SLOT		31;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3187    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3188
// 
VARIABLE PRM_3188	// Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Inkremente)
{
    LABEL		[TXT_PRM_3188];
    HELP		[HLP_PRM_3188];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	20;
        DEFAULT_VALUE	3;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3188
{
    SLOT		31;
    INDEX		88;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3188    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3216
// 
VARIABLE PRM_3216	// Applikationsparameter ApplRelease
{
    LABEL		[TXT_PRM_3216];
    HELP		[HLP_PRM_3216];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_3216
{
    SLOT		32;
    INDEX		16;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3216    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3217
// 
VARIABLE PRM_3217	// Applikationsparameter ApplActivation
{
    LABEL		[TXT_PRM_3217];
    HELP		[HLP_PRM_3217];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3217
{
    SLOT		32;
    INDEX		17;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3217    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3218
// 
VARIABLE PRM_3218	// Applikationsparameter ApplMode
{
    LABEL		[TXT_PRM_3218];
    HELP		[HLP_PRM_3218];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1167
    {
        DEFAULT_VALUE	3;
        { 1, [TXT_TYP_1169], [HLP_TYP_1169] }, // nur FERN
        { 2, [TXT_TYP_1170], [HLP_TYP_1170] }, // nur ORT
        { 3, [TXT_TYP_1171], [HLP_TYP_1171] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3218
{
    SLOT		32;
    INDEX		18;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3218    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3219
// 
VARIABLE PRM_3219	// Applikationsparameter ApplBehaviour
{
    LABEL		[TXT_PRM_3219];
    HELP		[HLP_PRM_3219];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1142
    {
        DEFAULT_VALUE	3;
        { 1, [TXT_TYP_1143], [HLP_TYP_1143] }, //  AUF
        { 2, [TXT_TYP_1144], [HLP_TYP_1144] }, // ZU
        { 3, [TXT_TYP_1145], [HLP_TYP_1145] }  // AUF und ZU
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3219
{
    SLOT		32;
    INDEX		19;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3219    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3232
// 
VARIABLE PRM_3232	// Enable
{
    LABEL		[TXT_PRM_3232];
    HELP		[HLP_PRM_3232];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3255
// 
VARIABLE PRM_3255	// Applikationsparameter ApplIgnoreESD
{
    LABEL		[TXT_PRM_3255];
    HELP		[HLP_PRM_3255];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3255
{
    SLOT		32;
    INDEX		55;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3255    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3295
// 
VARIABLE PRM_3295	// NOT Überbrückung Lokaler Halt
{
    LABEL		[TXT_PRM_3295];
    HELP		[HLP_PRM_3295];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3295
{
    SLOT		32;
    INDEX		95;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3295    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3297
// 
VARIABLE PRM_3297	// Hydraulikantrieb SOLL-Konfiguration
{
    LABEL		[TXT_PRM_3297];
    HELP		[HLP_PRM_3297];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ;
}
COMMAND read_PRM_3297
{
    SLOT		32;
    INDEX		97;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3297    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3479
// 
VARIABLE PRM_3479	// Lwl-Modul (FPGA)
{
    LABEL		[TXT_PRM_3479];
    HELP		[HLP_PRM_3479];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3481
// 
VARIABLE PRM_3481	// Lwl-Bus-Topologie
{
    LABEL		[TXT_PRM_3481];
    HELP		[HLP_PRM_3481];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1193
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_1194], [HLP_TYP_1194] }, // Ring
        { 1, [TXT_TYP_1195], [HLP_TYP_1195] }  // Stern/Linie
    }
    HANDLING		READ;
}
COMMAND read_PRM_3481
{
    SLOT		34;
    INDEX		81;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3481    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3482
// 
VARIABLE PRM_3482	// Lwl-Überwachung
{
    LABEL		[TXT_PRM_3482];
    HELP		[HLP_PRM_3482];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1252
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1254], [HLP_TYP_1254] }, // Ein (kein Endgerät)
        { 1, [TXT_TYP_1253], [HLP_TYP_1253] }  // Aus (Endgerät)
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3482
{
    SLOT		34;
    INDEX		82;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3482    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3482
{
    SLOT		34;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3482    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3495
// 
VARIABLE PRM_3495	// LwlMod-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_3495];
    HELP		[HLP_PRM_3495];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_3495
{
    SLOT		34;
    INDEX		95;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3495    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3496
// 
VARIABLE PRM_3496	// Lwl-Baudrate
{
    LABEL		[TXT_PRM_3496];
    HELP		[HLP_PRM_3496];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1200
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1201], [HLP_TYP_1201] }, // Auto-Detect
        { 1, [TXT_TYP_1202], [HLP_TYP_1202] }, // 9.6 kbit/s
        { 2, [TXT_TYP_1203], [HLP_TYP_1203] }  // 19.2 kbit/s
        IF (PRM_181 == 2) {{ 3, [TXT_TYP_1204], [HLP_TYP_1204] }} // 38.4 kbit/s (using RULE_23)
        IF (PRM_181 == 1) {{ 4, [TXT_TYP_1205], [HLP_TYP_1205] }} // 45.45 kbit/s (using RULE_21)
        IF (PRM_181 == 2) {{ 5, [TXT_TYP_1206], [HLP_TYP_1206] }} // 57.6 kbit/s (using RULE_23)
        IF (PRM_181 == 1) {{ 6, [TXT_TYP_1207], [HLP_TYP_1207] }} // 93.75 kbit/s (using RULE_21)
        IF (PRM_181 == 2) {{ 7, [TXT_TYP_1208], [HLP_TYP_1208] }} // 115.2 kbit/s (using RULE_23)
        IF (PRM_181 == 1) {{ 8, [TXT_TYP_1209], [HLP_TYP_1209] }} // 187.5 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 9, [TXT_TYP_1210], [HLP_TYP_1210] }} // 500.0 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 10, [TXT_TYP_1211], [HLP_TYP_1211] }} // 1500 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 11, [TXT_TYP_1212], [HLP_TYP_1212] }} // 3000 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 12, [TXT_TYP_1213], [HLP_TYP_1213] }} // 6000 kbit/s (using RULE_21)
        IF (PRM_181 == 1) {{ 13, [TXT_TYP_1214], [HLP_TYP_1214] }} // 12000 kbit/s (using RULE_21)
    }
    HANDLING		READ;
}
COMMAND read_PRM_3496
{
    SLOT		34;
    INDEX		96;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3496    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3527
// 
VARIABLE PRM_3527	// Sende-Mode (sende auf 2 Leitungen)
{
    LABEL		[TXT_PRM_3527];
    HELP		[HLP_PRM_3527];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1249
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1250], [HLP_TYP_1250] }, // Sende auf nur einer Leitung
        { 1, [TXT_TYP_1251], [HLP_TYP_1251] }  // Sende auf beiden Leitungen
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3527
{
    SLOT		35;
    INDEX		27;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3527    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3590
// 
VARIABLE PRM_3590	// Prozeßregler Aktivierung
{
    LABEL		[TXT_PRM_3590];
    HELP		[HLP_PRM_3590];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3590
{
    SLOT		35;
    INDEX		90;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3590    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3590
{
    SLOT		35;
    INDEX		90;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3590    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3596
// 
VARIABLE PRM_3596	// Redundanz-Mode
{
    LABEL		[TXT_PRM_3596];
    HELP		[HLP_PRM_3596];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1271
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1272], [HLP_TYP_1272] }, // Keine Redundanz
        { 1, [TXT_TYP_1273], [HLP_TYP_1273] }, // Redundanz nach AUMA 1 (Baugruppe- bzw Linienredundanz)
        { 2, [TXT_TYP_1274], [HLP_TYP_1274] }, // Redundanz nach AUMA 2 (System- bzw Leitungsredundanz)
        { 3, [TXT_TYP_1301], [HLP_TYP_1301] }  // Modbus Ring nur im Zusammenspiel mit Sima Master Stadion
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3596
{
    SLOT		35;
    INDEX		96;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3596    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3596
{
    SLOT		35;
    INDEX		96;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3596    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3629
// 
VARIABLE PRM_3629	// SetTime_ms
{
    LABEL		[TXT_PRM_3629];
    HELP		[HLP_PRM_3629];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	65535;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.001;
        EDIT_FORMAT	".3f";
        DISPLAY_FORMAT	".3f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3629
{
    SLOT		36;
    INDEX		29;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3629    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3629
{
    SLOT		36;
    INDEX		29;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3629    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3657
// 
VARIABLE PRM_3657	// Komparator Threshold
{
    LABEL		[TXT_PRM_3657];
    HELP		[HLP_PRM_3657];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	100;
        DEFAULT_VALUE	80;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3657
{
    SLOT		36;
    INDEX		57;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3657    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3657
{
    SLOT		36;
    INDEX		57;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3657    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3667
// 
VARIABLE PRM_3667	// Komparator Threshold
{
    LABEL		[TXT_PRM_3667];
    HELP		[HLP_PRM_3667];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	100;
        DEFAULT_VALUE	80;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3667
{
    SLOT		36;
    INDEX		67;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3667    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3667
{
    SLOT		36;
    INDEX		67;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3667    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3691
// 
VARIABLE PRM_3691	// Freikauf
{
    LABEL		[TXT_PRM_3691];
    HELP		[HLP_PRM_3691];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_3691
{
    SLOT		36;
    INDEX		91;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3691    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3692
// 
VARIABLE PRM_3692	// Aktivierung
{
    LABEL		[TXT_PRM_3692];
    HELP		[HLP_PRM_3692];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3692
{
    SLOT		36;
    INDEX		92;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3692    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3692
{
    SLOT		36;
    INDEX		92;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3692    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3693
// 
VARIABLE PRM_3693	// Verhalten
{
    LABEL		[TXT_PRM_3693];
    HELP		[HLP_PRM_3693];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1298
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1299], [HLP_TYP_1299] }, // Fern!
        { 1, [TXT_TYP_1300], [HLP_TYP_1300] }  // Fern!!
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3693
{
    SLOT		36;
    INDEX		93;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3693    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3694
// 
VARIABLE PRM_3694	// Feldbus beachten
{
    LABEL		[TXT_PRM_3694];
    HELP		[HLP_PRM_3694];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1135
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_1136], [HLP_TYP_1136] }, // NEIN
        { 1, [TXT_TYP_1137], [HLP_TYP_1137] }  // JA
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3694
{
    SLOT		36;
    INDEX		94;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3694    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3770
// 
VARIABLE PRM_3770	// AutoChangeOver Kauf
{
    LABEL		[TXT_PRM_3770];
    HELP		[HLP_PRM_3770];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_3770
{
    SLOT		37;
    INDEX		70;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3770    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3771
// 
VARIABLE PRM_3771	// AutoChangeOver Aktivierung
{
    LABEL		[TXT_PRM_3771];
    HELP		[HLP_PRM_3771];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3771
{
    SLOT		37;
    INDEX		71;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3771    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3771
{
    SLOT		37;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3771    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3970
// 
VARIABLE PRM_3970	// Drehmomentüberwachung Kauf
{
    LABEL		[TXT_PRM_3970];
    HELP		[HLP_PRM_3970];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_3970
{
    SLOT		39;
    INDEX		70;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3970    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3971
// 
VARIABLE PRM_3971	// Drehmomentüberwachung Aktivierung
{
    LABEL		[TXT_PRM_3971];
    HELP		[HLP_PRM_3971];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3971
{
    SLOT		39;
    INDEX		71;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3971    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3971
{
    SLOT		39;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3971    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4015
// 
VARIABLE PRM_4015	// Parameter: DelayTime (Default: 1,0 sec)
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_7
// 
VARIABLE uiPRM_7	// Taktfahrzeit AUF
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_7, PRM_7, 10, 18000),
        DEFINITION{ PRM_7.VARIABLE_STATUS = uiPRM_7.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_8
// 
VARIABLE uiPRM_8	// Taktpausenzeit AUF
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_8, PRM_8, 10, 18000),
        DEFINITION{ PRM_8.VARIABLE_STATUS = uiPRM_8.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_591
// 
VARIABLE uiPRM_591	// Taktpausenzeit ZU
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_591, PRM_591, 10, 18000),
        DEFINITION{ PRM_591.VARIABLE_STATUS = uiPRM_591.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_592
// 
VARIABLE uiPRM_592	// Taktfahrzeit ZU
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_592, PRM_592, 10, 18000),
        DEFINITION{ PRM_592.VARIABLE_STATUS = uiPRM_592.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1874
// 
VARIABLE uiPRM_1874	// FailsSafe-Verzögerungszeit
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:03,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1874, PRM_1874, 0, 18000),
        DEFINITION{ PRM_1874.VARIABLE_STATUS = uiPRM_1874.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1887
// 
VARIABLE uiPRM_1887	// Stützpunkt 1 Pausenzeit
{
    LABEL		[TXT_PRM_1887];
    HELP		[HLP_PRM_1887];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1887, uiPRM_1887),
        DEFINITION{ uiPRM_1887.VARIABLE_STATUS = PRM_1887.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1887, PRM_1887, 10, 18000),
        DEFINITION{ PRM_1887.VARIABLE_STATUS = uiPRM_1887.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1888
// 
VARIABLE uiPRM_1888	// Stützpunkt 2 Pausenzeit
{
    LABEL		[TXT_PRM_1888];
    HELP		[HLP_PRM_1888];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1888, uiPRM_1888),
        DEFINITION{ uiPRM_1888.VARIABLE_STATUS = PRM_1888.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1888, PRM_1888, 10, 18000),
        DEFINITION{ PRM_1888.VARIABLE_STATUS = uiPRM_1888.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1889
// 
VARIABLE uiPRM_1889	// Stützpunkt 3 Pausenzeit
{
    LABEL		[TXT_PRM_1889];
    HELP		[HLP_PRM_1889];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1889, uiPRM_1889),
        DEFINITION{ uiPRM_1889.VARIABLE_STATUS = PRM_1889.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1889, PRM_1889, 10, 18000),
        DEFINITION{ PRM_1889.VARIABLE_STATUS = uiPRM_1889.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1890
// 
VARIABLE uiPRM_1890	// Stützpunkt 4 Pausenzeit
{
    LABEL		[TXT_PRM_1890];
    HELP		[HLP_PRM_1890];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1890, uiPRM_1890),
        DEFINITION{ uiPRM_1890.VARIABLE_STATUS = PRM_1890.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1890, PRM_1890, 10, 18000),
        DEFINITION{ PRM_1890.VARIABLE_STATUS = uiPRM_1890.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1891
// 
VARIABLE uiPRM_1891	// Stützpunkt 5 Pausenzeit
{
    LABEL		[TXT_PRM_1891];
    HELP		[HLP_PRM_1891];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1891, uiPRM_1891),
        DEFINITION{ uiPRM_1891.VARIABLE_STATUS = PRM_1891.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1891, PRM_1891, 10, 18000),
        DEFINITION{ PRM_1891.VARIABLE_STATUS = uiPRM_1891.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1892
// 
VARIABLE uiPRM_1892	// Stützpunkt 6 Pausenzeit
{
    LABEL		[TXT_PRM_1892];
    HELP		[HLP_PRM_1892];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1892, uiPRM_1892),
        DEFINITION{ uiPRM_1892.VARIABLE_STATUS = PRM_1892.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1892, PRM_1892, 10, 18000),
        DEFINITION{ PRM_1892.VARIABLE_STATUS = uiPRM_1892.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1893
// 
VARIABLE uiPRM_1893	// Stützpunkt 7 Pausenzeit
{
    LABEL		[TXT_PRM_1893];
    HELP		[HLP_PRM_1893];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1893, uiPRM_1893),
        DEFINITION{ uiPRM_1893.VARIABLE_STATUS = PRM_1893.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1893, PRM_1893, 10, 18000),
        DEFINITION{ PRM_1893.VARIABLE_STATUS = uiPRM_1893.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1894
// 
VARIABLE uiPRM_1894	// Stützpunkt 8 Pausenzeit
{
    LABEL		[TXT_PRM_1894];
    HELP		[HLP_PRM_1894];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1894, uiPRM_1894),
        DEFINITION{ uiPRM_1894.VARIABLE_STATUS = PRM_1894.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1894, PRM_1894, 10, 18000),
        DEFINITION{ PRM_1894.VARIABLE_STATUS = uiPRM_1894.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_2547
// 
VARIABLE uiPRM_2547	// Applikationsparameter Stellzeit (Einheit 0,1 sec)
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"15:00,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"60:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2547, PRM_2547, 0, 36000),
        DEFINITION{ PRM_2547.VARIABLE_STATUS = uiPRM_2547.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_2555
// 
VARIABLE uiPRM_2555	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:05,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2555, PRM_2555, 10, 18000),
        DEFINITION{ PRM_2555.VARIABLE_STATUS = uiPRM_2555.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_3187
// 
VARIABLE uiPRM_3187	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_3187];
    HELP		[HLP_PRM_3187];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:00,5";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,1";
        MAX_VALUE	"00:02,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_3187, uiPRM_3187),
        DEFINITION{ uiPRM_3187.VARIABLE_STATUS = PRM_3187.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_3187, PRM_3187, 1, 20),
        DEFINITION{ PRM_3187.VARIABLE_STATUS = uiPRM_3187.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_4015
// 
VARIABLE uiPRM_4015	// Parameter: DelayTime (Default: 1,0 sec)
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4015, PRM_4015, 0, 18000),
        DEFINITION{ PRM_4015.VARIABLE_STATUS = uiPRM_4015.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3484
// 
VARIABLE PRM_3484	// Betriebsdaten zurücksetzen
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3484
{
    SLOT		34;
    INDEX		84;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3484    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3484
{
    SLOT		34;
    INDEX		84;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3484    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3486
// 
VARIABLE PRM_3486	// Werkseinstellungen erzeugen
{
    LABEL		[TXT_PRM_3486];
    HELP		[HLP_PRM_3486];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ;
}
COMMAND read_PRM_3486
{
    SLOT		34;
    INDEX		86;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3486    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3487
// 
VARIABLE PRM_3487	// Werkseinstellungen restaurieren
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3487
{
    SLOT		34;
    INDEX		87;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3487    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3487
{
    SLOT		34;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3487    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_2
// 
VARIABLE PZD_2	// Stellungsistwert Stellantrieb E2
{
    LABEL		[TXT_PZD_2];
    HELP		[HLP_PZD_2];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_4
// 
VARIABLE PZD_4	// Temperatur Steuerung
{
    LABEL		[TXT_PZD_4];
    HELP		[HLP_PZD_4];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_5
// 
VARIABLE PZD_5	// Temperatur Stellantrieb (Motor)
{
    LABEL		[TXT_PZD_5];
    HELP		[HLP_PZD_5];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_6
// 
VARIABLE PZD_6	// Temperatur Stellantrieb (Getriebe)
{
    LABEL		[TXT_PZD_6];
    HELP		[HLP_PZD_6];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_7
// 
VARIABLE PZD_7	// Stellungs-Sollwert E1
{
    LABEL		[TXT_PZD_7];
    HELP		[HLP_PZD_7];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_77
// 
VARIABLE PZD_77	// Sammel-Meldung1: Info
{
    LABEL		[TXT_PZD_77];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_77
{
    SLOT		0;
    INDEX		205;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_77    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_78
// 
VARIABLE PZD_78	// Sammel-Meldung2: Warnung
{
    LABEL		[TXT_PZD_78];
    HELP		[HLP_PZD_78];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_78
{
    SLOT		0;
    INDEX		206;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_78    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_79
// 
VARIABLE PZD_79	// Sammel-Meldung3: Fehler
{
    LABEL		[TXT_PZD_79];
    HELP		[HLP_PZD_79];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_79
{
    SLOT		0;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_79    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_80
// 
VARIABLE PZD_80	// Sammel-Meldung4: nicht bereit Fern
{
    LABEL		[TXT_PZD_80];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_80
{
    SLOT		0;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_80    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_81
// 
VARIABLE PZD_81	// Sammel-Meldung5: auma OK
{
    LABEL		[TXT_PZD_81];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_81
{
    SLOT		0;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_81    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_82
// 
VARIABLE PZD_82	// Sammel-Meldung6: Konfigurationswarnung
{
    LABEL		[TXT_PZD_82];
    HELP		[HLP_PZD_82];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_82
{
    SLOT		0;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_82    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_83
// 
VARIABLE PZD_83	// Sammel-Meldung7: Namur Out Of Spec
{
    LABEL		[TXT_PZD_83];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_83
{
    SLOT		0;
    INDEX		211;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_83    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_84
// 
VARIABLE PZD_84	// Sammel-Meldung8: Namur Funktionskontrolle
{
    LABEL		[TXT_PZD_84];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_84
{
    SLOT		0;
    INDEX		212;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_84    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_85
// 
VARIABLE PZD_85	// Sammel-Meldung9: Namur Wartungsbedarf
{
    LABEL		[TXT_PZD_85];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_85
{
    SLOT		0;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_85    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_86
// 
VARIABLE PZD_86	// Sammel-Meldung10: Namur Ausfall
{
    LABEL		[TXT_PZD_86];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_86
{
    SLOT		0;
    INDEX		214;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_86    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_87
// 
VARIABLE PZD_87	// Sammel-Meldung 11: Konfigurationsfehler
{
    LABEL		[TXT_PZD_87];
    HELP		[HLP_PZD_87];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_87
{
    SLOT		0;
    INDEX		215;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_87    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_89
// 
VARIABLE PZD_89	// Sammel-Meldung 13: Falscher Befehl
{
    LABEL		[TXT_PZD_89];
    HELP		[HLP_PZD_89];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_89
{
    SLOT		0;
    INDEX		217;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_89    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_90
// 
VARIABLE PZD_90	// Sammel-Meldung 14: Interne Fehler
{
    LABEL		[TXT_PZD_90];
    HELP		[HLP_PZD_90];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_90
{
    SLOT		0;
    INDEX		218;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_90    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_91
// 
VARIABLE PZD_91	// Sammel-Meldung 15: Interne Warnung
{
    LABEL		[TXT_PZD_91];
    HELP		[HLP_PZD_91];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_91
{
    SLOT		0;
    INDEX		219;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_91    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_92
// 
VARIABLE PZD_92	// Sammel-Meldung 16: Diagnose Feldbus
{
    LABEL		[TXT_PZD_92];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_92
{
    SLOT		0;
    INDEX		220;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_92    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_93
// 
VARIABLE PZD_93	// Sammel-Meldung 17: Warnung Hydraulik
{
    LABEL		[TXT_PZD_93];
    HELP		[HLP_PZD_93];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_93
{
    SLOT		0;
    INDEX		221;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_93    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_101
// 
VARIABLE PZD_101	// Sammel-Meldung: Reserve 32 
{
    LABEL		[TXT_PZD_101];
    HELP		[HLP_PZD_101];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_101
{
    SLOT		1;
    INDEX		129;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_101    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_104
// 
VARIABLE PZD_104	// Sammel-Meldung: Reserve 29
{
    LABEL		[TXT_PZD_104];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_104
{
    SLOT		1;
    INDEX		132;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_104    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_109
// 
VARIABLE PZD_109	// Temperatur Steuereinheit
{
    LABEL		[TXT_PZD_109];
    HELP		[HLP_PZD_109];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_112
// 
VARIABLE PZD_112	// Wahlschalter
{
    LABEL		[TXT_PZD_112];
    HELP		[HLP_PZD_112];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_331
    {
        DEFAULT_VALUE	0;
        { 1, [TXT_TYP_332], [HLP_TYP_332] }, // Position ORT
        { 2, [TXT_TYP_333], [HLP_TYP_333] }, // Position AUS
        { 3, [TXT_TYP_334], [HLP_TYP_334] }  // Position FERN
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_120
// 
VARIABLE PZD_120	// Logik: Betriebsmodus
{
    LABEL		[TXT_PZD_120];
    HELP		[HLP_PZD_120];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_646
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_647], [HLP_TYP_647] }, // Power Off
        { 1, [TXT_TYP_659], [HLP_TYP_659] }, // Not Halt
        { 2, [TXT_TYP_648], [HLP_TYP_648] }, // Aus
        { 3, [TXT_TYP_661], [HLP_TYP_661] }, // Service
        { 4, [TXT_TYP_662], [HLP_TYP_662] }, // Ort
        { 5, [TXT_TYP_663], [HLP_TYP_663] }, // Interlock
        { 6, [TXT_TYP_664], [HLP_TYP_664] }, // Notfahrt
        { 7, [TXT_TYP_665], [HLP_TYP_665] }, // Fern1
        { 8, [TXT_TYP_666], [HLP_TYP_666] }, // Fern2
        { 9, [TXT_TYP_667], [HLP_TYP_667] }, // Feldbus
        { 10, [TXT_TYP_660], [HLP_TYP_660] }  // Gesperrt
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_speed
// 
VARIABLE PZD_144_speed	// Logik: Fahrbefehl (speed)
{
    LABEL		[TXT_TXT_157];
    CLASS		LOCAL;
    TYPE		FLOAT
    {
        MIN_VALUE	0.0;
        MAX_VALUE	100.0;
        DEFAULT_VALUE	0.0;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_position
// 
VARIABLE PZD_144_position	// Logik: Fahrbefehl (position)
{
    LABEL		[TXT_TXT_155];
    CLASS		LOCAL;
    TYPE		FLOAT
    {
        MIN_VALUE	0.0;
        MAX_VALUE	100.0;
        DEFAULT_VALUE	0.0;
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_dir
// 
VARIABLE PZD_144_dir	// Logik: Fahrbefehl (direction)
{
    LABEL		[TXT_TXT_150];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)      // LTYP_20
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TXT_151] }, // DrvCmd4_dir_0
        { 1, [TXT_TXT_152] }, // DrvCmd4_dir_1
        { 2, [TXT_TXT_153] }  // DrvCmd4_dir_2
    }
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144
// 
VARIABLE PZD_144	// Logik: Fahrbefehl
{
    LABEL		[TXT_PZD_144];
    HELP		[HLP_PZD_144];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
    POST_READ_ACTIONS
    {
        refresh_DrvCmd4 (PZD_144, PZD_144_speed, PZD_144_position, PZD_144_dir, PZD_144_cmd),
        DEFINITION{ PZD_144_speed.VARIABLE_STATUS = PZD_144.VARIABLE_STATUS; },
        DEFINITION{ PZD_144_position.VARIABLE_STATUS = PZD_144.VARIABLE_STATUS; },
        DEFINITION{ PZD_144_dir.VARIABLE_STATUS = PZD_144.VARIABLE_STATUS; },
        DEFINITION{ PZD_144_cmd.VARIABLE_STATUS = PZD_144.VARIABLE_STATUS; }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_cmd
// 
VARIABLE PZD_144_cmd	// Logik: Fahrbefehl (cmd)
{
    LABEL		[TXT_TXT_149];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)      // LTYP_10
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TXT_119], [HLP_TXT_119] }, // DrvCmd4_cmd_0
        { 1, [TXT_TXT_120], [HLP_TXT_120] }, // DrvCmd4_cmd_1
        { 2, [TXT_TXT_118], [HLP_TXT_118] }, // DrvCmd4_cmd_2
        { 4, [TXT_TXT_117], [HLP_TXT_117] }  // DrvCmd4_cmd_4
    }
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_264
// 
VARIABLE PZD_264	// Logik: Fährt Richtung AUF (logisch)
{
    LABEL		[TXT_PZD_264];
    HELP		[HLP_PZD_264];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_265
// 
VARIABLE PZD_265	// Logik: Fährt Richtung ZU (logisch)
{
    LABEL		[TXT_PZD_265];
    HELP		[HLP_PZD_265];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_268
// 
VARIABLE PZD_268	// Logik: Bypassed Drehmomentfehler AUF
{
    LABEL		[TXT_PZD_268];
    HELP		[HLP_PZD_268];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_269
// 
VARIABLE PZD_269	// Logik: Bypassed Drehmomentfehler ZU
{
    LABEL		[TXT_PZD_269];
    HELP		[HLP_PZD_269];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_270
// 
VARIABLE PZD_270	// Logik: Bypassed Thermofehler
{
    LABEL		[TXT_PZD_270];
    HELP		[HLP_PZD_270];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_270
{
    SLOT		2;
    INDEX		198;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_270    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_275
// 
VARIABLE PZD_275	// Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 
{
    LABEL		[TXT_PZD_275];
    HELP		[HLP_PZD_275];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_275
{
    SLOT		2;
    INDEX		203;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_275    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_280
// 
VARIABLE PZD_280	// Logik: Betriebsmodus EMCY_OP
{
    LABEL		[TXT_PZD_280];
    HELP		[HLP_PZD_280];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_280
{
    SLOT		2;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_280    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_281
// 
VARIABLE PZD_281	// Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen
{
    LABEL		[TXT_PZD_281];
    HELP		[HLP_PZD_281];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_281
{
    SLOT		2;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_281    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_282
// 
VARIABLE PZD_282	// Logik: Betriebsmodus SERVICE
{
    LABEL		[TXT_PZD_282];
    HELP		[HLP_PZD_282];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_282
{
    SLOT		2;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_282    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_285
// 
VARIABLE PZD_285	// Logik: Betriebsmodus EMCY_STOP
{
    LABEL		[TXT_PZD_285];
    HELP		[HLP_PZD_285];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_285
{
    SLOT		2;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_285    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_302
// 
VARIABLE PZD_302	// Logik: Phasenausfall
{
    LABEL		[TXT_PZD_302];
    HELP		[HLP_PZD_302];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_302
{
    SLOT		3;
    INDEX		130;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_302    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_371
// 
VARIABLE PZD_371	// Logik: ungültiger Fahrbefehl
{
    LABEL		[TXT_PZD_371];
    HELP		[HLP_PZD_371];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_371
{
    SLOT		3;
    INDEX		199;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_371    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_375
// 
VARIABLE PZD_375	// Logik: Wegendlage Shalter AUF (konditioniert)
{
    LABEL		[TXT_PZD_375];
    HELP		[HLP_PZD_375];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_376
// 
VARIABLE PZD_376	// Logik: Wegendlage Schalter ZU (konditioniert)
{
    LABEL		[TXT_PZD_376];
    HELP		[HLP_PZD_376];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_401
// 
VARIABLE PZD_401	// Logik: Position erreicht
{
    LABEL		[TXT_PZD_401];
    HELP		[HLP_PZD_401];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_417
// 
VARIABLE PZD_417	// MWG: Kalibrier-Feedback Hall-Sensor 1 
{
    LABEL		[TXT_PZD_417];
    HELP		[HLP_PZD_417];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_417
{
    SLOT		4;
    INDEX		145;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_417    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_418
// 
VARIABLE PZD_418	// MWG: Kalibrier-Feedback Hall-Sensor 5 
{
    LABEL		[TXT_PZD_418];
    HELP		[HLP_PZD_418];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_418
{
    SLOT		4;
    INDEX		146;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_418    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_419
// 
VARIABLE PZD_419	// MWG: Kalibrier-Feedback Hall-Sensor 4 
{
    LABEL		[TXT_PZD_419];
    HELP		[HLP_PZD_419];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_419
{
    SLOT		4;
    INDEX		147;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_419    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_420
// 
VARIABLE PZD_420	// MWG: Kalibrier-Feedback Hall-Sensor 3 
{
    LABEL		[TXT_PZD_420];
    HELP		[HLP_PZD_420];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_420
{
    SLOT		4;
    INDEX		148;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_420    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_421
// 
VARIABLE PZD_421	// MWG: Kalibrier-Feedback Hall-Sensor 2 
{
    LABEL		[TXT_PZD_421];
    HELP		[HLP_PZD_421];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_421
{
    SLOT		4;
    INDEX		149;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_421    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_459
// 
VARIABLE PZD_459	// Logik: Signal Torque OPEN 
{
    LABEL		[TXT_PZD_459];
    HELP		[HLP_PZD_459];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_460
// 
VARIABLE PZD_460	// Logik: Signal Torque CLOSE
{
    LABEL		[TXT_PZD_460];
    HELP		[HLP_PZD_460];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_461
// 
VARIABLE PZD_461	// FailSafe ist aktiv
{
    LABEL		[TXT_PZD_461];
    HELP		[HLP_PZD_461];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_461
{
    SLOT		4;
    INDEX		189;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_461    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_479
// 
VARIABLE PZD_479	// Logik: Netzqualität
{
    LABEL		[TXT_PZD_479];
    HELP		[HLP_PZD_479];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_479
{
    SLOT		4;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_479    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_480
// 
VARIABLE PZD_480	// Logik: HW-Fehler
{
    LABEL		[TXT_PZD_480];
    HELP		[HLP_PZD_480];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_480
{
    SLOT		4;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_480    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_481
// 
VARIABLE PZD_481	// Logik: PH_DIR_NOK (falsche Phasenfolge)
{
    LABEL		[TXT_PZD_481];
    HELP		[HLP_PZD_481];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_481
{
    SLOT		4;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_481    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_482
// 
VARIABLE PZD_482	// Logik: 24VAC Error
{
    LABEL		[TXT_PZD_482];
    HELP		[HLP_PZD_482];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_482
{
    SLOT		4;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_482    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_483
// 
VARIABLE PZD_483	// Logik: 24VKD Error
{
    LABEL		[TXT_PZD_483];
    HELP		[HLP_PZD_483];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_483
{
    SLOT		4;
    INDEX		211;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_483    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_484
// 
VARIABLE PZD_484	// Logik: 24VInt Error
{
    LABEL		[TXT_PZD_484];
    HELP		[HLP_PZD_484];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_484
{
    SLOT		4;
    INDEX		212;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_484    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_485
// 
VARIABLE PZD_485	// Logik: 24VExt Error
{
    LABEL		[TXT_PZD_485];
    HELP		[HLP_PZD_485];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_485
{
    SLOT		4;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_485    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_486
// 
VARIABLE PZD_486	// Lcb: ED Warnung 1: (Laufzeit)
{
    LABEL		[TXT_PZD_486];
    HELP		[HLP_PZD_486];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_486
{
    SLOT		4;
    INDEX		214;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_486    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_487
// 
VARIABLE PZD_487	// Lcb: ED Warnung 2 (Anläufe)
{
    LABEL		[TXT_PZD_487];
    HELP		[HLP_PZD_487];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_487
{
    SLOT		4;
    INDEX		215;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_487    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_488
// 
VARIABLE PZD_488	// Lcb: ED Aktuelle Einschaltzeit
{
    LABEL		[TXT_PZD_488];
    HELP		[HLP_PZD_488];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_489
// 
VARIABLE PZD_489	// Lcb: ED Aktuelle Schaltspiele
{
    LABEL		[TXT_PZD_489];
    HELP		[HLP_PZD_489];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_490
// 
VARIABLE PZD_490	// Lcb: RTC nicht gesetzt
{
    LABEL		[TXT_PZD_490];
    HELP		[HLP_PZD_490];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_490
{
    SLOT		4;
    INDEX		218;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_490    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_545
// 
VARIABLE PZD_545	// Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000)
{
    LABEL		[TXT_PZD_545];
    HELP		[HLP_PZD_545];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_553
// 
VARIABLE PZD_553	// Logik: Handbetrieb aktiviert
{
    LABEL		[TXT_PZD_553];
    HELP		[HLP_PZD_553];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_553
{
    SLOT		5;
    INDEX		181;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_553    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_555
// 
VARIABLE PZD_555	// Falscher Befehl Interface I
{
    LABEL		[TXT_PZD_555];
    HELP		[HLP_PZD_555];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_555
{
    SLOT		5;
    INDEX		183;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_555    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_556
// 
VARIABLE PZD_556	// Stellzeitwarnung
{
    LABEL		[TXT_PZD_556];
    HELP		[HLP_PZD_556];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_556
{
    SLOT		5;
    INDEX		184;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_556    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_557
// 
VARIABLE PZD_557	// Motorschutzüberwachung defekt
{
    LABEL		[TXT_PZD_557];
    HELP		[HLP_PZD_557];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_557
{
    SLOT		5;
    INDEX		185;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_557    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_563
// 
VARIABLE PZD_563	// Keine Reaktion: Warnung
{
    LABEL		[TXT_PZD_563];
    HELP		[HLP_PZD_563];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_563
{
    SLOT		5;
    INDEX		191;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_563    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_576
// 
VARIABLE PZD_576	// Watchdog-Status (Kanal 1)
{
    LABEL		[TXT_PZD_576];
    HELP		[HLP_PZD_576];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_781
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_788] }, // WD-State Baud Search
        { 1, [TXT_TYP_789] }, // WD-State Baud Control
        { 2, [TXT_TYP_790] }  // WD-State DP Control
    }
    HANDLING		READ;
}
COMMAND read_PZD_576
{
    SLOT		5;
    INDEX		204;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_576    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_577
// 
VARIABLE PZD_577	// DP-Status (Kanal 1)
{
    LABEL		[TXT_PZD_577];
    HELP		[HLP_PZD_577];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_782
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_791] }, // DP-State  (Wait Prm)
        { 1, [TXT_TYP_792] }, // DP-State (Wait Cfg)
        { 2, [TXT_TYP_793] }  // DP-State (DataEx)
    }
    HANDLING		READ;
}
COMMAND read_PZD_577
{
    SLOT		5;
    INDEX		205;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_577    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_578
// 
VARIABLE PZD_578	// Baudrate (Kanal 1)
{
    LABEL		[TXT_PZD_578];
    HELP		[HLP_PZD_578];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_783
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_794] }, // Baudrate 12 MBit/s
        { 1, [TXT_TYP_795] }, // Baudrate 6 MBit/s
        { 2, [TXT_TYP_796] }, // Baudrate 3 MBit/s
        { 3, [TXT_TYP_797] }, // Baudrate 1,5 MBit/s
        { 4, [TXT_TYP_798] }, // Baudrate 500 KBit/s
        { 5, [TXT_TYP_799] }, // Baudrate 187,5 KBit/s
        { 6, [TXT_TYP_800] }, // Baudrate 93,75 KBit/s
        { 7, [TXT_TYP_801] }, // Baudrate 45,45 KBit/s
        { 8, [TXT_TYP_802] }, // Baudrate 19,20 KBit/s
        { 9, [TXT_TYP_803] }, // Baudrate 9,6 KBit/s
        { 15, [TXT_TYP_804] }  // Baudrate Nicht vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PZD_578
{
    SLOT		5;
    INDEX		206;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_578    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_579
// 
VARIABLE PZD_579	// 0 Byte Tele Clear (Kanal 1)
{
    LABEL		[TXT_PZD_579];
    HELP		[HLP_PZD_579];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_784
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_805] }, // 0 Byte Tele Operate
        { 1, [TXT_TYP_806] }  // 0 Byte Tele Clear
    }
    HANDLING		READ;
}
COMMAND read_PZD_579
{
    SLOT		5;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_579    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_580
// 
VARIABLE PZD_580	// Global Control Clear (Kanal 1)
{
    LABEL		[TXT_PZD_580];
    HELP		[HLP_PZD_580];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_785
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_807] }, // GC Operate
        { 1, [TXT_TYP_808] }  // GC Clear
    }
    HANDLING		READ;
}
COMMAND read_PZD_580
{
    SLOT		5;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_580    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_581
// 
VARIABLE PZD_581	// Global Control Freeze (Kanal 1)
{
    LABEL		[TXT_PZD_581];
    HELP		[HLP_PZD_581];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_786
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_809] }, // GC Unfreeze
        { 1, [TXT_TYP_810] }  // GC Freeze
    }
    HANDLING		READ;
}
COMMAND read_PZD_581
{
    SLOT		5;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_581    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_582
// 
VARIABLE PZD_582	// Global Control Sync (Kanal 1)
{
    LABEL		[TXT_PZD_582];
    HELP		[HLP_PZD_582];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_787
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_811] }, // GC Unsync
        { 1, [TXT_TYP_812] }  // GC Sync
    }
    HANDLING		READ;
}
COMMAND read_PZD_582
{
    SLOT		5;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_582    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_583
// 
VARIABLE PZD_583	// Watchdog-Status (Kanal 2)
{
    LABEL		[TXT_PZD_583];
    HELP		[HLP_PZD_583];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_781
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_788] }, // WD-State Baud Search
        { 1, [TXT_TYP_789] }, // WD-State Baud Control
        { 2, [TXT_TYP_790] }  // WD-State DP Control
    }
    HANDLING		READ;
}
COMMAND read_PZD_583
{
    SLOT		5;
    INDEX		211;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_583    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_584
// 
VARIABLE PZD_584	// DP-Status (Kanal 2)
{
    LABEL		[TXT_PZD_584];
    HELP		[HLP_PZD_584];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_782
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_791] }, // DP-State  (Wait Prm)
        { 1, [TXT_TYP_792] }, // DP-State (Wait Cfg)
        { 2, [TXT_TYP_793] }  // DP-State (DataEx)
    }
    HANDLING		READ;
}
COMMAND read_PZD_584
{
    SLOT		5;
    INDEX		212;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_584    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_585
// 
VARIABLE PZD_585	// Baudrate (Kanal 2)
{
    LABEL		[TXT_PZD_585];
    HELP		[HLP_PZD_585];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_783
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_794] }, // Baudrate 12 MBit/s
        { 1, [TXT_TYP_795] }, // Baudrate 6 MBit/s
        { 2, [TXT_TYP_796] }, // Baudrate 3 MBit/s
        { 3, [TXT_TYP_797] }, // Baudrate 1,5 MBit/s
        { 4, [TXT_TYP_798] }, // Baudrate 500 KBit/s
        { 5, [TXT_TYP_799] }, // Baudrate 187,5 KBit/s
        { 6, [TXT_TYP_800] }, // Baudrate 93,75 KBit/s
        { 7, [TXT_TYP_801] }, // Baudrate 45,45 KBit/s
        { 8, [TXT_TYP_802] }, // Baudrate 19,20 KBit/s
        { 9, [TXT_TYP_803] }, // Baudrate 9,6 KBit/s
        { 15, [TXT_TYP_804] }  // Baudrate Nicht vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PZD_585
{
    SLOT		5;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_585    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_586
// 
VARIABLE PZD_586	// 0 Byte Tele Clear (Kanal 2)
{
    LABEL		[TXT_PZD_586];
    HELP		[HLP_PZD_586];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_784
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_805] }, // 0 Byte Tele Operate
        { 1, [TXT_TYP_806] }  // 0 Byte Tele Clear
    }
    HANDLING		READ;
}
COMMAND read_PZD_586
{
    SLOT		5;
    INDEX		214;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_586    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_587
// 
VARIABLE PZD_587	// Global Control Clear (Kanal 2)
{
    LABEL		[TXT_PZD_587];
    HELP		[HLP_PZD_587];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_785
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_807] }, // GC Operate
        { 1, [TXT_TYP_808] }  // GC Clear
    }
    HANDLING		READ;
}
COMMAND read_PZD_587
{
    SLOT		5;
    INDEX		215;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_587    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_588
// 
VARIABLE PZD_588	// Global Control Freeze (Kanal 2)
{
    LABEL		[TXT_PZD_588];
    HELP		[HLP_PZD_588];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_786
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_809] }, // GC Unfreeze
        { 1, [TXT_TYP_810] }  // GC Freeze
    }
    HANDLING		READ;
}
COMMAND read_PZD_588
{
    SLOT		5;
    INDEX		216;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_588    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_589
// 
VARIABLE PZD_589	// Global Control Sync (Kanal 2)
{
    LABEL		[TXT_PZD_589];
    HELP		[HLP_PZD_589];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_787
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_811] }, // GC Unsync
        { 1, [TXT_TYP_812] }  // GC Sync
    }
    HANDLING		READ;
}
COMMAND read_PZD_589
{
    SLOT		5;
    INDEX		217;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_589    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_604
// 
VARIABLE PZD_604	// Fahrbefehlskanal 1 aktiv
{
    LABEL		[TXT_PZD_604];
    HELP		[HLP_PZD_604];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_605
// 
VARIABLE PZD_605	// Fahrbefehlskanal 2 aktiv
{
    LABEL		[TXT_PZD_605];
    HELP		[HLP_PZD_605];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_606
// 
VARIABLE PZD_606	// Feldbus Fail Safe aktiv
{
    LABEL		[TXT_PZD_606];
    HELP		[HLP_PZD_606];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_606
{
    SLOT		6;
    INDEX		134;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_606    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_619
// 
VARIABLE PZD_619	// Warnung Heizung SA Defekt
{
    LABEL		[TXT_PZD_619];
    HELP		[HLP_PZD_619];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_619
{
    SLOT		6;
    INDEX		147;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_619    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_621
// 
VARIABLE PZD_621	// Warnung keine Referenzfahrrt E2
{
    LABEL		[TXT_PZD_621];
    HELP		[HLP_PZD_621];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_621
{
    SLOT		6;
    INDEX		149;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_621    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_622
// 
VARIABLE PZD_622	// Warnung geringer Signalhub E2
{
    LABEL		[TXT_PZD_622];
    HELP		[HLP_PZD_622];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_622
{
    SLOT		6;
    INDEX		150;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_622    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_623
// 
VARIABLE PZD_623	// Warnung Signalbruch E2
{
    LABEL		[TXT_PZD_623];
    HELP		[HLP_PZD_623];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_623
{
    SLOT		6;
    INDEX		151;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_623    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_625
// 
VARIABLE PZD_625	// Warnung LWL (Meldung von Modul))
{
    LABEL		[TXT_PZD_625];
    HELP		[HLP_PZD_625];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_625
{
    SLOT		6;
    INDEX		153;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_625    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_629
// 
VARIABLE PZD_629	// Warnung Temperatur Steuerung
{
    LABEL		[TXT_PZD_629];
    HELP		[HLP_PZD_629];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_629
{
    SLOT		6;
    INDEX		157;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_629    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_630
// 
VARIABLE PZD_630	// Warnung Temperatur Motor
{
    LABEL		[TXT_PZD_630];
    HELP		[HLP_PZD_630];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_630
{
    SLOT		6;
    INDEX		158;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_630    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_631
// 
VARIABLE PZD_631	// Warnung Temperatur Getriebe
{
    LABEL		[TXT_PZD_631];
    HELP		[HLP_PZD_631];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_631
{
    SLOT		6;
    INDEX		159;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_631    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_633
// 
VARIABLE PZD_633	// Warnung AnalogIn 1 E8
{
    LABEL		[TXT_PZD_633];
    HELP		[HLP_PZD_633];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_633
{
    SLOT		6;
    INDEX		161;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_633    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_634
// 
VARIABLE PZD_634	// Warnung AnalogIn 2 E9
{
    LABEL		[TXT_PZD_634];
    HELP		[HLP_PZD_634];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_634
{
    SLOT		6;
    INDEX		162;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_634    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_637
// 
VARIABLE PZD_637	// Warnung Sollposition E1
{
    LABEL		[TXT_PZD_637];
    HELP		[HLP_PZD_637];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_637
{
    SLOT		6;
    INDEX		165;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_637    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_657
// 
VARIABLE PZD_657	// DP-Status Data Ex (Kanal 1)
{
    LABEL		[TXT_PZD_657];
    HELP		[HLP_PZD_657];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_657
{
    SLOT		6;
    INDEX		185;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_657    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_658
// 
VARIABLE PZD_658	// DP-Status Data Ex (Kanal 2)
{
    LABEL		[TXT_PZD_658];
    HELP		[HLP_PZD_658];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_658
{
    SLOT		6;
    INDEX		186;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_658    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_659
// 
VARIABLE PZD_659	// Aktuelle Totzone (Stellungsreglerausgang)
{
    LABEL		[TXT_PZD_659];
    HELP		[HLP_PZD_659];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_664
// 
VARIABLE PZD_664	// Meldung: Ausgang defekt
{
    LABEL		[TXT_PZD_664];
    HELP		[HLP_PZD_664];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_664
{
    SLOT		6;
    INDEX		192;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_664    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_666
// 
VARIABLE PZD_666	// Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert
{
    LABEL		[TXT_PZD_666];
    HELP		[HLP_PZD_666];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_666
{
    SLOT		6;
    INDEX		194;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_666    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_671
// 
VARIABLE PZD_671	// System: Interner Fehler Konfiguration Stellungsgeber
{
    LABEL		[TXT_PZD_671];
    HELP		[HLP_PZD_671];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_671
{
    SLOT		6;
    INDEX		199;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_671    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_675
// 
VARIABLE PZD_675	// System: Interner Fehler Lcb-Exception
{
    LABEL		[TXT_PZD_675];
    HELP		[HLP_PZD_675];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_675
{
    SLOT		6;
    INDEX		203;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_675    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_676
// 
VARIABLE PZD_676	// System: Interner Fehler Logik-Exception
{
    LABEL		[TXT_PZD_676];
    HELP		[HLP_PZD_676];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_676
{
    SLOT		6;
    INDEX		204;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_676    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_677
// 
VARIABLE PZD_677	// System: Interner Fehler Mwg-Exception
{
    LABEL		[TXT_PZD_677];
    HELP		[HLP_PZD_677];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_677
{
    SLOT		6;
    INDEX		205;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_677    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_678
// 
VARIABLE PZD_678	// System: Interner Fehler Bus-Exception
{
    LABEL		[TXT_PZD_678];
    HELP		[HLP_PZD_678];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_678
{
    SLOT		6;
    INDEX		206;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_678    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_679
// 
VARIABLE PZD_679	// Fehler Stellungsgeber
{
    LABEL		[TXT_PZD_679];
    HELP		[HLP_PZD_679];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_679
{
    SLOT		6;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_679    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_684
// 
VARIABLE PZD_684	// Wahlschalter defekt
{
    LABEL		[TXT_PZD_684];
    HELP		[HLP_PZD_684];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_684
{
    SLOT		6;
    INDEX		212;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_684    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_685
// 
VARIABLE PZD_685	// lokaler HALT
{
    LABEL		[TXT_PZD_685];
    HELP		[HLP_PZD_685];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_685
{
    SLOT		6;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_685    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_688
// 
VARIABLE PZD_688	// Falscher Befehl Feldbus
{
    LABEL		[TXT_PZD_688];
    HELP		[HLP_PZD_688];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_688
{
    SLOT		6;
    INDEX		216;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_688    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_707
// 
VARIABLE PZD_707	// Interner Fehler MWG Messystem defekt
{
    LABEL		[TXT_PZD_707];
    HELP		[HLP_PZD_707];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_707
{
    SLOT		7;
    INDEX		135;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_707    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_708
// 
VARIABLE PZD_708	// Interner Fehler Endlagen defekt
{
    LABEL		[TXT_PZD_708];
    HELP		[HLP_PZD_708];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_708
{
    SLOT		7;
    INDEX		136;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_708    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_709
// 
VARIABLE PZD_709	// Stellungsistwert Stellantrieb E2 (synchronisiert)
{
    LABEL		[TXT_PZD_709];
    HELP		[HLP_PZD_709];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_718
// 
VARIABLE PZD_718	// Keine Reaktion: Fehler
{
    LABEL		[TXT_PZD_718];
    HELP		[HLP_PZD_718];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_718
{
    SLOT		7;
    INDEX		146;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_718    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_737
// 
VARIABLE PZD_737	// DPV1_Control
{
    LABEL		[TXT_PZD_737];
    HELP		[HLP_PZD_737];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_738
// 
VARIABLE PZD_738	// DPV1 C2-Verbindung aktiv
{
    LABEL		[TXT_PZD_738];
    HELP		[HLP_PZD_738];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_741
// 
VARIABLE PZD_741	// Primary Channel
{
    LABEL		[TXT_PZD_741];
    HELP		[HLP_PZD_741];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1152
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1153], [HLP_TYP_1153] }, // keiner
        { 1, [TXT_TYP_1154], [HLP_TYP_1154] }, // Kanal 1
        { 2, [TXT_TYP_1155], [HLP_TYP_1155] }  // Kanal 2
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_742
// 
VARIABLE PZD_742	// Secondary Channel
{
    LABEL		[TXT_PZD_742];
    HELP		[HLP_PZD_742];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1152
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1153], [HLP_TYP_1153] }, // keiner
        { 1, [TXT_TYP_1154], [HLP_TYP_1154] }, // Kanal 1
        { 2, [TXT_TYP_1155], [HLP_TYP_1155] }  // Kanal 2
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_744
// 
VARIABLE PZD_744	// DP-V1 GSD aktiv
{
    LABEL		[TXT_PZD_744];
    HELP		[HLP_PZD_744];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1161
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] }, // deaktiviert
        { 1, [TXT_TYP_1163], [HLP_TYP_1163] }  // aktiviert
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_745
// 
VARIABLE PZD_745	// DP-REDUNDANZ aktiv
{
    LABEL		[TXT_PZD_745];
    HELP		[HLP_PZD_745];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1161
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] }, // deaktiviert
        { 1, [TXT_TYP_1163], [HLP_TYP_1163] }  // aktiviert
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_746
// 
VARIABLE PZD_746	// DP-ALARM aktiv
{
    LABEL		[TXT_PZD_746];
    HELP		[HLP_PZD_746];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1161
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] }, // deaktiviert
        { 1, [TXT_TYP_1163], [HLP_TYP_1163] }  // aktiviert
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_757
// 
VARIABLE PZD_757	// InterlockActive
{
    LABEL		[TXT_PZD_757];
    HELP		[HLP_PZD_757];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_757
{
    SLOT		7;
    INDEX		185;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_757    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_758
// 
VARIABLE PZD_758	// PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration
{
    LABEL		[TXT_PZD_758];
    HELP		[HLP_PZD_758];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_758
{
    SLOT		7;
    INDEX		186;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_758    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_759
// 
VARIABLE PZD_759	// PRM-Konsistenz: Feldbuskonfiguration
{
    LABEL		[TXT_PZD_759];
    HELP		[HLP_PZD_759];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_759
{
    SLOT		7;
    INDEX		187;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_759    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_760
// 
VARIABLE PZD_760	// PRM-Konsistenz: MWG-Drehmokonfiguration ZU
{
    LABEL		[TXT_PZD_760];
    HELP		[HLP_PZD_760];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_760
{
    SLOT		7;
    INDEX		188;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_760    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_761
// 
VARIABLE PZD_761	// PRM-Konsistenz: MWG-Drehmokonfiguration AUF
{
    LABEL		[TXT_PZD_761];
    HELP		[HLP_PZD_761];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_761
{
    SLOT		7;
    INDEX		189;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_761    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_762
// 
VARIABLE PZD_762	// PRM-Konsistenz: DigIn1-Konfiguration
{
    LABEL		[TXT_PZD_762];
    HELP		[HLP_PZD_762];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_762
{
    SLOT		7;
    INDEX		190;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_762    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_763
// 
VARIABLE PZD_763	// PRM-Konsistenz: DigIn2-Konfiguration
{
    LABEL		[TXT_PZD_763];
    HELP		[HLP_PZD_763];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_763
{
    SLOT		7;
    INDEX		191;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_763    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_764
// 
VARIABLE PZD_764	// PRM-Konsistenz: DigIn3-Konfiguration
{
    LABEL		[TXT_PZD_764];
    HELP		[HLP_PZD_764];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_764
{
    SLOT		7;
    INDEX		192;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_764    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_765
// 
VARIABLE PZD_765	// PRM-Konsistenz: DigIn4-Konfiguration
{
    LABEL		[TXT_PZD_765];
    HELP		[HLP_PZD_765];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_765
{
    SLOT		7;
    INDEX		193;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_765    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_766
// 
VARIABLE PZD_766	// PRM-Konsistenz: DigIn5-Konfiguration
{
    LABEL		[TXT_PZD_766];
    HELP		[HLP_PZD_766];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_766
{
    SLOT		7;
    INDEX		194;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_766    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_767
// 
VARIABLE PZD_767	// PRM-Konsistenz: DigIn6-Konfiguration
{
    LABEL		[TXT_PZD_767];
    HELP		[HLP_PZD_767];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_767
{
    SLOT		7;
    INDEX		195;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_767    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_768
// 
VARIABLE PZD_768	// PRM-Konsistenz: DigIn7-Konfiguration
{
    LABEL		[TXT_PZD_768];
    HELP		[HLP_PZD_768];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_768
{
    SLOT		7;
    INDEX		196;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_768    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_769
// 
VARIABLE PZD_769	// PRM-Konsistenz: DigIn8-Konfiguration
{
    LABEL		[TXT_PZD_769];
    HELP		[HLP_PZD_769];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_769
{
    SLOT		7;
    INDEX		197;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_769    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_770
// 
VARIABLE PZD_770	// PRM-Konsistenz: DigIn9-Konfiguration
{
    LABEL		[TXT_PZD_770];
    HELP		[HLP_PZD_770];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_770
{
    SLOT		7;
    INDEX		198;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_770    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_771
// 
VARIABLE PZD_771	// PRM-Konsistenz: DigIn10-Konfiguration
{
    LABEL		[TXT_PZD_771];
    HELP		[HLP_PZD_771];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_771
{
    SLOT		7;
    INDEX		199;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_771    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_790
// 
VARIABLE PZD_790	// Meldung: Hydraulikdruck (Hydr.-Antrieb)
{
    LABEL		[TXT_PZD_790];
    HELP		[HLP_PZD_790];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_790
{
    SLOT		7;
    INDEX		218;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_790    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_791
// 
VARIABLE PZD_791	// Meldung: Laufzeit Motor (Hydr.-Antrieb)
{
    LABEL		[TXT_PZD_791];
    HELP		[HLP_PZD_791];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_791
{
    SLOT		7;
    INDEX		219;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_791    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_794
// 
VARIABLE PZD_794	// Lwl-Signalqualität Kanal-1
{
    LABEL		[TXT_PZD_794];
    HELP		[HLP_PZD_794];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1239
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1240] }, // Kanal deaktiviert
        { 1, [TXT_TYP_1241] }, // Empfangspegel zu gering
        { 2, [TXT_TYP_1242] }, // Empfangspegel grenzwertig, kein Datenempfang
        { 3, [TXT_TYP_1243] }, // Empfangspegel grenzwertig, Datenempfang ok
        { 4, [TXT_TYP_1244] }, // Empfangspegel gut, kein Datenempfang
        { 5, [TXT_TYP_1245] }  // Empfangspegel gut, Datenempfang ok
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_795
// 
VARIABLE PZD_795	// Lwl-Signalqualität Kanal-2
{
    LABEL		[TXT_PZD_795];
    HELP		[HLP_PZD_795];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1239
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1240] }, // Kanal deaktiviert
        { 1, [TXT_TYP_1241] }, // Empfangspegel zu gering
        { 2, [TXT_TYP_1242] }, // Empfangspegel grenzwertig, kein Datenempfang
        { 3, [TXT_TYP_1243] }, // Empfangspegel grenzwertig, Datenempfang ok
        { 4, [TXT_TYP_1244] }, // Empfangspegel gut, kein Datenempfang
        { 5, [TXT_TYP_1245] }  // Empfangspegel gut, Datenempfang ok
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_797
// 
VARIABLE PZD_797	// Lwl-Baudrate
{
    LABEL		[TXT_PZD_797];
    HELP		[HLP_PZD_797];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1215
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1216] }, // Ungültig oder nicht detektiert
        { 1, [TXT_TYP_1217] }, // 9.6 kbit/s
        { 2, [TXT_TYP_1218] }, // 19.2 kbit/s
        { 3, [TXT_TYP_1219] }, // 38.4 kbit/s
        { 4, [TXT_TYP_1220] }, // 45.45 kbit/s
        { 5, [TXT_TYP_1221] }, // 57.6 kbit/s
        { 6, [TXT_TYP_1222] }, // 93.75 kbit/s
        { 7, [TXT_TYP_1223] }, // 115.2 kbit/s
        { 8, [TXT_TYP_1224] }, // 187.5 kbit/s
        { 9, [TXT_TYP_1225] }, // 500.0 kbit/s
        { 10, [TXT_TYP_1226] }, // 1500 kbit/s
        { 11, [TXT_TYP_1227] }, // 3000 kbit/s
        { 12, [TXT_TYP_1228] }, // 6000 kbit/s
        { 13, [TXT_TYP_1229] }  // 12000 kbit/s
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_798
// 
VARIABLE PZD_798	// PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration
{
    LABEL		[TXT_PZD_798];
    HELP		[HLP_PZD_798];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_798
{
    SLOT		7;
    INDEX		226;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_798    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_808
// 
VARIABLE PZD_808	// PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion
{
    LABEL		[TXT_PZD_808];
    HELP		[HLP_PZD_808];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_808
{
    SLOT		8;
    INDEX		136;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_808    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_809
// 
VARIABLE PZD_809	// System: Konfigurationsfehler \"FERN-Interface fehlt\"
{
    LABEL		[TXT_PZD_809];
    HELP		[HLP_PZD_809];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_809
{
    SLOT		8;
    INDEX		137;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_809    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_810
// 
VARIABLE PZD_810	// Warnung LWL nicht vorhanden
{
    LABEL		[TXT_PZD_810];
    HELP		[HLP_PZD_810];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_810
{
    SLOT		8;
    INDEX		138;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_810    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_813
// 
VARIABLE PZD_813	// Warnung LWL Budget
{
    LABEL		[TXT_PZD_813];
    HELP		[HLP_PZD_813];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_813
{
    SLOT		8;
    INDEX		141;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_813    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_828
// 
VARIABLE PZD_828	// PRM-Konsistenz: Konfiguration der Profilfahrt
{
    LABEL		[TXT_PZD_828];
    HELP		[HLP_PZD_828];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_828
{
    SLOT		8;
    INDEX		156;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_828    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_832
// 
VARIABLE PZD_832	// PRM-Konsistenz: LWL-Konfiguration
{
    LABEL		[TXT_PZD_832];
    HELP		[HLP_PZD_832];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_832
{
    SLOT		8;
    INDEX		160;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_832    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_833
// 
VARIABLE PZD_833	// Lwl-Formatfehler RS485
{
    LABEL		[TXT_PZD_833];
    HELP		[HLP_PZD_833];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_834
// 
VARIABLE PZD_834	// MWG: Drehmomentwarnung AUF	
{
    LABEL		[TXT_PZD_834];
    HELP		[HLP_PZD_834];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_834
{
    SLOT		8;
    INDEX		162;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_834    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_835
// 
VARIABLE PZD_835	// MWG: Drehmomentwarnung ZU
{
    LABEL		[TXT_PZD_835];
    HELP		[HLP_PZD_835];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_835
{
    SLOT		8;
    INDEX		163;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_835    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_844
// 
VARIABLE PZD_844	// Wahlschalter nicht Fern, maskiert
{
    LABEL		[TXT_PZD_844];
    HELP		[HLP_PZD_844];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_844
{
    SLOT		8;
    INDEX		172;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_844    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD ViewObject command definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 1 DIS_9 "Display..."
//   (Data length: 14 Octets)
// 
COMMAND read_view_DIS_9
{
    SLOT		254;
    INDEX		1;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_33,    // 1-1: Sprache Display (2 Octets)
            PRM_1996,    // 1-2: Datumsformat (2 Octets)
            PRM_1433,    // 1-3: Zeitformat (2 Octets)
            PRM_1467,    // 1-4: Zahlenformat (2 Octets)
            PRM_2182,    // 1-5: Anzeigeeinheit Drehmoment (2 Octets)
            PRM_2006,    // 1-6: Anzeigeeinheit Temperatur (2 Octets)
            PRM_2418     // 1-7: Diagnoseauswahl (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 2 DIS_26 "Gerätekennung"
//   (Data length: 60 Octets)
// 
COMMAND read_view_DIS_26
{
    SLOT		254;
    INDEX		2;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1164,    // 2-1: Gerätebezeichnung (20 Octets)
            PRM_1165,    // 2-2: Geräte-TAG (20 Octets)
            PRM_1166     // 2-3: Projektname (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 3 DIS_28 "Steuerung"
//   (Data length: 80 Octets)
// 
COMMAND read_view_DIS_28
{
    SLOT		254;
    INDEX		3;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1760,    // 3-1: KommNr Steuerung (20 Octets)
            PRM_1762,    // 3-2: Werksnummer Steuerung (20 Octets)
            PRM_1764,    // 3-3: Schaltplannummer Steuerung (20 Octets)
            PRM_2176     // 3-4: Datum der Endabnahme (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 4 DIS_29 "Antrieb"
//   (Data length: 60 Octets)
// 
COMMAND read_view_DIS_29
{
    SLOT		254;
    INDEX		4;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1761,    // 4-1: KommNr Antrieb (20 Octets)
            PRM_1763,    // 4-2: Werksnummer Antrieb (20 Octets)
            PRM_1765     // 4-3: Schaltplannummer Antrieb (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 5 DIS_62 "Produktion"
//   (Data length: 40 Octets)
// 
COMMAND read_view_DIS_62
{
    SLOT		254;
    INDEX		5;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1759,    // 5-1: Firmware Version AC01.2 (20 Octets)
            PRM_2568     // 5-2: Version der ausgewählten Sprachdatei (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 6 DIS_515 "Details Firmware"
//   (Data length: 160 Octets)
// 
COMMAND read_view_DIS_515
{
    SLOT		254;
    INDEX		6;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2217,    // 6-1: App-Lcb (20 Octets)
            PRM_2218,    // 6-2: Btl-Lcb (20 Octets)
            PRM_2219,    // 6-3: App-Logik (20 Octets)
            PRM_2220,    // 6-4: Btl-Logik (20 Octets)
            PRM_2223,    // 6-5: App-Bus (20 Octets)
            PRM_2224,    // 6-6: Btl-Bus (20 Octets)
            PRM_2221,    // 6-7: App-Mwg (20 Octets)
            PRM_2222     // 6-8: Btl-Mwg (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 7 DIS_684 "ArtikelNr Hardware"
//   (Data length: 140 Octets)
// 
COMMAND read_view_DIS_684
{
    SLOT		254;
    INDEX		7;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1754,    // 7-1: Lcb ArtikelNr  IST-Konfiguration (20 Octets)
            PRM_1751,    // 7-2: ArtikelNr Logik IST-Konfiguration (20 Octets)
            PRM_1755,    // 7-3: ArtikelNr Relaisplatine IST-Konfiguration (20 Octets)
            PRM_1756,    // 7-4: ArtikelNr Optionsplatine  IST-Konfiguration (20 Octets)
            PRM_1757,    // 7-5: ArtikelNr Interface1 IST-Konfiguration (20 Octets)
            PRM_1758,    // 7-6: ArtikelNr Bus  IST-Konfiguration (20 Octets)
            PRM_1875     // 7-7: ArtikelNr MWG IST-Konfiguration (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 9 DIS_12 "Abschaltart"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_12
{
    SLOT		254;
    INDEX		9;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_578,    // 9-1: Abschaltart ZU (2 Octets)
            PRM_9     // 9-2: Abschaltart AUF (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 10 DIS_13 "Drehmo-Einstellung"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_13
{
    SLOT		254;
    INDEX		10;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1182,    // 10-1: Anfahrüberbrückung Freigabe (2 Octets)
            PRM_82,    // 10-2: Anfahrüberbrückungszeit (2 Octets)
            0x00, 0x00,    // 10-3: Abschaltmoment ZU [%] (2 Octets)
            0x00, 0x00     // 10-4: Abschaltmoment AUF [%] (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 11 DIS_75 "Ortssteuerstelle"
//   (Data length: 10 Octets)
// 
COMMAND read_view_DIS_75
{
    SLOT		254;
    INDEX		11;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_12,    // 11-1: Selbsthaltungsverhalten Ort (2 Octets)
            PRM_3143,    // 11-2: \"Lokaler Halt\" Verhalten (2 Octets)
            PRM_3136,    // 11-3: \"Freigabe OSS\" Verhalten (2 Octets)
            PRM_3693,    // 11-4: Verhalten (2 Octets)
            PRM_3694     // 11-5: Feldbus beachten (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 12 DIS_15 "Interface"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_15
{
    SLOT		254;
    INDEX		12;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_519,    // 12-1: Selbsthaltungsverhalten Fern1 (2 Octets)
            PRM_533     // 12-2: Selbsthaltungsverhalten Fern2 (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 14 DIS_145 "Stellungsregler"
//   (Data length: 22 Octets)
// 
COMMAND read_view_DIS_145
{
    SLOT		254;
    INDEX		14;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_84,    // 14-1: Stellungsregler Adaptives Verhalten (2 Octets)
            PRM_86,    // 14-2: Totzeit Tt (2 Octets)
            PRM_212,    // 14-3: Nachlauf AUF (innere Totzone Xi_AUF) (2 Octets)
            PRM_213,    // 14-4: Nachlauf ZU (innere Totzone Xi_ZU) (2 Octets)
            PRM_2916,    // 14-5: Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler (2 Octets)
            PRM_2917,    // 14-6: Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler (2 Octets)
            PRM_215,    // 14-7: Toleranz E1 ZU (4 Octets)
            PRM_214,    // 14-8: Toleranz E1 AUF (4 Octets)
            PRM_1179     // 14-9: max. zulässige Anläufe /h (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 15 DIS_378 "Sicherheitsverhalten"
//   (Data length: 10 Octets)
// 
COMMAND read_view_DIS_378
{
    SLOT		254;
    INDEX		15;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1869,    // 15-1: Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT) (2 Octets)
            PRM_1870,    // 15-2: Verhalten Sicherheitsbetrieb (Default: 0 = STOP) (2 Octets)
            PRM_1871,    // 15-3: Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall) (2 Octets)
            PRM_1874,    // 15-4: FailsSafe-Verzögerungszeit (2 Octets)
            PRM_1872     // 15-5: FailSafe-Position (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 16 DIS_198 "NOT-Funktion"
//   (Data length: 24 Octets)
// 
COMMAND read_view_DIS_198
{
    SLOT		254;
    INDEX		16;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_68,    // 16-1: NOT-Funktion Auslösung (2 Octets)
            PRM_67,    // 16-2: NOT-Funktion Betriebsart (2 Octets)
            PRM_2924,    // 16-3: Auswahl Auslösequelle (2 Octets)
            PRM_230,    // 16-4: NOT-Funktion Verhalten (2 Octets)
            PRM_231,    // 16-5: NOT-Position (2 Octets)
            PRM_70,    // 16-6: NOT Überbrückung Drehmomentfehler (2 Octets)
            PRM_69,    // 16-7: NOT Überbrückung Thermofehler (2 Octets)
            PRM_71,    // 16-8: NOT Überbrückung Taktgeber (2 Octets)
            PRM_2950,    // 16-9: NOT Überbrückung Fahrprofil (2 Octets)
            PRM_3255,    // 16-10: Applikationsparameter ApplIgnoreESD (2 Octets)
            PRM_3295,    // 16-11: NOT Überbrückung Lokaler Halt (2 Octets)
            PRM_4015     // 16-12: Parameter: DelayTime (Default: 1,0 sec) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 17 DIS_142 "Taktgeber"
//   (Data length: 20 Octets)
// 
COMMAND read_view_DIS_142
{
    SLOT		254;
    INDEX		17;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_590,    // 17-1: Taktbetrieb Mode ZU (2 Octets)
            PRM_592,    // 17-2: Taktfahrzeit ZU (2 Octets)
            PRM_591,    // 17-3: Taktpausenzeit ZU (2 Octets)
            PRM_594,    // 17-4: Taktstrecke: Start ZU (2 Octets)
            PRM_593,    // 17-5: Taktstrecke: Ende ZU (2 Octets)
            PRM_13,    // 17-6: Takbetrieb Mode AUF (2 Octets)
            PRM_7,    // 17-7: Taktfahrzeit AUF (2 Octets)
            PRM_8,    // 17-8: Taktpausenzeit AUF (2 Octets)
            PRM_5,    // 17-9: Taktstrecke: Start AUF (2 Octets)
            PRM_6     // 17-10: Taktstrecke: Ende AUF (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 18 DIS_160 "Positionen"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_160
{
    SLOT		254;
    INDEX		18;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_20,    // 18-1: Stützpunkt 1 Position (2 Octets)
            PRM_466,    // 18-2: Stützpunkt 2 Position (2 Octets)
            PRM_470,    // 18-3: Stützpunkt 3 Position (2 Octets)
            PRM_474,    // 18-4: Stützpunkt 4 Position (2 Octets)
            PRM_478,    // 18-5: Stützpunkt 5 Position (2 Octets)
            PRM_482,    // 18-6: Stützpunkt 6 Position (2 Octets)
            PRM_486,    // 18-7: Stützpunkt 7 Position (2 Octets)
            PRM_490     // 18-8: Stützpunkt 8 Position (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 19 DIS_257 "Fahrverhalten"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_257
{
    SLOT		254;
    INDEX		19;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_29,    // 19-1: Stützpunkt 1 Fahrverhalten (2 Octets)
            PRM_467,    // 19-2: Stützpunkt 2 Fahrverhalten (2 Octets)
            PRM_471,    // 19-3: Stützpunkt 3 Fahrverhalten (2 Octets)
            PRM_475,    // 19-4: Stützpunkt 4 Fahrverhalten (2 Octets)
            PRM_479,    // 19-5: Stützpunkt 5 Fahrverhalten (2 Octets)
            PRM_483,    // 19-6: Stützpunkt 6 Fahrverhalten (2 Octets)
            PRM_487,    // 19-7: Stützpunkt 7 Fahrverhalten (2 Octets)
            PRM_491     // 19-8: Stützpunkt 8 Fahrverhalten (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 20 DIS_266 "Meldeverhalten"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_266
{
    SLOT		254;
    INDEX		20;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_28,    // 20-1: Stützpunkt 1 Meldeverhalten (2 Octets)
            PRM_468,    // 20-2: Stützpunkt 2 Meldeverhalten (2 Octets)
            PRM_472,    // 20-3: Stützpunkt 3 Meldeverhalten (2 Octets)
            PRM_476,    // 20-4: Stützpunkt 4 Meldeverhalten (2 Octets)
            PRM_480,    // 20-5: Stützpunkt 5 Meldeverhalten (2 Octets)
            PRM_484,    // 20-6: Stützpunkt 6 Meldeverhalten (2 Octets)
            PRM_488,    // 20-7: Stützpunkt 7 Meldeverhalten (2 Octets)
            PRM_492     // 20-8: Stützpunkt 8 Meldeverhalten (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 21 DIS_268 "Pausenzeit"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_268
{
    SLOT		254;
    INDEX		21;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1887,    // 21-1: Stützpunkt 1 Pausenzeit (2 Octets)
            PRM_1888,    // 21-2: Stützpunkt 2 Pausenzeit (2 Octets)
            PRM_1889,    // 21-3: Stützpunkt 3 Pausenzeit (2 Octets)
            PRM_1890,    // 21-4: Stützpunkt 4 Pausenzeit (2 Octets)
            PRM_1891,    // 21-5: Stützpunkt 5 Pausenzeit (2 Octets)
            PRM_1892,    // 21-6: Stützpunkt 6 Pausenzeit (2 Octets)
            PRM_1893,    // 21-7: Stützpunkt 7 Pausenzeit (2 Octets)
            PRM_1894     // 21-8: Stützpunkt 8 Pausenzeit (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 22 DIS_267 "Hysterese"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_267
{
    SLOT		254;
    INDEX		22;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1767,    // 22-1: Stützpunkt 1 Hysterese (2 Octets)
            PRM_1768,    // 22-2: Stützpunkt 2 Hysterese (2 Octets)
            PRM_1769,    // 22-3: Stützpunkt 3 Hysterese (2 Octets)
            PRM_1770,    // 22-4: Stützpunkt 4 Hysterese (2 Octets)
            PRM_1771,    // 22-5: Stützpunkt 5 Hysterese (2 Octets)
            PRM_1772,    // 22-6: Stützpunkt 6 Hysterese (2 Octets)
            PRM_1773,    // 22-7: Stützpunkt 7 Hysterese (2 Octets)
            PRM_1774     // 22-8: Stützpunkt 8 Hysterese (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 23 DIS_355 "ED-Überwachung"
//   (Data length: 6 Octets)
// 
COMMAND read_view_DIS_355
{
    SLOT		254;
    INDEX		23;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2121,    // 23-1: EDEnable (2 Octets)
            PRM_2122,    // 23-2: EDMaxTimeHour (2 Octets)
            PRM_2123     // 23-3: EDMaxStartHour (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 24 DIS_676 "Bewegungserkennung"
//   (Data length: 10 Octets)
// 
COMMAND read_view_DIS_676
{
    SLOT		254;
    INDEX		24;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2554,    // 24-1: Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN) (2 Octets)
            PRM_2555,    // 24-2: Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec) (2 Octets)
            PRM_2556,    // 24-3: Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs) (2 Octets)
            PRM_3187,    // 24-4: Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec) (2 Octets)
            PRM_3188     // 24-5: Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Inkremente) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 25 DIS_568 "Stellzeitüberwachung"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_568
{
    SLOT		254;
    INDEX		25;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2546,    // 25-1: Applikationsparameter Betriebsart (2 Octets)
            PRM_2547     // 25-2: Applikationsparameter Stellzeit (Einheit 0,1 sec) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 26 DIS_632 "Reaktionsüberwachung"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_632
{
    SLOT		254;
    INDEX		26;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3157,    // 26-1: Applikation: Betriebsart Standard-Ausführung (2 Octets)
            PRM_3158     // 26-2: Applikation: Überwachungszeit (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 27 DIS_664 "Interlock"
//   (Data length: 6 Octets)
// 
COMMAND read_view_DIS_664
{
    SLOT		254;
    INDEX		27;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3218,    // 27-1: Applikationsparameter ApplMode (2 Octets)
            PRM_3219,    // 27-2: Applikationsparameter ApplBehaviour (2 Octets)
            PRM_3255     // 27-3: Applikationsparameter ApplIgnoreESD (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 28 DIS_159 "Ortssteuerstelle"
//   (Data length: 12 Octets)
// 
COMMAND read_view_DIS_159
{
    SLOT		254;
    INDEX		28;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_160,    // 28-1: Prozesswert (Auswahl Input Link) (2 Octets)
            PRM_557,    // 28-2: Prozesswert (2 Octets)
            PRM_561,    // 28-3: Prozesswert  (Auswahl Input Link) (2 Octets)
            PRM_565,    // 28-4: Prozesswert  (Auswahl Input Link) (2 Octets)
            PRM_569,    // 28-5: Prozesswert  (Auswahl Input Link) (2 Octets)
            PRM_1175     // 28-6: Blinker-Verhalten (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 29 DIS_116 "Eingänge binär"
//   (Data length: 40 Octets)
// 
COMMAND read_view_DIS_116
{
    SLOT		254;
    INDEX		29;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_873,    // 29-1: DigitalIn1-Signal-Ausgang (Default: MODE) (2 Octets)
            PRM_932,    // 29-2: Digital-Signal-Ausgang (Default: Fahre ZU) (2 Octets)
            PRM_926,    // 29-3: Digital-Signal-Ausgang (Default: Fahre AUF) (2 Octets)
            PRM_920,    // 29-4: Digital-Signal-Ausgang (Default: Fern HALT) (2 Octets)
            PRM_914,    // 29-5: Digital-Signal-Ausgang (Default: NOT ) (2 Octets)
            PRM_908,    // 29-6: Digital-Signal-Ausgang (Default:Keine Funktion) (2 Octets)
            PRM_902,    // 29-7: Digital-Signal-Ausgang (2 Octets)
            PRM_896,    // 29-8: Digital-Signal-Ausgang (2 Octets)
            PRM_890,    // 29-9: Digital-Signal-Ausgang (2 Octets)
            PRM_884,    // 29-10: Digital-Signal-Ausgang (2 Octets)
            PRM_878,    // 29-11: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_933,    // 29-12: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_927,    // 29-13: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_921,    // 29-14: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_915,    // 29-15: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_909,    // 29-16: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_903,    // 29-17: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_897,    // 29-18: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_891,    // 29-19: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_885     // 29-20: IsInverted (Invertierter Eingang) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 30 DIS_389 "Eingänge analog"
//   (Data length: 12 Octets)
// 
COMMAND read_view_DIS_389
{
    SLOT		254;
    INDEX		30;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1133,    // 30-1: Unterer Grenzwert [0,1 mA] für das Eingangssignal (2 Octets)
            PRM_1130,    // 30-2: Oberer Grenzwert [0,1 mA] für das Eingangssignal (2 Octets)
            PRM_1129,    // 30-3: Normierter Wert (0 ... 1000): Default: Stellungssollwert E1 (2 Octets)
            PRM_1141,    // 30-4: Unterer Grenzwert [0,1 mA] für das Eingangssignal (2 Octets)
            PRM_1140,    // 30-5: Oberer Grenzwert [0,1 mA] für das Eingangssignal (2 Octets)
            PRM_1137     // 30-6: Normierter Wert (0 ... 1000): Default: Drehzahl Sollwert (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 31 DIS_110 "Ausgänge binär"
//   (Data length: 48 Octets)
// 
COMMAND read_view_DIS_110
{
    SLOT		254;
    INDEX		31;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1012,    // 31-1: Digital-Signal-Eingang (Default AUMA-Fehler) (2 Octets)
            PRM_1102,    // 31-2: Digital-Signal-Eingang (Default: Endlage ZU) (2 Octets)
            PRM_1097,    // 31-3: Digital-Signal-Eingang (Default: Endlage AUF) (2 Octets)
            PRM_1092,    // 31-4: Digital-Signal-Eingang (Default: Wahlschalter FERN) (2 Octets)
            PRM_1087,    // 31-5: Digital-Signal-Eingang (Default: Drehmofehler ZU) (2 Octets)
            PRM_1082,    // 31-6: Digital-Signal-Eingang (Default: Drehmoschalter AUF) (2 Octets)
            PRM_1077,    // 31-7: Digital-Signal-Eingang (Default: Thermofehler) (2 Octets)
            PRM_1072,    // 31-8: Digital-Signal-Eingang (Default: Phasenfehler) (2 Octets)
            PRM_1107,    // 31-9: Digital-Signal-Eingang (Default: Weg-Endschalter ZU) (2 Octets)
            PRM_1122,    // 31-10: Digital-Signal-Eingang (Default: Weg-Endschalter AUF) (2 Octets)
            PRM_1117,    // 31-11: Digital-Signal-Eingang (Default: Drehmo-Schalter ZU) (2 Octets)
            PRM_1112,    // 31-12: Digital-Signal-Eingang (Default: Drehmoschalter AUF) (2 Octets)
            PRM_1013,    // 31-13: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1103,    // 31-14: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1098,    // 31-15: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1093,    // 31-16: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1088,    // 31-17: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1083,    // 31-18: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1078,    // 31-19: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1073,    // 31-20: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1108,    // 31-21: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1123,    // 31-22: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1118,    // 31-23: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1113     // 31-24: IsInverted (Invertierter Ausgang) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 32 DIS_335 "Ausgänge analog"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_335
{
    SLOT		254;
    INDEX		32;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1254,    // 32-1: Prozessdaten-Eingang(Default: Stellungsistwert E2) (2 Octets)
            PRM_1255,    // 32-2: Auswahlparameter Ausgangsbereich (2 Octets)
            PRM_1262,    // 32-3: Prozessdaten-Eingang (Default: Drehmoment Itwert) (2 Octets)
            PRM_1263     // 32-4: Auswahlparameter Ausgangsbereich (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
 
 
//   Defining ViewObject 35 DIS_600 "Profibus"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_600
{
    SLOT		254;
    INDEX		35;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2885,    // 35-1: Redundanz-Mode (2 Octets)
            PRM_3527     // 35-2: Sende-Mode (sende auf 2 Leitungen) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 36 DIS_168 "Antrieb"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_168
{
    SLOT		254;
    INDEX		36;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_208,    // 36-1: Mode Temperaturfehler (2 Octets)
            PRM_79,    // 36-2: Drehsinn (2 Octets)
            PRM_2992,    // 36-3: Handradschalter: Vorhanden, bzw. Kontaktart (2 Octets)
            PRM_3172     // 36-4: Applikationsparameter: Heizungsüberwachung aktivieren (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 37 DIS_175 "MWG"
//   (Data length: 42 Octets)
// 
COMMAND read_view_DIS_175
{
    SLOT		254;
    INDEX		37;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2088,    // 37-1: Nennmoment Zu (Antrieb) (2 Octets)
            PRM_1969,    // 37-2: Nennmoment Auf (Antrieb) (2 Octets)
            PRM_1707,    // 37-3: Winkel min. CLOSE (2 Octets)
            PRM_1711,    // 37-4: Torque min. CLOSE (2 Octets)
            PRM_1705,    // 37-5: Winkel max. CLOSE (2 Octets)
            PRM_1709,    // 37-6: Torque max. CLOSE (2 Octets)
            PRM_1708,    // 37-7: Winkel min. OPEN (2 Octets)
            PRM_1712,    // 37-8: Torque min. OPEN (2 Octets)
            PRM_1706,    // 37-9: Winkel max. OPEN (2 Octets)
            PRM_1710,    // 37-10: Torque max. OPEN (2 Octets)
            PRM_1715,    // 37-11: Korrektur Kennlinie CLOSE (2 Octets)
            PRM_1716,    // 37-12: Korrektur Kennlinie OPEN (2 Octets)
            PRM_1741,    // 37-13: Komparator Hysterese (2 Octets)
            PRM_1713,    // 37-14: Torque Totzone (2 Octets)
            PRM_1725,    // 37-15: Komparator Hysterese für Endlagen (4 Octets)
            0x00, 0x00,    // 37-16: PRM_1714 Torque Zero Adjust (skipped in VO) (2 Octets)
            0x00, 0x00,    // 37-17: PRM_2180 minimales Abschaltmoment ZU [Nm] (skipped in VO) (2 Octets)
            0x00, 0x00,    // 37-18: PRM_2181 maximales Abschaltmoment ZU [Nm] (skipped in VO) (2 Octets)
            0x00, 0x00,    // 37-19: PRM_2178 minimales Abschaltmoment AUF [Nm] (skipped in VO) (2 Octets)
            0x00, 0x00     // 37-20: PRM_2179 maximales Abschaltmoment AUF [Nm] (skipped in VO) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 38 DIS_482 "Poti"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_482
{
    SLOT		254;
    INDEX		38;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2400,    // 38-1: Mindestwert 5V-Referenzspannung (0...1023) (2 Octets)
            PRM_2401,    // 38-2: Mindestwert Poti-Signal (0...1023) (2 Octets)
            PRM_2402,    // 38-3: Mindestwert Poti-Hub (0...1023) (2 Octets)
            PRM_3053     // 38-4: Hysterese (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 39 DIS_170 "Phasenüberwachung"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_170
{
    SLOT		254;
    INDEX		39;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1168,    // 39-1: Drehfeldrichtung kompensieren (2 Octets)
            PRM_209     // 39-2: DelayTime (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 40 DIS_173 "Leistungsteil"
//   (Data length: 2 Octets)
// 
COMMAND read_view_DIS_173
{
    SLOT		254;
    INDEX		40;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_11     // 40-1: Reversiersperrzeit (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 41 DIS_645 "Überwachungsfktn."
//   (Data length: 12 Octets)
// 
COMMAND read_view_DIS_645
{
    SLOT		254;
    INDEX		41;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3180,    // 41-1: Applikationsparameter: Heizungsüberwachung aktivieren (2 Octets)
            PRM_2798,    // 41-2: Applikationsparameter: 24VExt-Überwachung Aktivierung (2 Octets)
            PRM_2865,    // 41-3: Parameter: Activate (Default = Aktiviert) (2 Octets)
            PRM_2872,    // 41-4: Parameter: Activate (Default = Aktiviert) (2 Octets)
            PRM_2878,    // 41-5: Parameter: Activate (Default = Aktiviert) (2 Octets)
            PRM_3232     // 41-6: Enable (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 42 DIS_380 "Serviceschnittstelle"
//   (Data length: 22 Octets)
// 
COMMAND read_view_DIS_380
{
    SLOT		254;
    INDEX		42;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1165,    // 42-1: Geräte-TAG (20 Octets)
            PRM_2175     // 42-2: Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 43 DIS_212 "Aktivierung"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_212
{
    SLOT		254;
    INDEX		43;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2923,    // 43-1: Aktivierung NOT-Funktion (2 Octets)
            PRM_1177,    // 43-2: Taktgeber Aktivierung ZU (2 Octets)
            PRM_1176,    // 43-3: Taktgeber Aktivierung AUF (2 Octets)
            PRM_1169,    // 43-4: Stellungsregler Aktivierung (2 Octets)
            PRM_1931,    // 43-5: Fahrprofil \"Aktivierung\" (wird auch vom CmdSequencer genutzt) (2 Octets)
            PRM_2591,    // 43-6: Bluetooth-Aktivierung (2 Octets)
            PRM_3135,    // 43-7: \"Freigabe OSS\" Aktivierung (2 Octets)
            PRM_3217     // 43-8: Applikationsparameter ApplActivation (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 44 DIS_612 "Allgemein"
//   (Data length: 48 Octets)
// 
COMMAND read_view_DIS_612
{
    SLOT		254;
    INDEX		44;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_268,    // 44-1: Logik: Bypassed Drehmomentfehler AUF (4 Octets)
            PZD_269,    // 44-2: Logik: Bypassed Drehmomentfehler ZU (4 Octets)
            PZD_112,    // 44-3: Wahlschalter (2 Octets)
            PZD_2,    // 44-4: Stellungsistwert Stellantrieb E2 (2 Octets)
            PZD_545,    // 44-5: Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000) (2 Octets)
            PZD_120,    // 44-6: Logik: Betriebsmodus (2 Octets)
            PZD_144,    // 44-7: Logik: Fahrbefehl (4 Octets)
            PZD_264,    // 44-8: Logik: Fährt Richtung AUF (logisch) (4 Octets)
            PZD_265,    // 44-9: Logik: Fährt Richtung ZU (logisch) (4 Octets)
            PZD_401,    // 44-10: Logik: Position erreicht (4 Octets)
            PZD_375,    // 44-11: Logik: Wegendlage Shalter AUF (konditioniert) (4 Octets)
            PZD_376,    // 44-12: Logik: Wegendlage Schalter ZU (konditioniert) (4 Octets)
            PZD_459,    // 44-13: Logik: Signal Torque OPEN (4 Octets)
            PZD_460     // 44-14: Logik: Signal Torque CLOSE (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 52 DIS_613 "Stellungsregler"
//   (Data length: 10 Octets)
// 
COMMAND read_view_DIS_613
{
    SLOT		254;
    INDEX		52;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_84,    // 52-1: Stellungsregler Adaptives Verhalten (2 Octets)
            PZD_7,    // 52-2: Stellungs-Sollwert E1 (2 Octets)
            PZD_709,    // 52-3: Stellungsistwert Stellantrieb E2 (synchronisiert) (2 Octets)
            PZD_659     // 52-4: Aktuelle Totzone (Stellungsreglerausgang) (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 53 DIS_593 "ED Überwachung"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_593
{
    SLOT		254;
    INDEX		53;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_488,    // 53-1: Lcb: ED Aktuelle Einschaltzeit (4 Octets)
            PZD_489     // 53-2: Lcb: ED Aktuelle Schaltspiele (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 54 DIS_244 "Bluetooth"
//   (Data length: 62 Octets)
// 
COMMAND read_view_DIS_244
{
    SLOT		254;
    INDEX		54;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1165,    // 54-1: Geräte-TAG (20 Octets)
            PRM_2188,    // 54-2: Lokale Bluetooth-Geräteadresse (XX:XX:XX:XX:XX:XX) (20 Octets)
            PRM_2604,    // 54-3: Bluetooth-Geräteadresse der Gegenstelle(XX:XX:XX:XX:XX:XX) (20 Octets)
            PRM_2591     // 54-4: Bluetooth-Aktivierung (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 57 DIS_602 "Profibus Details"
//   (Data length: 32 Octets)
// 
COMMAND read_view_DIS_602
{
    SLOT		254;
    INDEX		57;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_737,    // 57-1: DPV1_Control (4 Octets)
            PZD_738,    // 57-2: DPV1 C2-Verbindung aktiv (4 Octets)
            PZD_604,    // 57-3: Fahrbefehlskanal 1 aktiv (4 Octets)
            PZD_605,    // 57-4: Fahrbefehlskanal 2 aktiv (4 Octets)
            PZD_741,    // 57-5: Primary Channel (2 Octets)
            PZD_742,    // 57-6: Secondary Channel (2 Octets)
            PRM_3006,    // 57-7: Profibus Ident Nr (2 Octets)
            PRM_2885,    // 57-8: Redundanz-Mode (2 Octets)
            PZD_744,    // 57-9: DP-V1 GSD aktiv (2 Octets)
            PZD_746,    // 57-10: DP-ALARM aktiv (2 Octets)
            PZD_745,    // 57-11: DP-REDUNDANZ aktiv (2 Octets)
            PRM_3527     // 57-12: Sende-Mode (sende auf 2 Leitungen) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 58 DIS_638 "LWL"
//   (Data length: 28 Octets)
// 
COMMAND read_view_DIS_638
{
    SLOT		254;
    INDEX		58;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_794,    // 58-1: Lwl-Signalqualität Kanal-1 (2 Octets)
            PZD_795,    // 58-2: Lwl-Signalqualität Kanal-2 (2 Octets)
            PZD_833,    // 58-3: Lwl-Formatfehler RS485 (2 Octets)
            PZD_797,    // 58-4: Lwl-Baudrate (2 Octets)
            PRM_3479     // 58-5: Lwl-Modul (FPGA) (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 59 DIS_183 "Betriebsdaten Gesamt"
//   (Data length: 48 Octets)
// 
COMMAND read_view_DIS_183
{
    SLOT		254;
    INDEX		59;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_495,    // 59-1: MotorRunningTime (Factory) (4 Octets)
            PRM_496,    // 59-2: NumberOfStarts (Factory) (4 Octets)
            PRM_503,    // 59-3: ErrorsThermo (Factory) (4 Octets)
            PRM_501,    // 59-4: ErrorsTrqClose (Factory) (4 Octets)
            PRM_502,    // 59-5: ErrorsTrqOpen (Factory) (4 Octets)
            PRM_498,    // 59-6: StopsPosClose (Factory) (4 Octets)
            PRM_500,    // 59-7: StopsPosOpen (Factory) (4 Octets)
            PRM_497,    // 59-8: StopsTrqClose (Factory) (4 Octets)
            PRM_499,    // 59-9: StopsTrqOpen (Factory) (4 Octets)
            PRM_505,    // 59-10: ErrorsEDTime (Factory) (4 Octets)
            PRM_506,    // 59-11: ErrorsEDMax (Factory) (4 Octets)
            PRM_507     // 59-12: Resets (Factory) (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 60 DIS_188 "Betriebsdaten Kunde"
//   (Data length: 50 Octets)
// 
COMMAND read_view_DIS_188
{
    SLOT		254;
    INDEX		60;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_163,    // 60-1: MotorRunningTime (User) (4 Octets)
            PRM_164,    // 60-2: NumberOfStarts (User) (4 Octets)
            PRM_170,    // 60-3: ErrorsThermo (User) (4 Octets)
            PRM_175,    // 60-4: ErrorsTrqClose (User) (4 Octets)
            PRM_171,    // 60-5: ErrorsTrqOpen (User) (4 Octets)
            PRM_172,    // 60-6: StopsPosClose (User) (4 Octets)
            PRM_174,    // 60-7: StopsPosOpen (User) (4 Octets)
            PRM_166,    // 60-8: StopsTrqClose (User) (4 Octets)
            PRM_173,    // 60-9: StopsTrqOpen (User) (4 Octets)
            PRM_168,    // 60-10: ErrorsEDTime (User) (4 Octets)
            PRM_167,    // 60-11: ErrorsEDMax (User) (4 Octets)
            PRM_165,    // 60-12: Resets (User) (4 Octets)
            0x00, 0x00     // 60-13:   (skipped in VO) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 62 DIS_524 "Gerätetemperaturen"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_524
{
    SLOT		254;
    INDEX		62;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_4,    // 62-1: Temperatur Steuerung (2 Octets)
            PZD_109,    // 62-2: Temperatur Steuereinheit (2 Octets)
            PZD_5,    // 62-3: Temperatur Stellantrieb (Motor) (2 Octets)
            PZD_6     // 62-4: Temperatur Stellantrieb (Getriebe) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Table Specialist
// 
MENU	offline_root_menu
{
    LABEL	[TXT_Menu_Configuration];
#ifdef dtmGENERATOR
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
#endif /* dtmGENERATOR */ 
    ITEMS
    {
            menu_DIS_9_S, // Display...
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}

#ifdef dtmGENERATOR
MENU	online_root_menu
{
    LABEL	[TXT_Menu_ProcessVariables];
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
    ITEMS
    {
            menu_DIS_9_S, // Display...
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S, // Diagnose
            Menu_S_Device  // Service-Kommandos
    }
}

#else

MENU	process_variables_root_menu
{
    LABEL	[TXT_Menu_ProcessVariables];
    ITEMS
    {
            menu_DIS_9_S, // Display...
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}
MENU	diagnostic_root_menu
{
    LABEL	[TXT_Menu_Diagnostic];
    ITEMS
    {
            menu_DIS_21_S, // Informationen
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}
MENU	device_root_menu
{
    LABEL		[TXT_Menu_Device];
    ITEMS
    {
        coPRM_3484,
        coPRM_3487 
    }
}
 
#endif /* dtmGENERATOR */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_9_S "Display..."
// 
MENU menu_DIS_9_S // Display...
{
    LABEL		[TXT_DIS_9];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_33, // Sprache
/*            DIS_221 "Datum und Uhrzeit" (Usage: AC01.2 ToolSuite EDD PDA; ReadAccess: 1; RuleSet: ); ### CMD not implemented yet ###*/
            PRM_1996, // Datumsformat
            PRM_1433, // Zeitformat
            PRM_1467, // Zahlenformat
            PRM_2182, // Einheit Drehmoment
            PRM_2006, // Einheit Temperatur
            PRM_2418  // Diagnoseauswahl
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_21_S "Informationen"
// 
MENU menu_DIS_21_S // Informationen
{
    LABEL		[TXT_DIS_21];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_26_S, // Gerätekennung
            menu_DIS_62_S  // Produktion
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_26_S "Gerätekennung"
// 
MENU menu_DIS_26_S // Gerätekennung
{
    LABEL		[TXT_DIS_26];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1164, // Produktbez.
            PRM_1165, // Geräte-TAG
            PRM_1166, // Projektname
            menu_DIS_28_S, // Steuerung
            menu_DIS_29_S  // Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_28_S "Steuerung"
// 
MENU menu_DIS_28_S // Steuerung
{
    LABEL		[TXT_DIS_28];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1760, // KommNr Steuerung
            PRM_1762, // WerksNr Steuerung
            PRM_1764, // Schaltplan Steuerung
            PRM_2176  // Datum der Endabnahme
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_29_S "Antrieb"
// 
MENU menu_DIS_29_S // Antrieb
{
    LABEL		[TXT_DIS_29];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1761, // KommNr Antrieb
            PRM_1763, // WerksNr Antrieb
            PRM_1765  // Schaltplan Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_62_S "Produktion"
// 
MENU menu_DIS_62_S // Produktion
{
    LABEL		[TXT_DIS_62];
    ACCESS		ONLINE;
    ITEMS
    {
      VersionEddGen (READ_ONLY), // EDD Generator version
      DesignatedFwVersion (READ_ONLY), // vorgesehene FW version
      PRM_1759, // Firmware Version
      PRM_2568  // Version Sprache
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_41_S "Einstellungen"
// 
MENU menu_DIS_41_S // Einstellungen
{
    LABEL		[TXT_DIS_41];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_12_S, // Abschaltart
            menu_DIS_13_S, // Drehmo-Einstellung
            menu_DIS_75_S  // Ortssteuerstelle
            IF (PRM_45 == 1) {menu_DIS_15_S} // Interface (using RULE_19)
            IF (PRM_181 == 1) {menu_DIS_16_S} // Profibus (using RULE_21)
            IF (PRM_1169 == 1) {menu_DIS_145_S} // Stellungsregler (using RULE_14)
            menu_DIS_378_S  // Sicherheitsverhalten
            IF (PRM_2923 != 0) {menu_DIS_198_S} // NOT-Funktion (using RULE_12)
            IF (((PRM_1177 == 1)) || ((PRM_1176 == 1))) {menu_DIS_142_S} // Taktgeber (using RULE_30)
            menu_DIS_143_S, // Stützpunkte
            menu_DIS_355_S, // ED-Überwachung
            menu_DIS_676_S, // Bewegungserkennung
            menu_DIS_568_S  // Stellzeitüberwachung
            IF (PRM_3156 == 0) {menu_DIS_632_S} // Reaktionsüberwachung (using RULE_301)
            IF (PRM_3217 == 1) {menu_DIS_664_S} // Interlock (using RULE_205)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_12_S "Abschaltart"
// 
MENU menu_DIS_12_S // Abschaltart
{
    LABEL		[TXT_DIS_12];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_578, // Abschaltart ZU
            PRM_9  // Abschaltart AUF
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_13_S "Drehmo-Einstellung"
// 
MENU menu_DIS_13_S // Drehmo-Einstellung
{
    LABEL		[TXT_DIS_13];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1182, // Anfahrüberbrückung
            PRM_82  // DrehmoBypassZeit
            IF (PRM_1752 == 1) {PRM_2041} // PRM_TorqueNmClose (using RULE_11)
            IF (PRM_1752 == 1) {PRM_2036} // PRM_TorqueNmOpen (using RULE_11)
            IF (PRM_3297 != 0) {PRM_2041} // PRM_TorqueNmClose (using RULE_295)
            IF (PRM_3297 != 0) {PRM_2036} // PRM_TorqueNmOpen (using RULE_295)
            IF (PRM_1752 == 1) {PRM_3667} // THRE_MwgTorqueWarnCl (using RULE_11)
            IF (PRM_1752 == 1) {PRM_3657} // THRE_MwgTorqueWarnOp (using RULE_11)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_75_S "Ortssteuerstelle"
// 
MENU menu_DIS_75_S // Ortssteuerstelle
{
    LABEL		[TXT_DIS_75];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_12, // SelbsthVerhaltOrt
            PRM_3143  // Verh. Lokaler Halt
            IF (((PRM_3134 == 1) && (PRM_3135 == 1))) {PRM_3136} // Verh. Freigabe ORT (using RULE_202)
            IF (((PRM_3691 == 1) && (PRM_3692 == 1))) {PRM_3693} // ForcedRmtCtrl_Mode (using RULE_373)
            IF (((PRM_3691 == 1) && (PRM_3692 == 1))) {PRM_3694} // ForcedRmtCtrl_ImplFBus (using RULE_373)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_15_S "Interface"
// 
MENU menu_DIS_15_S // Interface
{
    LABEL		[TXT_DIS_15];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_519} // SelbsthVerhaltFern1 (using RULE_19)
            IF (PRM_2415 == 1) {PRM_533} // SelbsthVerhaltFern2 (using RULE_20)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_16_S "Profibus"
// 
MENU menu_DIS_16_S // Profibus
{
    LABEL		[TXT_DIS_16];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PRM_1321} // Profibus_Adresse_1 (using RULE_21)
            IF (((PRM_3059 == 1) && !(PRM_2885 == 1))) {PRM_1322} // Profibus_Adresse_2 (using RULE_302)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_145_S "Stellungsregler"
// 
MENU menu_DIS_145_S // Stellungsregler
{
    LABEL		[TXT_DIS_145];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84} // StellungreglerMode (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_87} // StelReglExtTotzone (using RULE_167)
            IF (PRM_1169 == 1) {PRM_86} // StelReglTotzeit (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_212} // StelReglInnTotzAuf (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_213} // StelReglInnTotzZu (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2916} // StelReglHysAuf (using RULE_169)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2917} // StelReglHysZu (using RULE_169)
            IF (PRM_1169 == 1) {PRM_215} // SollwertToleranzZu (using RULE_14)
            IF (PRM_1169 == 1) {PRM_214} // SollwertToleranzAuf (using RULE_14)
            IF (PRM_1169 == 1) {PRM_1179} // Zulässige Anläufe/h (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_378_S "Sicherheitsverhalten"
// 
MENU menu_DIS_378_S // Sicherheitsverhalten
{
    LABEL		[TXT_DIS_378];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1869, // AuslösungFailsafe
            PRM_1870, // VerhaltenFailsafe
            PRM_1871, // AuslösequellFailsafe
            PRM_1874 (HIDDEN), uiPRM_1874, // VerzögerungFailsafe
            PRM_1872  // PositionFailsafe
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_198_S "NOT-Funktion"
// 
MENU menu_DIS_198_S // NOT-Funktion
{
    LABEL		[TXT_DIS_198];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2923 != 0) {PRM_68} // Auslösung NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_67} // Betriebsart NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_2924} // Auslösequelle NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_230} // Verhalten NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_231} // Position NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_70} // Bypass Drehmo NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_69} // Bypass Thermo NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_71} // Bypass Takt NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_2950} // Bypass Fahrprofil NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_3255} // IgnoreNotfahrtIntlck (using RULE_12)
            IF (PRM_2923 != 0) {PRM_3295} // Bypass Lokaler Halt (using RULE_12)
            IF (PRM_2923 != 0) {PRM_4015 (HIDDEN), uiPRM_4015} // DelayTime_DlyESD (using RULE_12)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_142_S "Taktgeber"
// 
MENU menu_DIS_142_S // Taktgeber
{
    LABEL		[TXT_DIS_142];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1177 == 1) {PRM_590} // TaktbetriebZuMode (using RULE_16)
            IF (PRM_1177 == 1) {PRM_592 (HIDDEN), uiPRM_592} // TaktfahrzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_591 (HIDDEN), uiPRM_591} // TaktpausenzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_594} // TaktstreckeZuStart (using RULE_16)
            IF (PRM_1177 == 1) {PRM_593} // TaktstreckeZuEnde (using RULE_16)
            IF (PRM_1176 == 1) {PRM_13} // TaktbetriebAufMode (using RULE_17)
            IF (PRM_1176 == 1) {PRM_7 (HIDDEN), uiPRM_7} // TaktfahrzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_8 (HIDDEN), uiPRM_8} // TaktpausenzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_5} // TaktstreckeAufStart (using RULE_17)
            IF (PRM_1176 == 1) {PRM_6} // TaktstreckeAufEnde (using RULE_17)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_143_S "Stützpunkte"
// 
MENU menu_DIS_143_S // Stützpunkte
{
    LABEL		[TXT_DIS_143];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_160_S  // Positionen
            IF (PRM_1931 == 1) {menu_DIS_257_S} // Fahrverhalten (using RULE_18)
            menu_DIS_266_S  // Meldeverhalten
            IF (PRM_1931 == 1) {menu_DIS_268_S} // Pausenzeit (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_160_S "Positionen"
// 
MENU menu_DIS_160_S // Positionen
{
    LABEL		[TXT_DIS_160];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_20, // Stütz1_Position
            PRM_466, // Stütz2_Position
            PRM_470, // Stütz3_Position
            PRM_474, // Stütz4_Position
            PRM_478, // Stütz5_Position
            PRM_482, // Stütz6_Position
            PRM_486, // Stütz7_Position
            PRM_490  // Stütz8_Position
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_257_S "Fahrverhalten"
// 
MENU menu_DIS_257_S // Fahrverhalten
{
    LABEL		[TXT_DIS_257];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1931 == 1) {PRM_29} // Stütz1_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_467} // Stütz2_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_471} // Stütz3_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_475} // Stütz4_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_479} // Stütz5_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_483} // Stütz6_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_487} // Stütz7_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_491} // Stütz8_Fahrverhalten (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_266_S "Meldeverhalten"
// 
MENU menu_DIS_266_S // Meldeverhalten
{
    LABEL		[TXT_DIS_266];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_28, // Stütz1_Meldeverhaltn
            PRM_468, // Stütz2_Meldeverhaltn
            PRM_472, // Stütz3_Meldeverhaltn
            PRM_476, // Stütz4_Meldeverhaltn
            PRM_480, // Stütz5_Meldeverhaltn
            PRM_484, // Stütz6_Meldeverhaltn
            PRM_488, // Stütz7_Meldeverhaltn
            PRM_492  // Stütz8_Meldeverhaltn
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_268_S "Pausenzeit"
// 
MENU menu_DIS_268_S // Pausenzeit
{
    LABEL		[TXT_DIS_268];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1931 == 1) {PRM_1887 (HIDDEN), uiPRM_1887} // Stütz1_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1888 (HIDDEN), uiPRM_1888} // Stütz2_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1889 (HIDDEN), uiPRM_1889} // Stütz3_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1890 (HIDDEN), uiPRM_1890} // Stütz4_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1891 (HIDDEN), uiPRM_1891} // Stütz5_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1892 (HIDDEN), uiPRM_1892} // Stütz6_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1893 (HIDDEN), uiPRM_1893} // Stütz7_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1894 (HIDDEN), uiPRM_1894} // Stütz8_Pausenzeit (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_355_S "ED-Überwachung"
// 
MENU menu_DIS_355_S // ED-Überwachung
{
    LABEL		[TXT_DIS_355];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2121, // ED-Enable
            PRM_2122, // Max Laufzeit pro Std
            PRM_2123  // Max Anläufe pro Std
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_676_S "Bewegungserkennung"
// 
MENU menu_DIS_676_S // Bewegungserkennung
{
    LABEL		[TXT_DIS_676];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2554  // Mode_MotionDetector
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2555 (HIDDEN), uiPRM_2555} // Dt_MotionDetector (using RULE_239)
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2556} // Dx_MotionDetector (using RULE_239)
            IF (PRM_2755 == 4) {PRM_3187 (HIDDEN), uiPRM_3187} // Dt_MotionDetectMwg (using RULE_238)
            IF (PRM_2755 == 4) {PRM_3188} // Dx_MotionDetectMwg (using RULE_238)
            PRM_3629  // HwMonoflop: SetTime_ms
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_568_S "Stellzeitüberwachung"
// 
MENU menu_DIS_568_S // Stellzeitüberwachung
{
    LABEL		[TXT_DIS_568];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2546, // ApplMode_OpTimeMon
            PRM_2547 (HIDDEN), uiPRM_2547  // ApplOpTime_OpTimeMon
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_632_S "Reaktionsüberwachung"
// 
MENU menu_DIS_632_S // Reaktionsüberwachung
{
    LABEL		[TXT_DIS_632];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3156 == 0) {PRM_3157} // Betriebsart Standard (using RULE_301)
            IF (PRM_3156 == 0) {PRM_3158} // Reakt.Reaktionszeit (using RULE_301)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_664_S "Interlock"
// 
MENU menu_DIS_664_S // Interlock
{
    LABEL		[TXT_DIS_664];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3217 == 1) {PRM_3218} // Betriebsart Interlock (using RULE_205)
            IF (PRM_3217 == 1) {PRM_3219} // Verhalten Interlock (using RULE_205)
            IF (PRM_3217 == 1) {PRM_3255} // IgnoreNotfahrtIntlck (using RULE_205)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_53_S "Gerätekonfiguration"
// 
MENU menu_DIS_53_S // Gerätekonfiguration
{
    LABEL		[TXT_DIS_53];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_159_S  // Ortssteuerstelle
            IF (PRM_45 == 1) {menu_DIS_139_S} // Interface (using RULE_19)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {menu_DIS_600_S} // Profibus (using RULE_173)
            IF (PRM_3495 == 1) {menu_DIS_708_S} // LWL-Modul (using RULE_307)
            menu_DIS_168_S, // Antrieb
            menu_DIS_170_S, // Phasenüberwachung (implicit RULE_90)
            menu_DIS_380_S, // Serviceschnittstelle
            menu_DIS_178_S  // Anwendungsfunktionen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_159_S "Ortssteuerstelle"
// 
MENU menu_DIS_159_S // Ortssteuerstelle
{
    LABEL		[TXT_DIS_159];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_160, // Fkt Meldeleuchte 1
            PRM_557, // Fkt Meldeleuchte 2
            PRM_561, // Fkt Meldeleuchte 3
            PRM_565, // Fkt Meldeleuchte 4
            PRM_569, // Fkt Meldeleuchte 5
            PRM_1175  // Blinker USA/Europa
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_139_S "Interface"
// 
MENU menu_DIS_139_S // Interface
{
    LABEL		[TXT_DIS_139];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {menu_DIS_116_S} // Eingänge binär (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {menu_DIS_389_S} // Eingänge analog (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {menu_DIS_110_S} // Ausgänge binär (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {menu_DIS_335_S} // Ausgänge analog (using RULE_35)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_116_S "Eingänge binär"
// 
MENU menu_DIS_116_S // Eingänge binär
{
    LABEL		[TXT_DIS_116];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_873} // Funktion_DigIn1 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_932} // Funktion_DigIn2 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_926} // Funktion_DigIn3 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_920} // Funktion_DigIn4 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_914} // Funktion_DigIn5 (using RULE_32)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_908} // Funktion_DigIn6 (using RULE_32)
            IF (PRM_2415 == 1) {PRM_902} // Funktion_DigIn7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_896} // Funktion_DigIn8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_890} // Funktion_DigIn9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_884} // Funktion_DigIn10 (using RULE_20)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_878} // InvertDigIn1 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_933} // InvertDigIn2 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_927} // InvertDigIn3 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_921} // InvertDigIn4 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_915} // InvertDigIn5 (using RULE_32)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_909} // InvertDigIn6 (using RULE_32)
            IF (PRM_2415 == 1) {PRM_903} // InvertDigIn7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_897} // InvertDigIn8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_891} // InvertDigIn9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_885} // InvertDigIn10 (using RULE_20)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_389_S "Eingänge analog"
// 
MENU menu_DIS_389_S // Eingänge analog
{
    LABEL		[TXT_DIS_389];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1133} // LowerLimit_AnaIn1 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1130} // UpperLimit_AnaIn1 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1129} // Funktion_AnaIn1 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1141} // LowerLimit_AnaIn2 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1140} // UpperLimit_AnaIn2 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1137} // Funktion_AnaIn2 (using RULE_34)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_110_S "Ausgänge binär"
// 
MENU menu_DIS_110_S // Ausgänge binär
{
    LABEL		[TXT_DIS_110];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1012} // Funktion_DigOut1 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1102} // Funktion_DigOut2 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1097} // Funktion_DigOut3 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1092} // Funktion_DigOut4 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1087} // Funktion_DigOut5 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1082} // Funktion_DigOut6 (using RULE_33)
            IF (PRM_2415 == 1) {PRM_1077} // Funktion_DigOut7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1072} // Funktion_DigOut8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1107} // Funktion_DigOut9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1122} // Funktion_DigOut10 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1117} // Funktion_DigOut11 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1112} // Funktion_DigOut12 (using RULE_20)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1013} // InvertDigOut1 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1103} // InvertDigOut2 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1098} // InvertDigOut3 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1093} // InvertDigOut4 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1088} // InvertDigOut5 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1083} // InvertDigOut6 (using RULE_33)
            IF (PRM_2415 == 1) {PRM_1078} // InvertDigOut7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1073} // InvertDigOut8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1108} // InvertDigOut9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1123} // InvertDigOut10 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1118} // InvertDigOut11 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1113} // InvertDigOut12 (using RULE_20)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_335_S "Ausgänge analog"
// 
MENU menu_DIS_335_S // Ausgänge analog
{
    LABEL		[TXT_DIS_335];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1254} // Funktion AnPwmOut1 (using RULE_35)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1255} // Bereich_AnPwmOut1 (using RULE_35)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1262} // Funktion AnPwmOut2 (using RULE_35)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1263} // Bereich_AnPwmOut2 (using RULE_35)
 
 
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_600_S "Profibus"
// 
MENU menu_DIS_600_S // Profibus
{
    LABEL		[TXT_DIS_600];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_2885} // Redundanz-Mode (using RULE_173)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_3527} // Sende-Mode (using RULE_173)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_708_S "LWL-Modul"
// 
MENU menu_DIS_708_S // LWL-Modul
{
    LABEL		[TXT_DIS_708];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3495 == 1) {PRM_3482} // Lwl Überwachung (using RULE_307)
            IF (PRM_3495 == 1) {PRM_3481} // Lwl Bus-Topologie (using RULE_307)
            IF (PRM_3495 == 1) {PRM_3496} // Lwl-Baudrate (using RULE_307)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_168_S "Antrieb"
// 
MENU menu_DIS_168_S // Antrieb
{
    LABEL		[TXT_DIS_168];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_208, // MODE_Thermofehler
            PRM_79  // Drehsinn Schließen
            IF (((PRM_1752 == 1))) {menu_DIS_175_S} // MWG (using RULE_62)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_175_S "MWG"
// 
MENU menu_DIS_175_S // MWG
{
    LABEL		[TXT_DIS_175];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_1752 == 1))) {PRM_2088} // NennmomentZuNm (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1969} // NennmomentAufNm (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1707} // Winkel min Close (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1711} // Torque min Close (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1705} // Winkel max Close (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1709} // Torque max Close (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1708} // Winkel min Open (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1712} // Torque min Open (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1706} // Winkel max Open (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1710} // Torque max Open (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1715} // KorrekturKennlnClose (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1716} // KorrekturKennlnOpen (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1741} // MWG TrqSwOpenHyster (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1713} // Torque Totzone (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_1725} // MWG LimitSwitchHyst (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_2180} // UsrTripTorqueMinClos (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_2181} // UsrTripTorqueMaxClos (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_2178} // UsrTripTorqueMinOpen (using RULE_62)
            IF (((PRM_1752 == 1))) {PRM_2179} // UsrTripTorqueMaxOpen (using RULE_62)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_170_S "Phasenüberwachung"
// 
MENU menu_DIS_170_S // Phasenüberwachung
{
    LABEL		[TXT_DIS_170];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1168, // AutoPhaseKorrektur (implicit RULE_90)
            PRM_209  // PhaseDelaytime (implicit RULE_90)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_380_S "Serviceschnittstelle"
// 
MENU menu_DIS_380_S // Serviceschnittstelle
{
    LABEL		[TXT_DIS_380];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165, // Geräte-TAG
            PRM_2175  // ServicemotionOrtClnt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_178_S "Anwendungsfunktionen"
// 
MENU menu_DIS_178_S // Anwendungsfunktionen
{
    LABEL		[TXT_DIS_178];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_212_S  // Aktivierung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_212_S "Aktivierung"
// 
MENU menu_DIS_212_S // Aktivierung
{
    LABEL		[TXT_DIS_212];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2923, // Aktivierung NOT
            PRM_1177, // TaktZuAktiv
            PRM_1176  // TaktAufAktiv
            IF (PRM_1178 == 1) {PRM_1169} // AktivierngStelRegler (using RULE_13)
            IF (PRM_1178 == 1) {PRM_1931} // Fahrprofil Aktivierung (using RULE_13)
            PRM_2591  // BT-Aktivierung
            IF (PRM_3134 == 1) {PRM_3135} // Aktiv. Freigabe ORT (using RULE_200)
            IF (PRM_3691 == 1) {PRM_3692} // ForcedRmtCtrl_Activate (using RULE_372)
            IF (PRM_3770 == 1) {PRM_3771} // AutoChangeOver Aktiv (using RULE_379)
            IF (PRM_3216 == 1) {PRM_3217} // Aktivierung Interlock  (using RULE_204)
            IF (PRM_3970 == 1) {PRM_3971} // DrehmoWarn Aktiv (using RULE_397)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_592_S "Gerätestatus"
// 
MENU menu_DIS_592_S // Gerätestatus
{
    LABEL		[TXT_DIS_592];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_612_S, // Allgemein
            menu_DIS_540_S, // Auma-Meldungen
            menu_DIS_533_S  // Namur-Meldungen
            IF (PRM_1169 == 1) {menu_DIS_613_S} // Stellungsregler (using RULE_14)
            IF (PRM_2121 == 1) {menu_DIS_593_S} // ED Überwachung (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_612_S "Allgemein"
// 
MENU menu_DIS_612_S // Allgemein
{
    LABEL		[TXT_DIS_612];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_268 (READ_ONLY), // BypassedDoeFehler
            PZD_269 (READ_ONLY), // BypassedDsFehler
            PZD_2 (READ_ONLY), // Istwert E2
            PZD_545 (READ_ONLY), // Drehmoment Istwert
            PZD_120 (READ_ONLY), // Betriebsmodus
            menu_PZD_144_S (READ_ONLY), // Fahrbefehl
            PZD_264 (READ_ONLY), // AntriebFaehrtAUF
            PZD_265 (READ_ONLY), // AntriebFaehrtZU
            PZD_401 (READ_ONLY), // Position erreicht
            PZD_375 (READ_ONLY), // WOE_Konditioniert
            PZD_376 (READ_ONLY), // WS_Konditioniert
            PZD_459 (READ_ONLY), // DOE_Signal
            PZD_460 (READ_ONLY)  // DS_Signal
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_144_S "Fahrbefehl"
// 
MENU menu_PZD_144_S // Fahrbefehl
{
    LABEL		[TXT_PZD_144];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_144 (HIDDEN), PZD_144_cmd (READ_ONLY), // Logik: Fahrbefehl (cmd)
            PZD_144_dir (READ_ONLY), // Logik: Fahrbefehl (direction)
            PZD_144_speed (READ_ONLY), // Logik: Fahrbefehl (speed)
            PZD_144_position (READ_ONLY)  // Logik: Fahrbefehl (position)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_613_S "Stellungsregler"
// 
MENU menu_DIS_613_S // Stellungsregler
{
    LABEL		[TXT_DIS_613];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84} // StellungreglerMode (using RULE_14)
            IF (PRM_1169 == 1) {PZD_7 (READ_ONLY)} // Fern1SollwertE1 (using RULE_14)
            IF (PRM_1169 == 1) {PZD_709 (READ_ONLY)} // Istwert E2(synchron) (using RULE_14)
            IF (PRM_1169 == 1) {PZD_659 (READ_ONLY)} // XTActual (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_593_S "ED Überwachung"
// 
MENU menu_DIS_593_S // ED Überwachung
{
    LABEL		[TXT_DIS_593];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2121 == 1) {PZD_488 (READ_ONLY)} // ED Time (using RULE_155)
            IF (PRM_2121 == 1) {PZD_489 (READ_ONLY)} // ED Starts (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_22_S "Diagnose"
// 
MENU menu_DIS_22_S // Diagnose
{
    LABEL		[TXT_DIS_22];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_244_S  // Bluetooth
            IF (PRM_181 == 1) {menu_DIS_240_S} // Profibus Kanal 1 (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {menu_DIS_549_S} // Profibus Kanal 2 (using RULE_105)
            IF (PRM_181 == 1) {menu_DIS_602_S} // Profibus Details (using RULE_21)
            IF (PRM_3495 == 1) {menu_DIS_638_S} // LWL (using RULE_307)
            menu_DIS_177_S, // Betriebsdaten
            menu_DIS_524_S  // Gerätetemperaturen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_244_S "Bluetooth"
// 
MENU menu_DIS_244_S // Bluetooth
{
    LABEL		[TXT_DIS_244];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2591 == 1) {PRM_1165} // Geräte-TAG (using RULE_149)
            IF (PRM_2591 == 1) {PRM_2188} // Lokale BDA (using RULE_149)
            IF (PRM_2591 == 1) {PRM_2604} // BDA Gegenstelle (using RULE_149)
            IF (PRM_2591 == 0) {PRM_2591} // BT-Aktivierung (using RULE_94)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_240_S "Profibus Kanal 1"
// 
MENU menu_DIS_240_S // Profibus Kanal 1
{
    LABEL		[TXT_DIS_240];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PRM_1321} // Profibus_Adresse_1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_578 (READ_ONLY)} // Pb Baudrate K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_576 (READ_ONLY)} // Pb WD-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_577 (READ_ONLY)} // Pb DP-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_580 (READ_ONLY)} // Pb GC Clear K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_579 (READ_ONLY)} // Pb 0 Tele K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_581 (READ_ONLY)} // Pb GC Freeze K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_582 (READ_ONLY)} // Pb GC Sync K1 (using RULE_21)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_549_S "Profibus Kanal 2"
// 
MENU menu_DIS_549_S // Profibus Kanal 2
{
    LABEL		[TXT_DIS_549];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PRM_1322} // Profibus_Adresse_2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_585 (READ_ONLY)} // Pb Baudrate K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_583 (READ_ONLY)} // Pb WD-Status K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_584 (READ_ONLY)} // Pb DP-Status K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_587 (READ_ONLY)} // Pb GC Clear K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_586 (READ_ONLY)} // Pb 0 Tele K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_588 (READ_ONLY)} // Pb GC Freeze K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_589 (READ_ONLY)} // Pb GC Sync K2 (using RULE_105)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_602_S "Profibus Details"
// 
MENU menu_DIS_602_S // Profibus Details
{
    LABEL		[TXT_DIS_602];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PZD_737 (READ_ONLY)} // DPV1_Control (using RULE_21)
            IF (PRM_181 == 1) {PZD_738 (READ_ONLY)} // DP-V1 C2-Verbindung  (using RULE_21)
            IF (PRM_181 == 1) {PZD_604 (READ_ONLY)} // Fahrbef.Kanal1 aktiv (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_605 (READ_ONLY)} // Fahrbef.Kanal2 aktiv (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_741 (READ_ONLY)} // Primary Channel (PNO) (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_742 (READ_ONLY)} // Secondary Channel (PNO) (using RULE_105)
            IF (PRM_181 == 1) {PRM_3006} // Profibus Ident Nr (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_2885} // Redundanz-Mode (using RULE_173)
            IF (PRM_181 == 1) {PZD_744 (READ_ONLY)} // DP-V1 Enable (SetPrm) (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_746 (READ_ONLY)} // DP-ALARM (SetPrm) (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_745 (READ_ONLY)} // DP-RED (SetPrm) (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_3527} // Sende-Mode (using RULE_173)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_638_S "LWL"
// 
MENU menu_DIS_638_S // LWL
{
    LABEL		[TXT_DIS_638];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3495 == 1) {PZD_794 (READ_ONLY)} // Lwl_Signal_Kanal-1 (using RULE_307)
            IF (PRM_3495 == 1) {PZD_795 (READ_ONLY)} // Lwl_Signal_Kanal-2 (using RULE_307)
            IF (PRM_3495 == 1) {PZD_833 (READ_ONLY)} // Lwl_RS485_Formatfehl (using RULE_307)
            IF (PRM_3495 == 1) {PZD_797 (READ_ONLY)} // LwlBaudrate (using RULE_307)
            IF (PRM_3495 == 1) {PRM_3479} // Version Lwl-FPGA (using RULE_307)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_177_S "Betriebsdaten"
// 
MENU menu_DIS_177_S // Betriebsdaten
{
    LABEL		[TXT_DIS_177];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_183_S, // Betriebsdaten Gesamt
            menu_DIS_188_S  // Betriebsdaten Kunde
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_183_S "Betriebsdaten Gesamt"
// 
MENU menu_DIS_183_S // Betriebsdaten Gesamt
{
    LABEL		[TXT_DIS_183];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_495, // Laufzeit
            PRM_496, // Anläufe
            PRM_503, // Thermofehler
            PRM_501, // Drehmofehler ZU
            PRM_502, // Drehmofehler AUF
            PRM_498, // Wegabschaltungen ZU
            PRM_500, // Wegabschaltungen AUF
            PRM_497, // Drehmoabschaltungen ZU
            PRM_499, // Drehmoabschaltungen AUF
            PRM_505, // ErrorsEDTime
            PRM_506, // ErrorsEDMax
            PRM_507  // Resets
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_188_S "Betriebsdaten Kunde"
// 
MENU menu_DIS_188_S // Betriebsdaten Kunde
{
    LABEL		[TXT_DIS_188];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_163, // Laufzeit
            PRM_164, // Anläufe
            PRM_170, // Thermofehler
            PRM_175, // Drehmofehler ZU
            PRM_171, // Drehmofehler AUF
            PRM_172, // Wegabschaltungen ZU
            PRM_174, // Wegabschaltungen AUF
            PRM_166, // Drehmoabschaltung en ZU
            PRM_173, // Drehmoabschaltungen AUF
            PRM_168, // ErrorsEDTime
            PRM_167, // ErrorsEDMax
            PRM_165, // Anzahl Resets
            coPRM_3484 (HIDDEN)  // Betriebsd. zurücksetzen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_524_S "Gerätetemperaturen"
// 
MENU menu_DIS_524_S // Gerätetemperaturen
{
    LABEL		[TXT_DIS_524];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_4 (READ_ONLY)  // T_Steuerung
            IF (PRM_1752 == 1) {PZD_109 (READ_ONLY)} // T_Steuereinheit (using RULE_11)
            IF (((PRM_1752 == 1) && (PRM_2308 != 0))) {PZD_5 (READ_ONLY)} // T_Motor (using RULE_78)
            IF (((PRM_1752 == 1) && (PRM_2308 != 0))) {PZD_6 (READ_ONLY)} // T_Getriebe (using RULE_78)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_540_S "Auma-Meldungen"
// 
MENU menu_DIS_540_S // Auma-Meldungen
{
    LABEL		[TXT_DIS_540];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_S} // Warnungen (using RulePZD_78)
            IF (PZD_80 != 0) {menu_DIS_542_S} // nicht bereit FERN (using RulePZD_80)
            IF (PZD_79 != 0) {menu_DIS_543_S} // Fehler (using RulePZD_79)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_541_S "Sammel-Meldung2: Warnung"
// 
MENU menu_DIS_541_S // Sammel-Meldung2: Warnung
{
    LABEL		[TXT_DIS_541];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_82 != 0) {menu_PZD_82_S (READ_ONLY)} // Sammel-Meldung6: Konfigurationswarnung (using RulePZD_82)
            IF (PZD_91 != 0) {menu_PZD_91_S (READ_ONLY)} // Sammel-Meldung 15: Interne Warnung (using RulePZD_91)
            IF (PZD_93 != 0) {menu_PZD_93_S (READ_ONLY)} // Sammel-Meldung 17: Warnung Hydraulik (using RulePZD_93)
            IF (PZD_461 != 0) {PZD_461 (READ_ONLY)} // FailSafe ist aktiv (using RulePZD_461)
            IF (PZD_834 != 0) {PZD_834 (READ_ONLY)} // MWG: Drehmomentwarnung AUF	 (using RulePZD_834)
            IF (PZD_835 != 0) {PZD_835 (READ_ONLY)} // MWG: Drehmomentwarnung ZU (using RulePZD_835)
            IF (PZD_486 != 0) {PZD_486 (READ_ONLY)} // Lcb: ED Warnung 1: (Laufzeit) (using RulePZD_486)
            IF (PZD_487 != 0) {PZD_487 (READ_ONLY)} // Lcb: ED Warnung 2 (Anläufe) (using RulePZD_487)
            IF (PZD_556 != 0) {PZD_556 (READ_ONLY)} // Stellzeitwarnung (using RulePZD_556)
            IF (PZD_563 != 0) {PZD_563 (READ_ONLY)} // Keine Reaktion: Warnung (using RulePZD_563)
            IF (PZD_485 != 0) {PZD_485 (READ_ONLY)} // Logik: 24VExt Error (using RulePZD_485)
            IF (PZD_490 != 0) {PZD_490 (READ_ONLY)} // Lcb: RTC nicht gesetzt (using RulePZD_490)
            IF (PZD_629 != 0) {PZD_629 (READ_ONLY)} // Warnung Temperatur Steuerung (using RulePZD_629)
            IF (PZD_630 != 0) {PZD_630 (READ_ONLY)} // Warnung Temperatur Motor (using RulePZD_630)
            IF (PZD_631 != 0) {PZD_631 (READ_ONLY)} // Warnung Temperatur Getriebe (using RulePZD_631)
            IF (PZD_625 != 0) {PZD_625 (READ_ONLY)} // Warnung LWL (Meldung von Modul)) (using RulePZD_625)
            IF (PZD_810 != 0) {PZD_810 (READ_ONLY)} // Warnung LWL nicht vorhanden (using RulePZD_810)
            IF (PZD_813 != 0) {PZD_813 (READ_ONLY)} // Warnung LWL Budget (using RulePZD_813)
            IF (PZD_633 != 0) {PZD_633 (READ_ONLY)} // Warnung AnalogIn 1 E8 (using RulePZD_633)
            IF (PZD_634 != 0) {PZD_634 (READ_ONLY)} // Warnung AnalogIn 2 E9 (using RulePZD_634)
            IF (PZD_637 != 0) {PZD_637 (READ_ONLY)} // Warnung Sollposition E1 (using RulePZD_637)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_82_S "Sammel-Meldung6: Konfigurationswarnung"
// 
MENU menu_PZD_82_S // Sammel-Meldung6: Konfigurationswarnung
{
    LABEL		[TXT_PZD_82];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_666 != 0) {PZD_666 (READ_ONLY)} // Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert (using RulePZD_666)
            IF (PZD_758 != 0) {PZD_758 (READ_ONLY)} // PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration (using RulePZD_758)
            IF (PZD_759 != 0) {PZD_759 (READ_ONLY)} // PRM-Konsistenz: Feldbuskonfiguration (using RulePZD_759)
            IF (PZD_760 != 0) {PZD_760 (READ_ONLY)} // PRM-Konsistenz: MWG-Drehmokonfiguration ZU (using RulePZD_760)
            IF (PZD_761 != 0) {PZD_761 (READ_ONLY)} // PRM-Konsistenz: MWG-Drehmokonfiguration AUF (using RulePZD_761)
            IF (PZD_762 != 0) {PZD_762 (READ_ONLY)} // PRM-Konsistenz: DigIn1-Konfiguration (using RulePZD_762)
            IF (PZD_763 != 0) {PZD_763 (READ_ONLY)} // PRM-Konsistenz: DigIn2-Konfiguration (using RulePZD_763)
            IF (PZD_764 != 0) {PZD_764 (READ_ONLY)} // PRM-Konsistenz: DigIn3-Konfiguration (using RulePZD_764)
            IF (PZD_765 != 0) {PZD_765 (READ_ONLY)} // PRM-Konsistenz: DigIn4-Konfiguration (using RulePZD_765)
            IF (PZD_766 != 0) {PZD_766 (READ_ONLY)} // PRM-Konsistenz: DigIn5-Konfiguration (using RulePZD_766)
            IF (PZD_767 != 0) {PZD_767 (READ_ONLY)} // PRM-Konsistenz: DigIn6-Konfiguration (using RulePZD_767)
            IF (PZD_768 != 0) {PZD_768 (READ_ONLY)} // PRM-Konsistenz: DigIn7-Konfiguration (using RulePZD_768)
            IF (PZD_769 != 0) {PZD_769 (READ_ONLY)} // PRM-Konsistenz: DigIn8-Konfiguration (using RulePZD_769)
            IF (PZD_770 != 0) {PZD_770 (READ_ONLY)} // PRM-Konsistenz: DigIn9-Konfiguration (using RulePZD_770)
            IF (PZD_771 != 0) {PZD_771 (READ_ONLY)} // PRM-Konsistenz: DigIn10-Konfiguration (using RulePZD_771)
            IF (PZD_808 != 0) {PZD_808 (READ_ONLY)} // PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion (using RulePZD_808)
            IF (PZD_828 != 0) {PZD_828 (READ_ONLY)} // PRM-Konsistenz: Konfiguration der Profilfahrt (using RulePZD_828)
            IF (PZD_832 != 0) {PZD_832 (READ_ONLY)} // PRM-Konsistenz: LWL-Konfiguration (using RulePZD_832)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_91_S "Sammel-Meldung 15: Interne Warnung"
// 
MENU menu_PZD_91_S // Sammel-Meldung 15: Interne Warnung
{
    LABEL		[TXT_PZD_91];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_483 != 0) {PZD_483 (READ_ONLY)} // Logik: 24VKD Error (using RulePZD_483)
            IF (PZD_484 != 0) {PZD_484 (READ_ONLY)} // Logik: 24VInt Error (using RulePZD_484)
            IF (PZD_619 != 0) {PZD_619 (READ_ONLY)} // Warnung Heizung SA Defekt (using RulePZD_619)
            IF (PZD_621 != 0) {PZD_621 (READ_ONLY)} // Warnung keine Referenzfahrrt E2 (using RulePZD_621)
            IF (PZD_623 != 0) {PZD_623 (READ_ONLY)} // Warnung Signalbruch E2 (using RulePZD_623)
            IF (PZD_622 != 0) {PZD_622 (READ_ONLY)} // Warnung geringer Signalhub E2 (using RulePZD_622)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_93_S "Sammel-Meldung 17: Warnung Hydraulik"
// 
MENU menu_PZD_93_S // Sammel-Meldung 17: Warnung Hydraulik
{
    LABEL		[TXT_PZD_93];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_790 != 0) {PZD_790 (READ_ONLY)} // Meldung: Hydraulikdruck (Hydr.-Antrieb) (using RulePZD_790)
            IF (PZD_791 != 0) {PZD_791 (READ_ONLY)} // Meldung: Laufzeit Motor (Hydr.-Antrieb) (using RulePZD_791)
            IF (PZD_798 != 0) {PZD_798 (READ_ONLY)} // PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration (using RulePZD_798)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_542_S "Sammel-Meldung4: nicht bereit Fern"
// 
MENU menu_DIS_542_S // Sammel-Meldung4: nicht bereit Fern
{
    LABEL		[TXT_DIS_542];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_89 != 0) {menu_PZD_89_S (READ_ONLY)} // Sammel-Meldung 13: Falscher Befehl (using RulePZD_89)
            IF (PZD_757 != 0) {PZD_757 (READ_ONLY)} // InterlockActive (using RulePZD_757)
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handbetrieb aktiviert (using RulePZD_553)
            IF (PZD_844 != 0) {PZD_844 (READ_ONLY)} // Wahlschalter nicht Fern, maskiert (using RulePZD_844)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
            IF (PZD_281 != 0) {PZD_281 (READ_ONLY)} // Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen (using RulePZD_281)
            IF (PZD_280 != 0) {PZD_280 (READ_ONLY)} // Logik: Betriebsmodus EMCY_OP (using RulePZD_280)
            IF (PZD_606 != 0) {PZD_606 (READ_ONLY)} // Feldbus Fail Safe aktiv (using RulePZD_606)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_89_S "Sammel-Meldung 13: Falscher Befehl"
// 
MENU menu_PZD_89_S // Sammel-Meldung 13: Falscher Befehl
{
    LABEL		[TXT_PZD_89];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_371 != 0) {PZD_371 (READ_ONLY)} // Logik: ungültiger Fahrbefehl (using RulePZD_371)
            IF (PZD_555 != 0) {PZD_555 (READ_ONLY)} // Falscher Befehl Interface I (using RulePZD_555)
            IF (PZD_688 != 0) {PZD_688 (READ_ONLY)} // Falscher Befehl Feldbus (using RulePZD_688)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_543_S "Sammel-Meldung3: Fehler"
// 
MENU menu_DIS_543_S // Sammel-Meldung3: Fehler
{
    LABEL		[TXT_DIS_543];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_87 != 0) {menu_PZD_87_S (READ_ONLY)} // Sammel-Meldung 11: Konfigurationsfehler (using RulePZD_87)
            IF (PZD_90 != 0) {menu_PZD_90_S (READ_ONLY)} // Sammel-Meldung 14: Interne Fehler (using RulePZD_90)
            IF (PZD_268 != 0) {PZD_268 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler AUF (using RulePZD_268)
            IF (PZD_269 != 0) {PZD_269 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler ZU (using RulePZD_269)
            IF (PZD_270 != 0) {PZD_270 (READ_ONLY)} // Logik: Bypassed Thermofehler (using RulePZD_270)
            IF (PZD_718 != 0) {PZD_718 (READ_ONLY)} // Keine Reaktion: Fehler (using RulePZD_718)
            IF (PZD_481 != 0) {PZD_481 (READ_ONLY)} // Logik: PH_DIR_NOK (falsche Phasenfolge) (using RulePZD_481)
            IF (PZD_302 != 0) {PZD_302 (READ_ONLY)} // Logik: Phasenausfall (using RulePZD_302)
            IF (PZD_479 != 0) {PZD_479 (READ_ONLY)} // Logik: Netzqualität (using RulePZD_479)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_87_S "Sammel-Meldung 11: Konfigurationsfehler"
// 
MENU menu_PZD_87_S // Sammel-Meldung 11: Konfigurationsfehler
{
    LABEL		[TXT_PZD_87];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_671 != 0) {PZD_671 (READ_ONLY)} // System: Interner Fehler Konfiguration Stellungsgeber (using RulePZD_671)
            IF (PZD_809 != 0) {PZD_809 (READ_ONLY)} // System: Konfigurationsfehler \"FERN-Interface fehlt\" (using RulePZD_809)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_90_S "Sammel-Meldung 14: Interne Fehler"
// 
MENU menu_PZD_90_S // Sammel-Meldung 14: Interne Fehler
{
    LABEL		[TXT_PZD_90];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_684 != 0) {PZD_684 (READ_ONLY)} // Wahlschalter defekt (using RulePZD_684)
            IF (PZD_664 != 0) {PZD_664 (READ_ONLY)} // Meldung: Ausgang defekt (using RulePZD_664)
            IF (PZD_557 != 0) {PZD_557 (READ_ONLY)} // Motorschutzüberwachung defekt (using RulePZD_557)
            IF (PZD_480 != 0) {PZD_480 (READ_ONLY)} // Logik: HW-Fehler (using RulePZD_480)
            IF (PZD_482 != 0) {PZD_482 (READ_ONLY)} // Logik: 24VAC Error (using RulePZD_482)
            IF (PZD_675 != 0) {PZD_675 (READ_ONLY)} // System: Interner Fehler Lcb-Exception (using RulePZD_675)
            IF (PZD_676 != 0) {PZD_676 (READ_ONLY)} // System: Interner Fehler Logik-Exception (using RulePZD_676)
            IF (PZD_677 != 0) {PZD_677 (READ_ONLY)} // System: Interner Fehler Mwg-Exception (using RulePZD_677)
            IF (PZD_678 != 0) {PZD_678 (READ_ONLY)} // System: Interner Fehler Bus-Exception (using RulePZD_678)
            IF (PZD_679 != 0) {PZD_679 (READ_ONLY)} // Fehler Stellungsgeber (using RulePZD_679)
            IF (PZD_707 != 0) {PZD_707 (READ_ONLY)} // Interner Fehler MWG Messystem defekt (using RulePZD_707)
            IF (PZD_708 != 0) {PZD_708 (READ_ONLY)} // Interner Fehler Endlagen defekt (using RulePZD_708)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_533_S "Namur-Meldungen"
// 
MENU menu_DIS_533_S // Namur-Meldungen
{
    LABEL		[TXT_DIS_533];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_83 != 0) {menu_DIS_534_S} // außerhalb Spez. (using RulePZD_83)
            IF (PZD_84 != 0) {menu_DIS_535_S} // Funktionskontrolle (using RulePZD_84)
            IF (PZD_86 != 0) {menu_DIS_537_S} // Ausfall (using RulePZD_86)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_534_S "Sammel-Meldung7: Namur Out Of Spec"
// 
MENU menu_DIS_534_S // Sammel-Meldung7: Namur Out Of Spec
{
    LABEL		[TXT_DIS_534];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_S (READ_ONLY)} // Sammel-Meldung2: Warnung (using RulePZD_78)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_535_S "Sammel-Meldung8: Namur Funktionskontrolle"
// 
MENU menu_DIS_535_S // Sammel-Meldung8: Namur Funktionskontrolle
{
    LABEL		[TXT_DIS_535];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handbetrieb aktiviert (using RulePZD_553)
            IF (PZD_844 != 0) {PZD_844 (READ_ONLY)} // Wahlschalter nicht Fern, maskiert (using RulePZD_844)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_537_S "Sammel-Meldung10: Namur Ausfall"
// 
MENU menu_DIS_537_S // Sammel-Meldung10: Namur Ausfall
{
    LABEL		[TXT_DIS_537];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_79 != 0) {menu_DIS_543_S (READ_ONLY)} // Sammel-Meldung3: Fehler (using RulePZD_79)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Table Maintenance
// 
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
MENU	Table_Main_Maintenance
{
    LABEL	[TXT_Menu_Configuration];
    ITEMS
    {
            menu_DIS_9_M (READ_ONLY), // Display...
            menu_DIS_21_M (READ_ONLY), // Informationen
            menu_DIS_41_M (READ_ONLY), // Einstellungen
            menu_DIS_53_M (READ_ONLY), // Gerätekonfiguration
            menu_DIS_592_M (READ_ONLY), // Gerätestatus
            menu_DIS_22_M (READ_ONLY)  // Diagnose
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_9_M "Display..."
// 
MENU menu_DIS_9_M // Display...
{
    LABEL		[TXT_DIS_9];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_33 (READ_ONLY), // Sprache
/*            DIS_221 "Datum und Uhrzeit" (Usage: AC01.2 ToolSuite EDD PDA; ReadAccess: 1; RuleSet: ); ### CMD not implemented yet ###*/
            PRM_1996 (READ_ONLY), // Datumsformat
            PRM_1433 (READ_ONLY), // Zeitformat
            PRM_1467 (READ_ONLY), // Zahlenformat
            PRM_2182 (READ_ONLY), // Einheit Drehmoment
            PRM_2006 (READ_ONLY), // Einheit Temperatur
            PRM_2418 (READ_ONLY)  // Diagnoseauswahl
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_21_M "Informationen"
// 
MENU menu_DIS_21_M // Informationen
{
    LABEL		[TXT_DIS_21];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_26_M (READ_ONLY), // Gerätekennung
            menu_DIS_62_M (READ_ONLY)  // Produktion
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_26_M "Gerätekennung"
// 
MENU menu_DIS_26_M // Gerätekennung
{
    LABEL		[TXT_DIS_26];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1164 (READ_ONLY), // Produktbez.
            PRM_1165 (READ_ONLY), // Geräte-TAG
            PRM_1166 (READ_ONLY), // Projektname
            menu_DIS_28_M (READ_ONLY), // Steuerung
            menu_DIS_29_M (READ_ONLY)  // Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_28_M "Steuerung"
// 
MENU menu_DIS_28_M // Steuerung
{
    LABEL		[TXT_DIS_28];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1760 (READ_ONLY), // KommNr Steuerung
            PRM_1762 (READ_ONLY), // WerksNr Steuerung
            PRM_1764 (READ_ONLY), // Schaltplan Steuerung
            PRM_2176 (READ_ONLY)  // Datum der Endabnahme
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_29_M "Antrieb"
// 
MENU menu_DIS_29_M // Antrieb
{
    LABEL		[TXT_DIS_29];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1761 (READ_ONLY), // KommNr Antrieb
            PRM_1763 (READ_ONLY), // WerksNr Antrieb
            PRM_1765 (READ_ONLY)  // Schaltplan Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_62_M "Produktion"
// 
MENU menu_DIS_62_M // Produktion
{
    LABEL		[TXT_DIS_62];
    ACCESS		ONLINE;
    ITEMS
    {
            VersionEddGen (READ_ONLY), // EDD Generator version
            PRM_1759 (READ_ONLY), // Firmware Version
            PRM_2568 (READ_ONLY)  // Version Sprache
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_41_M "Einstellungen"
// 
MENU menu_DIS_41_M // Einstellungen
{
    LABEL		[TXT_DIS_41];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_12_M (READ_ONLY), // Abschaltart
            menu_DIS_13_M (READ_ONLY), // Drehmo-Einstellung
            menu_DIS_75_M (READ_ONLY)  // Ortssteuerstelle
            IF (PRM_45 == 1) {menu_DIS_15_M (READ_ONLY)} // Interface (using RULE_19)
            IF (PRM_181 == 1) {menu_DIS_16_M (READ_ONLY)} // Profibus (using RULE_21)
            IF (PRM_1169 == 1) {menu_DIS_145_M (READ_ONLY)} // Stellungsregler (using RULE_14)
            menu_DIS_378_M (READ_ONLY)  // Sicherheitsverhalten
            IF (PRM_2923 != 0) {menu_DIS_198_M (READ_ONLY)} // NOT-Funktion (using RULE_12)
            IF (((PRM_1177 == 1)) || ((PRM_1176 == 1))) {menu_DIS_142_M (READ_ONLY)} // Taktgeber (using RULE_30)
            menu_DIS_143_M (READ_ONLY), // Stützpunkte
            menu_DIS_355_M (READ_ONLY), // ED-Überwachung
            menu_DIS_676_M (READ_ONLY), // Bewegungserkennung
            menu_DIS_568_M (READ_ONLY)  // Stellzeitüberwachung
            IF (PRM_3156 == 0) {menu_DIS_632_M (READ_ONLY)} // Reaktionsüberwachung (using RULE_301)
            IF (PRM_3217 == 1) {menu_DIS_664_M (READ_ONLY)} // Interlock (using RULE_205)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_12_M "Abschaltart"
// 
MENU menu_DIS_12_M // Abschaltart
{
    LABEL		[TXT_DIS_12];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_578 (READ_ONLY), // Abschaltart ZU
            PRM_9 (READ_ONLY)  // Abschaltart AUF
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_13_M "Drehmo-Einstellung"
// 
MENU menu_DIS_13_M // Drehmo-Einstellung
{
    LABEL		[TXT_DIS_13];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1182 (READ_ONLY), // Anfahrüberbrückung
            PRM_82 (READ_ONLY)  // DrehmoBypassZeit
            IF (PRM_1752 == 1) {PRM_2041 (READ_ONLY)} // PRM_TorqueNmClose (using RULE_11)
            IF (PRM_1752 == 1) {PRM_2036 (READ_ONLY)} // PRM_TorqueNmOpen (using RULE_11)
            IF (PRM_3297 != 0) {PRM_2041 (READ_ONLY)} // PRM_TorqueNmClose (using RULE_295)
            IF (PRM_3297 != 0) {PRM_2036 (READ_ONLY)} // PRM_TorqueNmOpen (using RULE_295)
            IF (PRM_1752 == 1) {PRM_3667 (READ_ONLY)} // THRE_MwgTorqueWarnCl (using RULE_11)
            IF (PRM_1752 == 1) {PRM_3657 (READ_ONLY)} // THRE_MwgTorqueWarnOp (using RULE_11)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_75_M "Ortssteuerstelle"
// 
MENU menu_DIS_75_M // Ortssteuerstelle
{
    LABEL		[TXT_DIS_75];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_12 (READ_ONLY), // SelbsthVerhaltOrt
            PRM_3143 (READ_ONLY)  // Verh. Lokaler Halt
            IF (((PRM_3134 == 1) && (PRM_3135 == 1))) {PRM_3136 (READ_ONLY)} // Verh. Freigabe ORT (using RULE_202)
            IF (((PRM_3691 == 1) && (PRM_3692 == 1))) {PRM_3693 (READ_ONLY)} // ForcedRmtCtrl_Mode (using RULE_373)
            IF (((PRM_3691 == 1) && (PRM_3692 == 1))) {PRM_3694 (READ_ONLY)} // ForcedRmtCtrl_ImplFBus (using RULE_373)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_15_M "Interface"
// 
MENU menu_DIS_15_M // Interface
{
    LABEL		[TXT_DIS_15];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_519 (READ_ONLY)} // SelbsthVerhaltFern1 (using RULE_19)
            IF (PRM_2415 == 1) {PRM_533 (READ_ONLY)} // SelbsthVerhaltFern2 (using RULE_20)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_16_M "Profibus"
// 
MENU menu_DIS_16_M // Profibus
{
    LABEL		[TXT_DIS_16];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PRM_1321 (READ_ONLY)} // Profibus_Adresse_1 (using RULE_21)
            IF (((PRM_3059 == 1) && !(PRM_2885 == 1))) {PRM_1322 (READ_ONLY)} // Profibus_Adresse_2 (using RULE_302)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_145_M "Stellungsregler"
// 
MENU menu_DIS_145_M // Stellungsregler
{
    LABEL		[TXT_DIS_145];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84 (READ_ONLY)} // StellungreglerMode (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_87 (READ_ONLY)} // StelReglExtTotzone (using RULE_167)
            IF (PRM_1169 == 1) {PRM_86 (READ_ONLY)} // StelReglTotzeit (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_212 (READ_ONLY)} // StelReglInnTotzAuf (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_213 (READ_ONLY)} // StelReglInnTotzZu (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2916 (READ_ONLY)} // StelReglHysAuf (using RULE_169)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2917 (READ_ONLY)} // StelReglHysZu (using RULE_169)
            IF (PRM_1169 == 1) {PRM_215 (READ_ONLY)} // SollwertToleranzZu (using RULE_14)
            IF (PRM_1169 == 1) {PRM_214 (READ_ONLY)} // SollwertToleranzAuf (using RULE_14)
            IF (PRM_1169 == 1) {PRM_1179 (READ_ONLY)} // Zulässige Anläufe/h (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_378_M "Sicherheitsverhalten"
// 
MENU menu_DIS_378_M // Sicherheitsverhalten
{
    LABEL		[TXT_DIS_378];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1869 (READ_ONLY), // AuslösungFailsafe
            PRM_1870 (READ_ONLY), // VerhaltenFailsafe
            PRM_1871 (READ_ONLY), // AuslösequellFailsafe
            PRM_1874 (HIDDEN), uiPRM_1874 (READ_ONLY), // VerzögerungFailsafe
            PRM_1872 (READ_ONLY)  // PositionFailsafe
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_198_M "NOT-Funktion"
// 
MENU menu_DIS_198_M // NOT-Funktion
{
    LABEL		[TXT_DIS_198];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2923 != 0) {PRM_68 (READ_ONLY)} // Auslösung NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_67 (READ_ONLY)} // Betriebsart NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_2924 (READ_ONLY)} // Auslösequelle NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_230 (READ_ONLY)} // Verhalten NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_231 (READ_ONLY)} // Position NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_70 (READ_ONLY)} // Bypass Drehmo NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_69 (READ_ONLY)} // Bypass Thermo NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_71 (READ_ONLY)} // Bypass Takt NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_2950 (READ_ONLY)} // Bypass Fahrprofil NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_3255 (READ_ONLY)} // IgnoreNotfahrtIntlck (using RULE_12)
            IF (PRM_2923 != 0) {PRM_3295 (READ_ONLY)} // Bypass Lokaler Halt (using RULE_12)
            IF (PRM_2923 != 0) {PRM_4015 (HIDDEN), uiPRM_4015 (READ_ONLY)} // DelayTime_DlyESD (using RULE_12)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_142_M "Taktgeber"
// 
MENU menu_DIS_142_M // Taktgeber
{
    LABEL		[TXT_DIS_142];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1177 == 1) {PRM_590 (READ_ONLY)} // TaktbetriebZuMode (using RULE_16)
            IF (PRM_1177 == 1) {PRM_592 (HIDDEN), uiPRM_592 (READ_ONLY)} // TaktfahrzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_591 (HIDDEN), uiPRM_591 (READ_ONLY)} // TaktpausenzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_594 (READ_ONLY)} // TaktstreckeZuStart (using RULE_16)
            IF (PRM_1177 == 1) {PRM_593 (READ_ONLY)} // TaktstreckeZuEnde (using RULE_16)
            IF (PRM_1176 == 1) {PRM_13 (READ_ONLY)} // TaktbetriebAufMode (using RULE_17)
            IF (PRM_1176 == 1) {PRM_7 (HIDDEN), uiPRM_7 (READ_ONLY)} // TaktfahrzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_8 (HIDDEN), uiPRM_8 (READ_ONLY)} // TaktpausenzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_5 (READ_ONLY)} // TaktstreckeAufStart (using RULE_17)
            IF (PRM_1176 == 1) {PRM_6 (READ_ONLY)} // TaktstreckeAufEnde (using RULE_17)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_143_M "Stützpunkte"
// 
MENU menu_DIS_143_M // Stützpunkte
{
    LABEL		[TXT_DIS_143];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_160_M (READ_ONLY)  // Positionen
            IF (PRM_1931 == 1) {menu_DIS_257_M (READ_ONLY)} // Fahrverhalten (using RULE_18)
            menu_DIS_266_M (READ_ONLY)  // Meldeverhalten
            IF (PRM_1931 == 1) {menu_DIS_268_M (READ_ONLY)} // Pausenzeit (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_160_M "Positionen"
// 
MENU menu_DIS_160_M // Positionen
{
    LABEL		[TXT_DIS_160];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_20 (READ_ONLY), // Stütz1_Position
            PRM_466 (READ_ONLY), // Stütz2_Position
            PRM_470 (READ_ONLY), // Stütz3_Position
            PRM_474 (READ_ONLY), // Stütz4_Position
            PRM_478 (READ_ONLY), // Stütz5_Position
            PRM_482 (READ_ONLY), // Stütz6_Position
            PRM_486 (READ_ONLY), // Stütz7_Position
            PRM_490 (READ_ONLY)  // Stütz8_Position
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_257_M "Fahrverhalten"
// 
MENU menu_DIS_257_M // Fahrverhalten
{
    LABEL		[TXT_DIS_257];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1931 == 1) {PRM_29 (READ_ONLY)} // Stütz1_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_467 (READ_ONLY)} // Stütz2_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_471 (READ_ONLY)} // Stütz3_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_475 (READ_ONLY)} // Stütz4_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_479 (READ_ONLY)} // Stütz5_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_483 (READ_ONLY)} // Stütz6_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_487 (READ_ONLY)} // Stütz7_Fahrverhalten (using RULE_18)
            IF (PRM_1931 == 1) {PRM_491 (READ_ONLY)} // Stütz8_Fahrverhalten (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_266_M "Meldeverhalten"
// 
MENU menu_DIS_266_M // Meldeverhalten
{
    LABEL		[TXT_DIS_266];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_28 (READ_ONLY), // Stütz1_Meldeverhaltn
            PRM_468 (READ_ONLY), // Stütz2_Meldeverhaltn
            PRM_472 (READ_ONLY), // Stütz3_Meldeverhaltn
            PRM_476 (READ_ONLY), // Stütz4_Meldeverhaltn
            PRM_480 (READ_ONLY), // Stütz5_Meldeverhaltn
            PRM_484 (READ_ONLY), // Stütz6_Meldeverhaltn
            PRM_488 (READ_ONLY), // Stütz7_Meldeverhaltn
            PRM_492 (READ_ONLY)  // Stütz8_Meldeverhaltn
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_268_M "Pausenzeit"
// 
MENU menu_DIS_268_M // Pausenzeit
{
    LABEL		[TXT_DIS_268];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1931 == 1) {PRM_1887 (HIDDEN), uiPRM_1887 (READ_ONLY)} // Stütz1_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1888 (HIDDEN), uiPRM_1888 (READ_ONLY)} // Stütz2_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1889 (HIDDEN), uiPRM_1889 (READ_ONLY)} // Stütz3_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1890 (HIDDEN), uiPRM_1890 (READ_ONLY)} // Stütz4_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1891 (HIDDEN), uiPRM_1891 (READ_ONLY)} // Stütz5_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1892 (HIDDEN), uiPRM_1892 (READ_ONLY)} // Stütz6_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1893 (HIDDEN), uiPRM_1893 (READ_ONLY)} // Stütz7_Pausenzeit (using RULE_18)
            IF (PRM_1931 == 1) {PRM_1894 (HIDDEN), uiPRM_1894 (READ_ONLY)} // Stütz8_Pausenzeit (using RULE_18)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_355_M "ED-Überwachung"
// 
MENU menu_DIS_355_M // ED-Überwachung
{
    LABEL		[TXT_DIS_355];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2121 (READ_ONLY), // ED-Enable
            PRM_2122 (READ_ONLY), // Max Laufzeit pro Std
            PRM_2123 (READ_ONLY)  // Max Anläufe pro Std
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_676_M "Bewegungserkennung"
// 
MENU menu_DIS_676_M // Bewegungserkennung
{
    LABEL		[TXT_DIS_676];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2554 (READ_ONLY)  // Mode_MotionDetector
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2555 (HIDDEN), uiPRM_2555 (READ_ONLY)} // Dt_MotionDetector (using RULE_239)
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2556 (READ_ONLY)} // Dx_MotionDetector (using RULE_239)
            IF (PRM_2755 == 4) {PRM_3187 (HIDDEN), uiPRM_3187 (READ_ONLY)} // Dt_MotionDetectMwg (using RULE_238)
            IF (PRM_2755 == 4) {PRM_3188 (READ_ONLY)} // Dx_MotionDetectMwg (using RULE_238)
            PRM_3629 (READ_ONLY)  // HwMonoflop: SetTime_ms
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_568_M "Stellzeitüberwachung"
// 
MENU menu_DIS_568_M // Stellzeitüberwachung
{
    LABEL		[TXT_DIS_568];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2546 (READ_ONLY), // ApplMode_OpTimeMon
            PRM_2547 (HIDDEN), uiPRM_2547 (READ_ONLY)  // ApplOpTime_OpTimeMon
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_632_M "Reaktionsüberwachung"
// 
MENU menu_DIS_632_M // Reaktionsüberwachung
{
    LABEL		[TXT_DIS_632];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3156 == 0) {PRM_3157 (READ_ONLY)} // Betriebsart Standard (using RULE_301)
            IF (PRM_3156 == 0) {PRM_3158 (READ_ONLY)} // Reakt.Reaktionszeit (using RULE_301)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_664_M "Interlock"
// 
MENU menu_DIS_664_M // Interlock
{
    LABEL		[TXT_DIS_664];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3217 == 1) {PRM_3218 (READ_ONLY)} // Betriebsart Interlock (using RULE_205)
            IF (PRM_3217 == 1) {PRM_3219 (READ_ONLY)} // Verhalten Interlock (using RULE_205)
            IF (PRM_3217 == 1) {PRM_3255 (READ_ONLY)} // IgnoreNotfahrtIntlck (using RULE_205)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_53_M "Gerätekonfiguration"
// 
MENU menu_DIS_53_M // Gerätekonfiguration
{
    LABEL		[TXT_DIS_53];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_159_M (READ_ONLY)  // Ortssteuerstelle
            IF (PRM_45 == 1) {menu_DIS_139_M (READ_ONLY)} // Interface (using RULE_19)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {menu_DIS_600_M (READ_ONLY)} // Profibus (using RULE_173)
            IF (PRM_3495 == 1) {menu_DIS_708_M (READ_ONLY)} // LWL-Modul (using RULE_307)
            menu_DIS_168_M (READ_ONLY), // Antrieb
            menu_DIS_380_M (READ_ONLY), // Serviceschnittstelle
            menu_DIS_178_M (READ_ONLY)  // Anwendungsfunktionen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_159_M "Ortssteuerstelle"
// 
MENU menu_DIS_159_M // Ortssteuerstelle
{
    LABEL		[TXT_DIS_159];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_160 (READ_ONLY), // Fkt Meldeleuchte 1
            PRM_557 (READ_ONLY), // Fkt Meldeleuchte 2
            PRM_561 (READ_ONLY), // Fkt Meldeleuchte 3
            PRM_565 (READ_ONLY), // Fkt Meldeleuchte 4
            PRM_569 (READ_ONLY), // Fkt Meldeleuchte 5
            PRM_1175 (READ_ONLY)  // Blinker USA/Europa
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_139_M "Interface"
// 
MENU menu_DIS_139_M // Interface
{
    LABEL		[TXT_DIS_139];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {menu_DIS_116_M (READ_ONLY)} // Eingänge binär (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {menu_DIS_389_M (READ_ONLY)} // Eingänge analog (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {menu_DIS_110_M (READ_ONLY)} // Ausgänge binär (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {menu_DIS_335_M (READ_ONLY)} // Ausgänge analog (using RULE_35)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_116_M "Eingänge binär"
// 
MENU menu_DIS_116_M // Eingänge binär
{
    LABEL		[TXT_DIS_116];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_873 (READ_ONLY)} // Funktion_DigIn1 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_932 (READ_ONLY)} // Funktion_DigIn2 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_926 (READ_ONLY)} // Funktion_DigIn3 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_920 (READ_ONLY)} // Funktion_DigIn4 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_914 (READ_ONLY)} // Funktion_DigIn5 (using RULE_32)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_908 (READ_ONLY)} // Funktion_DigIn6 (using RULE_32)
            IF (PRM_2415 == 1) {PRM_902 (READ_ONLY)} // Funktion_DigIn7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_896 (READ_ONLY)} // Funktion_DigIn8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_890 (READ_ONLY)} // Funktion_DigIn9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_884 (READ_ONLY)} // Funktion_DigIn10 (using RULE_20)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_878 (READ_ONLY)} // InvertDigIn1 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_933 (READ_ONLY)} // InvertDigIn2 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_927 (READ_ONLY)} // InvertDigIn3 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 4))) {PRM_921 (READ_ONLY)} // InvertDigIn4 (using RULE_31)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_915 (READ_ONLY)} // InvertDigIn5 (using RULE_32)
            IF (((PRM_45 == 1) && (PRM_2281 >= 6))) {PRM_909 (READ_ONLY)} // InvertDigIn6 (using RULE_32)
            IF (PRM_2415 == 1) {PRM_903 (READ_ONLY)} // InvertDigIn7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_897 (READ_ONLY)} // InvertDigIn8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_891 (READ_ONLY)} // InvertDigIn9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_885 (READ_ONLY)} // InvertDigIn10 (using RULE_20)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_389_M "Eingänge analog"
// 
MENU menu_DIS_389_M // Eingänge analog
{
    LABEL		[TXT_DIS_389];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1133 (READ_ONLY)} // LowerLimit_AnaIn1 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1130 (READ_ONLY)} // UpperLimit_AnaIn1 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1129 (READ_ONLY)} // Funktion_AnaIn1 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1141 (READ_ONLY)} // LowerLimit_AnaIn2 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1140 (READ_ONLY)} // UpperLimit_AnaIn2 (using RULE_34)
            IF (((PRM_45 == 1) && (PRM_2239 >= 2))) {PRM_1137 (READ_ONLY)} // Funktion_AnaIn2 (using RULE_34)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_110_M "Ausgänge binär"
// 
MENU menu_DIS_110_M // Ausgänge binär
{
    LABEL		[TXT_DIS_110];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1012 (READ_ONLY)} // Funktion_DigOut1 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1102 (READ_ONLY)} // Funktion_DigOut2 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1097 (READ_ONLY)} // Funktion_DigOut3 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1092 (READ_ONLY)} // Funktion_DigOut4 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1087 (READ_ONLY)} // Funktion_DigOut5 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1082 (READ_ONLY)} // Funktion_DigOut6 (using RULE_33)
            IF (PRM_2415 == 1) {PRM_1077 (READ_ONLY)} // Funktion_DigOut7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1072 (READ_ONLY)} // Funktion_DigOut8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1107 (READ_ONLY)} // Funktion_DigOut9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1122 (READ_ONLY)} // Funktion_DigOut10 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1117 (READ_ONLY)} // Funktion_DigOut11 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1112 (READ_ONLY)} // Funktion_DigOut12 (using RULE_20)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1013 (READ_ONLY)} // InvertDigOut1 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1103 (READ_ONLY)} // InvertDigOut2 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1098 (READ_ONLY)} // InvertDigOut3 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1093 (READ_ONLY)} // InvertDigOut4 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1088 (READ_ONLY)} // InvertDigOut5 (using RULE_33)
            IF (((PRM_45 == 1) && (PRM_2294 >= 6))) {PRM_1083 (READ_ONLY)} // InvertDigOut6 (using RULE_33)
            IF (PRM_2415 == 1) {PRM_1078 (READ_ONLY)} // InvertDigOut7 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1073 (READ_ONLY)} // InvertDigOut8 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1108 (READ_ONLY)} // InvertDigOut9 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1123 (READ_ONLY)} // InvertDigOut10 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1118 (READ_ONLY)} // InvertDigOut11 (using RULE_20)
            IF (PRM_2415 == 1) {PRM_1113 (READ_ONLY)} // InvertDigOut12 (using RULE_20)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_335_M "Ausgänge analog"
// 
MENU menu_DIS_335_M // Ausgänge analog
{
    LABEL		[TXT_DIS_335];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1254 (READ_ONLY)} // Funktion AnPwmOut1 (using RULE_35)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1255 (READ_ONLY)} // Bereich_AnPwmOut1 (using RULE_35)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1262 (READ_ONLY)} // Funktion AnPwmOut2 (using RULE_35)
            IF (((PRM_45 == 1) && (PRM_2293 >= 2))) {PRM_1263 (READ_ONLY)} // Bereich_AnPwmOut2 (using RULE_35)
 
 
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_600_M "Profibus"
// 
MENU menu_DIS_600_M // Profibus
{
    LABEL		[TXT_DIS_600];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_2885 (READ_ONLY)} // Redundanz-Mode (using RULE_173)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_3527 (READ_ONLY)} // Sende-Mode (using RULE_173)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_708_M "LWL-Modul"
// 
MENU menu_DIS_708_M // LWL-Modul
{
    LABEL		[TXT_DIS_708];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3495 == 1) {PRM_3482 (READ_ONLY)} // Lwl Überwachung (using RULE_307)
            IF (PRM_3495 == 1) {PRM_3481 (READ_ONLY)} // Lwl Bus-Topologie (using RULE_307)
            IF (PRM_3495 == 1) {PRM_3496 (READ_ONLY)} // Lwl-Baudrate (using RULE_307)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_168_M "Antrieb"
// 
MENU menu_DIS_168_M // Antrieb
{
    LABEL		[TXT_DIS_168];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_208 (READ_ONLY), // MODE_Thermofehler
            PRM_79 (READ_ONLY)  // Drehsinn Schließen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_380_M "Serviceschnittstelle"
// 
MENU menu_DIS_380_M // Serviceschnittstelle
{
    LABEL		[TXT_DIS_380];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165 (READ_ONLY), // Geräte-TAG
            PRM_2175 (READ_ONLY)  // ServicemotionOrtClnt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_178_M "Anwendungsfunktionen"
// 
MENU menu_DIS_178_M // Anwendungsfunktionen
{
    LABEL		[TXT_DIS_178];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_212_M (READ_ONLY)  // Aktivierung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_212_M "Aktivierung"
// 
MENU menu_DIS_212_M // Aktivierung
{
    LABEL		[TXT_DIS_212];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2923 (READ_ONLY), // Aktivierung NOT
            PRM_1177 (READ_ONLY), // TaktZuAktiv
            PRM_1176 (READ_ONLY)  // TaktAufAktiv
            IF (PRM_1178 == 1) {PRM_1169 (READ_ONLY)} // AktivierngStelRegler (using RULE_13)
            IF (PRM_1178 == 1) {PRM_1931 (READ_ONLY)} // Fahrprofil Aktivierung (using RULE_13)
            PRM_2591 (READ_ONLY)  // BT-Aktivierung
            IF (PRM_3134 == 1) {PRM_3135 (READ_ONLY)} // Aktiv. Freigabe ORT (using RULE_200)
            IF (PRM_3691 == 1) {PRM_3692 (READ_ONLY)} // ForcedRmtCtrl_Activate (using RULE_372)
            IF (PRM_3770 == 1) {PRM_3771 (READ_ONLY)} // AutoChangeOver Aktiv (using RULE_379)
            IF (PRM_3216 == 1) {PRM_3217 (READ_ONLY)} // Aktivierung Interlock  (using RULE_204)
            IF (PRM_3970 == 1) {PRM_3971 (READ_ONLY)} // DrehmoWarn Aktiv (using RULE_397)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_592_M "Gerätestatus"
// 
MENU menu_DIS_592_M // Gerätestatus
{
    LABEL		[TXT_DIS_592];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_612_M (READ_ONLY), // Allgemein
            menu_DIS_540_M (READ_ONLY), // Auma-Meldungen
            menu_DIS_533_M (READ_ONLY)  // Namur-Meldungen
            IF (PRM_1169 == 1) {menu_DIS_613_M (READ_ONLY)} // Stellungsregler (using RULE_14)
            IF (PRM_2121 == 1) {menu_DIS_593_M (READ_ONLY)} // ED Überwachung (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_612_M "Allgemein"
// 
MENU menu_DIS_612_M // Allgemein
{
    LABEL		[TXT_DIS_612];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_268 (READ_ONLY), // BypassedDoeFehler
            PZD_269 (READ_ONLY), // BypassedDsFehler
            PZD_2 (READ_ONLY), // Istwert E2
            PZD_545 (READ_ONLY), // Drehmoment Istwert
            PZD_120 (READ_ONLY), // Betriebsmodus
            menu_PZD_144_M (READ_ONLY), // Fahrbefehl
            PZD_264 (READ_ONLY), // AntriebFaehrtAUF
            PZD_265 (READ_ONLY), // AntriebFaehrtZU
            PZD_401 (READ_ONLY), // Position erreicht
            PZD_375 (READ_ONLY), // WOE_Konditioniert
            PZD_376 (READ_ONLY), // WS_Konditioniert
            PZD_459 (READ_ONLY), // DOE_Signal
            PZD_460 (READ_ONLY)  // DS_Signal
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_144_M "Fahrbefehl"
// 
MENU menu_PZD_144_M // Fahrbefehl
{
    LABEL		[TXT_PZD_144];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_144 (HIDDEN), PZD_144_cmd (READ_ONLY), // Logik: Fahrbefehl (cmd)
            PZD_144_dir (READ_ONLY), // Logik: Fahrbefehl (direction)
            PZD_144_speed (READ_ONLY), // Logik: Fahrbefehl (speed)
            PZD_144_position (READ_ONLY)  // Logik: Fahrbefehl (position)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_613_M "Stellungsregler"
// 
MENU menu_DIS_613_M // Stellungsregler
{
    LABEL		[TXT_DIS_613];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84 (READ_ONLY)} // StellungreglerMode (using RULE_14)
            IF (PRM_1169 == 1) {PZD_7 (READ_ONLY)} // Fern1SollwertE1 (using RULE_14)
            IF (PRM_1169 == 1) {PZD_709 (READ_ONLY)} // Istwert E2(synchron) (using RULE_14)
            IF (PRM_1169 == 1) {PZD_659 (READ_ONLY)} // XTActual (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_593_M "ED Überwachung"
// 
MENU menu_DIS_593_M // ED Überwachung
{
    LABEL		[TXT_DIS_593];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2121 == 1) {PZD_488 (READ_ONLY)} // ED Time (using RULE_155)
            IF (PRM_2121 == 1) {PZD_489 (READ_ONLY)} // ED Starts (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_22_M "Diagnose"
// 
MENU menu_DIS_22_M // Diagnose
{
    LABEL		[TXT_DIS_22];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_244_M (READ_ONLY)  // Bluetooth
            IF (PRM_181 == 1) {menu_DIS_240_M (READ_ONLY)} // Profibus Kanal 1 (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {menu_DIS_549_M (READ_ONLY)} // Profibus Kanal 2 (using RULE_105)
            IF (PRM_181 == 1) {menu_DIS_602_M (READ_ONLY)} // Profibus Details (using RULE_21)
            IF (PRM_3495 == 1) {menu_DIS_638_M (READ_ONLY)} // LWL (using RULE_307)
            menu_DIS_177_M (READ_ONLY), // Betriebsdaten
            menu_DIS_524_M (READ_ONLY)  // Gerätetemperaturen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_244_M "Bluetooth"
// 
MENU menu_DIS_244_M // Bluetooth
{
    LABEL		[TXT_DIS_244];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2591 == 1) {PRM_1165 (READ_ONLY)} // Geräte-TAG (using RULE_149)
            IF (PRM_2591 == 1) {PRM_2188 (READ_ONLY)} // Lokale BDA (using RULE_149)
            IF (PRM_2591 == 1) {PRM_2604 (READ_ONLY)} // BDA Gegenstelle (using RULE_149)
            IF (PRM_2591 == 0) {PRM_2591 (READ_ONLY)} // BT-Aktivierung (using RULE_94)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_240_M "Profibus Kanal 1"
// 
MENU menu_DIS_240_M // Profibus Kanal 1
{
    LABEL		[TXT_DIS_240];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PRM_1321 (READ_ONLY)} // Profibus_Adresse_1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_578 (READ_ONLY)} // Pb Baudrate K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_576 (READ_ONLY)} // Pb WD-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_577 (READ_ONLY)} // Pb DP-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_580 (READ_ONLY)} // Pb GC Clear K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_579 (READ_ONLY)} // Pb 0 Tele K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_581 (READ_ONLY)} // Pb GC Freeze K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_582 (READ_ONLY)} // Pb GC Sync K1 (using RULE_21)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_549_M "Profibus Kanal 2"
// 
MENU menu_DIS_549_M // Profibus Kanal 2
{
    LABEL		[TXT_DIS_549];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PRM_1322 (READ_ONLY)} // Profibus_Adresse_2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_585 (READ_ONLY)} // Pb Baudrate K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_583 (READ_ONLY)} // Pb WD-Status K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_584 (READ_ONLY)} // Pb DP-Status K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_587 (READ_ONLY)} // Pb GC Clear K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_586 (READ_ONLY)} // Pb 0 Tele K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_588 (READ_ONLY)} // Pb GC Freeze K2 (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_589 (READ_ONLY)} // Pb GC Sync K2 (using RULE_105)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_602_M "Profibus Details"
// 
MENU menu_DIS_602_M // Profibus Details
{
    LABEL		[TXT_DIS_602];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PZD_737 (READ_ONLY)} // DPV1_Control (using RULE_21)
            IF (PRM_181 == 1) {PZD_738 (READ_ONLY)} // DP-V1 C2-Verbindung  (using RULE_21)
            IF (PRM_181 == 1) {PZD_604 (READ_ONLY)} // Fahrbef.Kanal1 aktiv (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_605 (READ_ONLY)} // Fahrbef.Kanal2 aktiv (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_741 (READ_ONLY)} // Primary Channel (PNO) (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_742 (READ_ONLY)} // Secondary Channel (PNO) (using RULE_105)
            IF (PRM_181 == 1) {PRM_3006 (READ_ONLY)} // Profibus Ident Nr (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_2885 (READ_ONLY)} // Redundanz-Mode (using RULE_173)
            IF (PRM_181 == 1) {PZD_744 (READ_ONLY)} // DP-V1 Enable (SetPrm) (using RULE_21)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_746 (READ_ONLY)} // DP-ALARM (SetPrm) (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1) && (PRM_2885 != 0))) {PZD_745 (READ_ONLY)} // DP-RED (SetPrm) (using RULE_105)
            IF (((PRM_181 == 1) && (PRM_3059 == 1))) {PRM_3527 (READ_ONLY)} // Sende-Mode (using RULE_173)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_638_M "LWL"
// 
MENU menu_DIS_638_M // LWL
{
    LABEL		[TXT_DIS_638];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_3495 == 1) {PZD_794 (READ_ONLY)} // Lwl_Signal_Kanal-1 (using RULE_307)
            IF (PRM_3495 == 1) {PZD_795 (READ_ONLY)} // Lwl_Signal_Kanal-2 (using RULE_307)
            IF (PRM_3495 == 1) {PZD_833 (READ_ONLY)} // Lwl_RS485_Formatfehl (using RULE_307)
            IF (PRM_3495 == 1) {PZD_797 (READ_ONLY)} // LwlBaudrate (using RULE_307)
            IF (PRM_3495 == 1) {PRM_3479 (READ_ONLY)} // Version Lwl-FPGA (using RULE_307)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_177_M "Betriebsdaten"
// 
MENU menu_DIS_177_M // Betriebsdaten
{
    LABEL		[TXT_DIS_177];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_183_M (READ_ONLY), // Betriebsdaten Gesamt
            menu_DIS_188_M (READ_ONLY)  // Betriebsdaten Kunde
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_183_M "Betriebsdaten Gesamt"
// 
MENU menu_DIS_183_M // Betriebsdaten Gesamt
{
    LABEL		[TXT_DIS_183];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_495 (READ_ONLY), // Laufzeit
            PRM_496 (READ_ONLY), // Anläufe
            PRM_503 (READ_ONLY), // Thermofehler
            PRM_501 (READ_ONLY), // Drehmofehler ZU
            PRM_502 (READ_ONLY), // Drehmofehler AUF
            PRM_498 (READ_ONLY), // Wegabschaltungen ZU
            PRM_500 (READ_ONLY), // Wegabschaltungen AUF
            PRM_497 (READ_ONLY), // Drehmoabschaltungen ZU
            PRM_499 (READ_ONLY), // Drehmoabschaltungen AUF
            PRM_505 (READ_ONLY), // ErrorsEDTime
            PRM_506 (READ_ONLY), // ErrorsEDMax
            PRM_507 (READ_ONLY)  // Resets
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_188_M "Betriebsdaten Kunde"
// 
MENU menu_DIS_188_M // Betriebsdaten Kunde
{
    LABEL		[TXT_DIS_188];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_163 (READ_ONLY), // Laufzeit
            PRM_164 (READ_ONLY), // Anläufe
            PRM_170 (READ_ONLY), // Thermofehler
            PRM_175 (READ_ONLY), // Drehmofehler ZU
            PRM_171 (READ_ONLY), // Drehmofehler AUF
            PRM_172 (READ_ONLY), // Wegabschaltungen ZU
            PRM_174 (READ_ONLY), // Wegabschaltungen AUF
            PRM_166 (READ_ONLY), // Drehmoabschaltung en ZU
            PRM_173 (READ_ONLY), // Drehmoabschaltungen AUF
            PRM_168 (READ_ONLY), // ErrorsEDTime
            PRM_167 (READ_ONLY), // ErrorsEDMax
            PRM_165 (READ_ONLY), // Anzahl Resets
            PRM_3484 (READ_ONLY, HIDDEN)  // Betriebsd. zurücksetzen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_524_M "Gerätetemperaturen"
// 
MENU menu_DIS_524_M // Gerätetemperaturen
{
    LABEL		[TXT_DIS_524];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_4 (READ_ONLY)  // T_Steuerung
            IF (PRM_1752 == 1) {PZD_109 (READ_ONLY)} // T_Steuereinheit (using RULE_11)
            IF (((PRM_1752 == 1) && (PRM_2308 != 0))) {PZD_5 (READ_ONLY)} // T_Motor (using RULE_78)
            IF (((PRM_1752 == 1) && (PRM_2308 != 0))) {PZD_6 (READ_ONLY)} // T_Getriebe (using RULE_78)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_540_M "Auma-Meldungen"
// 
MENU menu_DIS_540_M // Auma-Meldungen
{
    LABEL		[TXT_DIS_540];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_M (READ_ONLY)} // Warnungen (using RulePZD_78)
            IF (PZD_80 != 0) {menu_DIS_542_M (READ_ONLY)} // nicht bereit FERN (using RulePZD_80)
            IF (PZD_79 != 0) {menu_DIS_543_M (READ_ONLY)} // Fehler (using RulePZD_79)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_541_M "Sammel-Meldung2: Warnung"
// 
MENU menu_DIS_541_M // Sammel-Meldung2: Warnung
{
    LABEL		[TXT_DIS_541];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_82 != 0) {menu_PZD_82_M (READ_ONLY)} // Sammel-Meldung6: Konfigurationswarnung (using RulePZD_82)
            IF (PZD_91 != 0) {menu_PZD_91_M (READ_ONLY)} // Sammel-Meldung 15: Interne Warnung (using RulePZD_91)
            IF (PZD_93 != 0) {menu_PZD_93_M (READ_ONLY)} // Sammel-Meldung 17: Warnung Hydraulik (using RulePZD_93)
            IF (PZD_461 != 0) {PZD_461 (READ_ONLY)} // FailSafe ist aktiv (using RulePZD_461)
            IF (PZD_834 != 0) {PZD_834 (READ_ONLY)} // MWG: Drehmomentwarnung AUF	 (using RulePZD_834)
            IF (PZD_835 != 0) {PZD_835 (READ_ONLY)} // MWG: Drehmomentwarnung ZU (using RulePZD_835)
            IF (PZD_486 != 0) {PZD_486 (READ_ONLY)} // Lcb: ED Warnung 1: (Laufzeit) (using RulePZD_486)
            IF (PZD_487 != 0) {PZD_487 (READ_ONLY)} // Lcb: ED Warnung 2 (Anläufe) (using RulePZD_487)
            IF (PZD_556 != 0) {PZD_556 (READ_ONLY)} // Stellzeitwarnung (using RulePZD_556)
            IF (PZD_563 != 0) {PZD_563 (READ_ONLY)} // Keine Reaktion: Warnung (using RulePZD_563)
            IF (PZD_485 != 0) {PZD_485 (READ_ONLY)} // Logik: 24VExt Error (using RulePZD_485)
            IF (PZD_490 != 0) {PZD_490 (READ_ONLY)} // Lcb: RTC nicht gesetzt (using RulePZD_490)
            IF (PZD_629 != 0) {PZD_629 (READ_ONLY)} // Warnung Temperatur Steuerung (using RulePZD_629)
            IF (PZD_630 != 0) {PZD_630 (READ_ONLY)} // Warnung Temperatur Motor (using RulePZD_630)
            IF (PZD_631 != 0) {PZD_631 (READ_ONLY)} // Warnung Temperatur Getriebe (using RulePZD_631)
            IF (PZD_625 != 0) {PZD_625 (READ_ONLY)} // Warnung LWL (Meldung von Modul)) (using RulePZD_625)
            IF (PZD_810 != 0) {PZD_810 (READ_ONLY)} // Warnung LWL nicht vorhanden (using RulePZD_810)
            IF (PZD_813 != 0) {PZD_813 (READ_ONLY)} // Warnung LWL Budget (using RulePZD_813)
            IF (PZD_633 != 0) {PZD_633 (READ_ONLY)} // Warnung AnalogIn 1 E8 (using RulePZD_633)
            IF (PZD_634 != 0) {PZD_634 (READ_ONLY)} // Warnung AnalogIn 2 E9 (using RulePZD_634)
            IF (PZD_637 != 0) {PZD_637 (READ_ONLY)} // Warnung Sollposition E1 (using RulePZD_637)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_82_M "Sammel-Meldung6: Konfigurationswarnung"
// 
MENU menu_PZD_82_M // Sammel-Meldung6: Konfigurationswarnung
{
    LABEL		[TXT_PZD_82];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_666 != 0) {PZD_666 (READ_ONLY)} // Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert (using RulePZD_666)
            IF (PZD_758 != 0) {PZD_758 (READ_ONLY)} // PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration (using RulePZD_758)
            IF (PZD_759 != 0) {PZD_759 (READ_ONLY)} // PRM-Konsistenz: Feldbuskonfiguration (using RulePZD_759)
            IF (PZD_760 != 0) {PZD_760 (READ_ONLY)} // PRM-Konsistenz: MWG-Drehmokonfiguration ZU (using RulePZD_760)
            IF (PZD_761 != 0) {PZD_761 (READ_ONLY)} // PRM-Konsistenz: MWG-Drehmokonfiguration AUF (using RulePZD_761)
            IF (PZD_762 != 0) {PZD_762 (READ_ONLY)} // PRM-Konsistenz: DigIn1-Konfiguration (using RulePZD_762)
            IF (PZD_763 != 0) {PZD_763 (READ_ONLY)} // PRM-Konsistenz: DigIn2-Konfiguration (using RulePZD_763)
            IF (PZD_764 != 0) {PZD_764 (READ_ONLY)} // PRM-Konsistenz: DigIn3-Konfiguration (using RulePZD_764)
            IF (PZD_765 != 0) {PZD_765 (READ_ONLY)} // PRM-Konsistenz: DigIn4-Konfiguration (using RulePZD_765)
            IF (PZD_766 != 0) {PZD_766 (READ_ONLY)} // PRM-Konsistenz: DigIn5-Konfiguration (using RulePZD_766)
            IF (PZD_767 != 0) {PZD_767 (READ_ONLY)} // PRM-Konsistenz: DigIn6-Konfiguration (using RulePZD_767)
            IF (PZD_768 != 0) {PZD_768 (READ_ONLY)} // PRM-Konsistenz: DigIn7-Konfiguration (using RulePZD_768)
            IF (PZD_769 != 0) {PZD_769 (READ_ONLY)} // PRM-Konsistenz: DigIn8-Konfiguration (using RulePZD_769)
            IF (PZD_770 != 0) {PZD_770 (READ_ONLY)} // PRM-Konsistenz: DigIn9-Konfiguration (using RulePZD_770)
            IF (PZD_771 != 0) {PZD_771 (READ_ONLY)} // PRM-Konsistenz: DigIn10-Konfiguration (using RulePZD_771)
            IF (PZD_808 != 0) {PZD_808 (READ_ONLY)} // PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion (using RulePZD_808)
            IF (PZD_828 != 0) {PZD_828 (READ_ONLY)} // PRM-Konsistenz: Konfiguration der Profilfahrt (using RulePZD_828)
            IF (PZD_832 != 0) {PZD_832 (READ_ONLY)} // PRM-Konsistenz: LWL-Konfiguration (using RulePZD_832)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_91_M "Sammel-Meldung 15: Interne Warnung"
// 
MENU menu_PZD_91_M // Sammel-Meldung 15: Interne Warnung
{
    LABEL		[TXT_PZD_91];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_483 != 0) {PZD_483 (READ_ONLY)} // Logik: 24VKD Error (using RulePZD_483)
            IF (PZD_484 != 0) {PZD_484 (READ_ONLY)} // Logik: 24VInt Error (using RulePZD_484)
            IF (PZD_619 != 0) {PZD_619 (READ_ONLY)} // Warnung Heizung SA Defekt (using RulePZD_619)
            IF (PZD_621 != 0) {PZD_621 (READ_ONLY)} // Warnung keine Referenzfahrrt E2 (using RulePZD_621)
            IF (PZD_623 != 0) {PZD_623 (READ_ONLY)} // Warnung Signalbruch E2 (using RulePZD_623)
            IF (PZD_622 != 0) {PZD_622 (READ_ONLY)} // Warnung geringer Signalhub E2 (using RulePZD_622)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_93_M "Sammel-Meldung 17: Warnung Hydraulik"
// 
MENU menu_PZD_93_M // Sammel-Meldung 17: Warnung Hydraulik
{
    LABEL		[TXT_PZD_93];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_790 != 0) {PZD_790 (READ_ONLY)} // Meldung: Hydraulikdruck (Hydr.-Antrieb) (using RulePZD_790)
            IF (PZD_791 != 0) {PZD_791 (READ_ONLY)} // Meldung: Laufzeit Motor (Hydr.-Antrieb) (using RulePZD_791)
            IF (PZD_798 != 0) {PZD_798 (READ_ONLY)} // PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration (using RulePZD_798)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_542_M "Sammel-Meldung4: nicht bereit Fern"
// 
MENU menu_DIS_542_M // Sammel-Meldung4: nicht bereit Fern
{
    LABEL		[TXT_DIS_542];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_89 != 0) {menu_PZD_89_M (READ_ONLY)} // Sammel-Meldung 13: Falscher Befehl (using RulePZD_89)
            IF (PZD_757 != 0) {PZD_757 (READ_ONLY)} // InterlockActive (using RulePZD_757)
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handbetrieb aktiviert (using RulePZD_553)
            IF (PZD_844 != 0) {PZD_844 (READ_ONLY)} // Wahlschalter nicht Fern, maskiert (using RulePZD_844)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
            IF (PZD_281 != 0) {PZD_281 (READ_ONLY)} // Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen (using RulePZD_281)
            IF (PZD_280 != 0) {PZD_280 (READ_ONLY)} // Logik: Betriebsmodus EMCY_OP (using RulePZD_280)
            IF (PZD_606 != 0) {PZD_606 (READ_ONLY)} // Feldbus Fail Safe aktiv (using RulePZD_606)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_89_M "Sammel-Meldung 13: Falscher Befehl"
// 
MENU menu_PZD_89_M // Sammel-Meldung 13: Falscher Befehl
{
    LABEL		[TXT_PZD_89];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_371 != 0) {PZD_371 (READ_ONLY)} // Logik: ungültiger Fahrbefehl (using RulePZD_371)
            IF (PZD_555 != 0) {PZD_555 (READ_ONLY)} // Falscher Befehl Interface I (using RulePZD_555)
            IF (PZD_688 != 0) {PZD_688 (READ_ONLY)} // Falscher Befehl Feldbus (using RulePZD_688)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_543_M "Sammel-Meldung3: Fehler"
// 
MENU menu_DIS_543_M // Sammel-Meldung3: Fehler
{
    LABEL		[TXT_DIS_543];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_87 != 0) {menu_PZD_87_M (READ_ONLY)} // Sammel-Meldung 11: Konfigurationsfehler (using RulePZD_87)
            IF (PZD_90 != 0) {menu_PZD_90_M (READ_ONLY)} // Sammel-Meldung 14: Interne Fehler (using RulePZD_90)
            IF (PZD_268 != 0) {PZD_268 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler AUF (using RulePZD_268)
            IF (PZD_269 != 0) {PZD_269 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler ZU (using RulePZD_269)
            IF (PZD_270 != 0) {PZD_270 (READ_ONLY)} // Logik: Bypassed Thermofehler (using RulePZD_270)
            IF (PZD_718 != 0) {PZD_718 (READ_ONLY)} // Keine Reaktion: Fehler (using RulePZD_718)
            IF (PZD_481 != 0) {PZD_481 (READ_ONLY)} // Logik: PH_DIR_NOK (falsche Phasenfolge) (using RulePZD_481)
            IF (PZD_302 != 0) {PZD_302 (READ_ONLY)} // Logik: Phasenausfall (using RulePZD_302)
            IF (PZD_479 != 0) {PZD_479 (READ_ONLY)} // Logik: Netzqualität (using RulePZD_479)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_87_M "Sammel-Meldung 11: Konfigurationsfehler"
// 
MENU menu_PZD_87_M // Sammel-Meldung 11: Konfigurationsfehler
{
    LABEL		[TXT_PZD_87];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_671 != 0) {PZD_671 (READ_ONLY)} // System: Interner Fehler Konfiguration Stellungsgeber (using RulePZD_671)
            IF (PZD_809 != 0) {PZD_809 (READ_ONLY)} // System: Konfigurationsfehler \"FERN-Interface fehlt\" (using RulePZD_809)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_90_M "Sammel-Meldung 14: Interne Fehler"
// 
MENU menu_PZD_90_M // Sammel-Meldung 14: Interne Fehler
{
    LABEL		[TXT_PZD_90];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_684 != 0) {PZD_684 (READ_ONLY)} // Wahlschalter defekt (using RulePZD_684)
            IF (PZD_664 != 0) {PZD_664 (READ_ONLY)} // Meldung: Ausgang defekt (using RulePZD_664)
            IF (PZD_557 != 0) {PZD_557 (READ_ONLY)} // Motorschutzüberwachung defekt (using RulePZD_557)
            IF (PZD_480 != 0) {PZD_480 (READ_ONLY)} // Logik: HW-Fehler (using RulePZD_480)
            IF (PZD_482 != 0) {PZD_482 (READ_ONLY)} // Logik: 24VAC Error (using RulePZD_482)
            IF (PZD_675 != 0) {PZD_675 (READ_ONLY)} // System: Interner Fehler Lcb-Exception (using RulePZD_675)
            IF (PZD_676 != 0) {PZD_676 (READ_ONLY)} // System: Interner Fehler Logik-Exception (using RulePZD_676)
            IF (PZD_677 != 0) {PZD_677 (READ_ONLY)} // System: Interner Fehler Mwg-Exception (using RulePZD_677)
            IF (PZD_678 != 0) {PZD_678 (READ_ONLY)} // System: Interner Fehler Bus-Exception (using RulePZD_678)
            IF (PZD_679 != 0) {PZD_679 (READ_ONLY)} // Fehler Stellungsgeber (using RulePZD_679)
            IF (PZD_707 != 0) {PZD_707 (READ_ONLY)} // Interner Fehler MWG Messystem defekt (using RulePZD_707)
            IF (PZD_708 != 0) {PZD_708 (READ_ONLY)} // Interner Fehler Endlagen defekt (using RulePZD_708)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_533_M "Namur-Meldungen"
// 
MENU menu_DIS_533_M // Namur-Meldungen
{
    LABEL		[TXT_DIS_533];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_83 != 0) {menu_DIS_534_M (READ_ONLY)} // außerhalb Spez. (using RulePZD_83)
            IF (PZD_84 != 0) {menu_DIS_535_M (READ_ONLY)} // Funktionskontrolle (using RulePZD_84)
            IF (PZD_86 != 0) {menu_DIS_537_M (READ_ONLY)} // Ausfall (using RulePZD_86)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_534_M "Sammel-Meldung7: Namur Out Of Spec"
// 
MENU menu_DIS_534_M // Sammel-Meldung7: Namur Out Of Spec
{
    LABEL		[TXT_DIS_534];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_M (READ_ONLY)} // Sammel-Meldung2: Warnung (using RulePZD_78)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_535_M "Sammel-Meldung8: Namur Funktionskontrolle"
// 
MENU menu_DIS_535_M // Sammel-Meldung8: Namur Funktionskontrolle
{
    LABEL		[TXT_DIS_535];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handbetrieb aktiviert (using RulePZD_553)
            IF (PZD_844 != 0) {PZD_844 (READ_ONLY)} // Wahlschalter nicht Fern, maskiert (using RulePZD_844)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_537_M "Sammel-Meldung10: Namur Ausfall"
// 
MENU menu_DIS_537_M // Sammel-Meldung10: Namur Ausfall
{
    LABEL		[TXT_DIS_537];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_79 != 0) {menu_DIS_543_M (READ_ONLY)} // Sammel-Meldung3: Fehler (using RulePZD_79)
    }
}
 
#endif /* defined(_PDM_) && !defined(_V700_) */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special methods
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Diagnosis method
// 
#ifdef _PDM_
// standard method for device specific diagnosis status
METHOD method_PDM_DeviceDiagnosis
{
    LABEL	[TXT_method_PDM_DeviceDiagnosis];
    ACCESS	ONLINE;
    DEFINITION
    {
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Start" );
        ReadCommand(read_view_DIS_612); // refresh menu Allgemein

        if (PRM_1169 == 1) {ReadCommand(read_view_DIS_613);} // refresh menu Stellungsregler (using RULE_14)

        if (PRM_2121 == 1) {ReadCommand(read_view_DIS_593);} // refresh menu ED Überwachung (using RULE_155)

        // PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung"
        // read value of PZD_78 before checking its state
        ReadCommand(read_PZD_78);
        if(PZD_78 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
            // PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
            // read value of PZD_82 before checking its state
            ReadCommand(read_PZD_82);
            if(PZD_82 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                // PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
                // read value of PZD_666 before checking its state
                ReadCommand(read_PZD_666);
                if(PZD_666 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
                // read value of PZD_758 before checking its state
                ReadCommand(read_PZD_758);
                if(PZD_758 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration"
                // read value of PZD_759 before checking its state
                ReadCommand(read_PZD_759);
                if(PZD_759 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_760 "PRM-Konsistenz: MWG-Drehmokonfiguration ZU"
                // read value of PZD_760 before checking its state
                ReadCommand(read_PZD_760);
                if(PZD_760 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_760]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_761 "PRM-Konsistenz: MWG-Drehmokonfiguration AUF"
                // read value of PZD_761 before checking its state
                ReadCommand(read_PZD_761);
                if(PZD_761 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_761]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration"
                // read value of PZD_762 before checking its state
                ReadCommand(read_PZD_762);
                if(PZD_762 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration"
                // read value of PZD_763 before checking its state
                ReadCommand(read_PZD_763);
                if(PZD_763 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration"
                // read value of PZD_764 before checking its state
                ReadCommand(read_PZD_764);
                if(PZD_764 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration"
                // read value of PZD_765 before checking its state
                ReadCommand(read_PZD_765);
                if(PZD_765 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_766 "PRM-Konsistenz: DigIn5-Konfiguration"
                // read value of PZD_766 before checking its state
                ReadCommand(read_PZD_766);
                if(PZD_766 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_766]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_767 "PRM-Konsistenz: DigIn6-Konfiguration"
                // read value of PZD_767 before checking its state
                ReadCommand(read_PZD_767);
                if(PZD_767 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_767]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_768 "PRM-Konsistenz: DigIn7-Konfiguration"
                // read value of PZD_768 before checking its state
                ReadCommand(read_PZD_768);
                if(PZD_768 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_768]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_769 "PRM-Konsistenz: DigIn8-Konfiguration"
                // read value of PZD_769 before checking its state
                ReadCommand(read_PZD_769);
                if(PZD_769 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_769]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_770 "PRM-Konsistenz: DigIn9-Konfiguration"
                // read value of PZD_770 before checking its state
                ReadCommand(read_PZD_770);
                if(PZD_770 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_770]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_771 "PRM-Konsistenz: DigIn10-Konfiguration"
                // read value of PZD_771 before checking its state
                ReadCommand(read_PZD_771);
                if(PZD_771 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_771]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
                // read value of PZD_808 before checking its state
                ReadCommand(read_PZD_808);
                if(PZD_808 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_828 "PRM-Konsistenz: Konfiguration der Profilfahrt"
                // read value of PZD_828 before checking its state
                ReadCommand(read_PZD_828);
                if(PZD_828 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_828]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_832 "PRM-Konsistenz: LWL-Konfiguration"
                // read value of PZD_832 before checking its state
                ReadCommand(read_PZD_832);
                if(PZD_832 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_832]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung"
            // read value of PZD_91 before checking its state
            ReadCommand(read_PZD_91);
            if(PZD_91 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                // PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error"
                // read value of PZD_483 before checking its state
                ReadCommand(read_PZD_483);
                if(PZD_483 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error"
                // read value of PZD_484 before checking its state
                ReadCommand(read_PZD_484);
                if(PZD_484 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_619 "Warnung Heizung SA Defekt"
                // read value of PZD_619 before checking its state
                ReadCommand(read_PZD_619);
                if(PZD_619 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_619]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2"
                // read value of PZD_621 before checking its state
                ReadCommand(read_PZD_621);
                if(PZD_621 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_623 "Warnung Signalbruch E2"
                // read value of PZD_623 before checking its state
                ReadCommand(read_PZD_623);
                if(PZD_623 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_623]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2"
                // read value of PZD_622 before checking its state
                ReadCommand(read_PZD_622);
                if(PZD_622 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_93 "Sammel-Meldung 17: Warnung Hydraulik"
            // read value of PZD_93 before checking its state
            ReadCommand(read_PZD_93);
            if(PZD_93 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_93]);
                // PDM_DIAG_PROCESS_WARNING: PZD_790 "Meldung: Hydraulikdruck (Hydr.-Antrieb)"
                // read value of PZD_790 before checking its state
                ReadCommand(read_PZD_790);
                if(PZD_790 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_790]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_791 "Meldung: Laufzeit Motor (Hydr.-Antrieb)"
                // read value of PZD_791 before checking its state
                ReadCommand(read_PZD_791);
                if(PZD_791 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_791]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_798 "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration"
                // read value of PZD_798 before checking its state
                ReadCommand(read_PZD_798);
                if(PZD_798 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_798]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv"
            // read value of PZD_461 before checking its state
            ReadCommand(read_PZD_461);
            if(PZD_461 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_834 "MWG: Drehmomentwarnung AUF	"
            // read value of PZD_834 before checking its state
            ReadCommand(read_PZD_834);
            if(PZD_834 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_834]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_835 "MWG: Drehmomentwarnung ZU"
            // read value of PZD_835 before checking its state
            ReadCommand(read_PZD_835);
            if(PZD_835 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_835]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)"
            // read value of PZD_486 before checking its state
            ReadCommand(read_PZD_486);
            if(PZD_486 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)"
            // read value of PZD_487 before checking its state
            ReadCommand(read_PZD_487);
            if(PZD_487 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung"
            // read value of PZD_556 before checking its state
            ReadCommand(read_PZD_556);
            if(PZD_556 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung"
            // read value of PZD_563 before checking its state
            ReadCommand(read_PZD_563);
            if(PZD_563 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error"
            // read value of PZD_485 before checking its state
            ReadCommand(read_PZD_485);
            if(PZD_485 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_490 "Lcb: RTC nicht gesetzt"
            // read value of PZD_490 before checking its state
            ReadCommand(read_PZD_490);
            if(PZD_490 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung"
            // read value of PZD_629 before checking its state
            ReadCommand(read_PZD_629);
            if(PZD_629 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor"
            // read value of PZD_630 before checking its state
            ReadCommand(read_PZD_630);
            if(PZD_630 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe"
            // read value of PZD_631 before checking its state
            ReadCommand(read_PZD_631);
            if(PZD_631 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_625 "Warnung LWL (Meldung von Modul))"
            // read value of PZD_625 before checking its state
            ReadCommand(read_PZD_625);
            if(PZD_625 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_625]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_810 "Warnung LWL nicht vorhanden"
            // read value of PZD_810 before checking its state
            ReadCommand(read_PZD_810);
            if(PZD_810 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_810]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_813 "Warnung LWL Budget"
            // read value of PZD_813 before checking its state
            ReadCommand(read_PZD_813);
            if(PZD_813 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_813]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8"
            // read value of PZD_633 before checking its state
            ReadCommand(read_PZD_633);
            if(PZD_633 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9"
            // read value of PZD_634 before checking its state
            ReadCommand(read_PZD_634);
            if(PZD_634 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1"
            // read value of PZD_637 before checking its state
            ReadCommand(read_PZD_637);
            if(PZD_637 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
            }
        }
        // PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_542 "Sammel-Meldung4: nicht bereit Fern"
        // read value of PZD_80 before checking its state
        ReadCommand(read_PZD_80);
        if(PZD_80 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_542]);
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_89 "Sammel-Meldung 13: Falscher Befehl"
            // read value of PZD_89 before checking its state
            ReadCommand(read_PZD_89);
            if(PZD_89 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_89]);
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_371 "Logik: ungültiger Fahrbefehl"
                // read value of PZD_371 before checking its state
                ReadCommand(read_PZD_371);
                if(PZD_371 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_371]);
                }
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_555 "Falscher Befehl Interface I"
                // read value of PZD_555 before checking its state
                ReadCommand(read_PZD_555);
                if(PZD_555 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_555]);
                }
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_688 "Falscher Befehl Feldbus"
                // read value of PZD_688 before checking its state
                ReadCommand(read_PZD_688);
                if(PZD_688 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_688]);
                }
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_275 "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 "
            // read value of PZD_275 before checking its state
            ReadCommand(read_PZD_275);
            if(PZD_275 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_275]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_757 "InterlockActive"
            // read value of PZD_757 before checking its state
            ReadCommand(read_PZD_757);
            if(PZD_757 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_757]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handbetrieb aktiviert"
            // read value of PZD_553 before checking its state
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_844 "Wahlschalter nicht Fern, maskiert"
            // read value of PZD_844 before checking its state
            ReadCommand(read_PZD_844);
            if(PZD_844 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_844]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT"
            // read value of PZD_685 before checking its state
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP"
            // read value of PZD_285 before checking its state
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE"
            // read value of PZD_282 before checking its state
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_281 "Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen"
            // read value of PZD_281 before checking its state
            ReadCommand(read_PZD_281);
            if(PZD_281 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_281]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_280 "Logik: Betriebsmodus EMCY_OP"
            // read value of PZD_280 before checking its state
            ReadCommand(read_PZD_280);
            if(PZD_280 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_280]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_606 "Feldbus Fail Safe aktiv"
            // read value of PZD_606 before checking its state
            ReadCommand(read_PZD_606);
            if(PZD_606 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_606]);
            }
        }
        // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler"
        // read value of PZD_79 before checking its state
        ReadCommand(read_PZD_79);
        if(PZD_79 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
            // read value of PZD_87 before checking its state
            ReadCommand(read_PZD_87);
            if(PZD_87 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber"
                // read value of PZD_671 before checking its state
                ReadCommand(read_PZD_671);
                if(PZD_671 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\""
                // read value of PZD_809 before checking its state
                ReadCommand(read_PZD_809);
                if(PZD_809 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                }
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler"
            // read value of PZD_90 before checking its state
            ReadCommand(read_PZD_90);
            if(PZD_90 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_417 "MWG: Kalibrier-Feedback Hall-Sensor 1 "
                // read value of PZD_417 before checking its state
                ReadCommand(read_PZD_417);
                if(PZD_417 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_417]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_421 "MWG: Kalibrier-Feedback Hall-Sensor 2 "
                // read value of PZD_421 before checking its state
                ReadCommand(read_PZD_421);
                if(PZD_421 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_421]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_420 "MWG: Kalibrier-Feedback Hall-Sensor 3 "
                // read value of PZD_420 before checking its state
                ReadCommand(read_PZD_420);
                if(PZD_420 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_420]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_419 "MWG: Kalibrier-Feedback Hall-Sensor 4 "
                // read value of PZD_419 before checking its state
                ReadCommand(read_PZD_419);
                if(PZD_419 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_419]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_418 "MWG: Kalibrier-Feedback Hall-Sensor 5 "
                // read value of PZD_418 before checking its state
                ReadCommand(read_PZD_418);
                if(PZD_418 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_418]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_684 "Wahlschalter defekt"
                // read value of PZD_684 before checking its state
                ReadCommand(read_PZD_684);
                if(PZD_684 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_684]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt"
                // read value of PZD_664 before checking its state
                ReadCommand(read_PZD_664);
                if(PZD_664 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt"
                // read value of PZD_557 before checking its state
                ReadCommand(read_PZD_557);
                if(PZD_557 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler"
                // read value of PZD_480 before checking its state
                ReadCommand(read_PZD_480);
                if(PZD_480 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error"
                // read value of PZD_482 before checking its state
                ReadCommand(read_PZD_482);
                if(PZD_482 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception"
                // read value of PZD_675 before checking its state
                ReadCommand(read_PZD_675);
                if(PZD_675 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception"
                // read value of PZD_676 before checking its state
                ReadCommand(read_PZD_676);
                if(PZD_676 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_677 "System: Interner Fehler Mwg-Exception"
                // read value of PZD_677 before checking its state
                ReadCommand(read_PZD_677);
                if(PZD_677 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_677]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception"
                // read value of PZD_678 before checking its state
                ReadCommand(read_PZD_678);
                if(PZD_678 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber"
                // read value of PZD_679 before checking its state
                ReadCommand(read_PZD_679);
                if(PZD_679 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_707 "Interner Fehler MWG Messystem defekt"
                // read value of PZD_707 before checking its state
                ReadCommand(read_PZD_707);
                if(PZD_707 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_707]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_708 "Interner Fehler Endlagen defekt"
                // read value of PZD_708 before checking its state
                ReadCommand(read_PZD_708);
                if(PZD_708 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_708]);
                }
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF"
            if(PZD_268 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU"
            if(PZD_269 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler"
            // read value of PZD_270 before checking its state
            ReadCommand(read_PZD_270);
            if(PZD_270 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler"
            // read value of PZD_718 before checking its state
            ReadCommand(read_PZD_718);
            if(PZD_718 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)"
            // read value of PZD_481 before checking its state
            ReadCommand(read_PZD_481);
            if(PZD_481 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall"
            // read value of PZD_302 before checking its state
            ReadCommand(read_PZD_302);
            if(PZD_302 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität"
            // read value of PZD_479 before checking its state
            ReadCommand(read_PZD_479);
            if(PZD_479 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
            }
        }
        // PDM_DIAG_PROCESS_WARNING: DIS_534 "Sammel-Meldung7: Namur Out Of Spec"
        // read value of PZD_83 before checking its state
        ReadCommand(read_PZD_83);
        if(PZD_83 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_534]);
            // PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung"
            // read value of PZD_78 before checking its state
            ReadCommand(read_PZD_78);
            if(PZD_78 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
                // PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
                // read value of PZD_82 before checking its state
                ReadCommand(read_PZD_82);
                if(PZD_82 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
                    // read value of PZD_666 before checking its state
                    ReadCommand(read_PZD_666);
                    if(PZD_666 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
                    // read value of PZD_758 before checking its state
                    ReadCommand(read_PZD_758);
                    if(PZD_758 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration"
                    // read value of PZD_759 before checking its state
                    ReadCommand(read_PZD_759);
                    if(PZD_759 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_760 "PRM-Konsistenz: MWG-Drehmokonfiguration ZU"
                    // read value of PZD_760 before checking its state
                    ReadCommand(read_PZD_760);
                    if(PZD_760 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_760]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_761 "PRM-Konsistenz: MWG-Drehmokonfiguration AUF"
                    // read value of PZD_761 before checking its state
                    ReadCommand(read_PZD_761);
                    if(PZD_761 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_761]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration"
                    // read value of PZD_762 before checking its state
                    ReadCommand(read_PZD_762);
                    if(PZD_762 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration"
                    // read value of PZD_763 before checking its state
                    ReadCommand(read_PZD_763);
                    if(PZD_763 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration"
                    // read value of PZD_764 before checking its state
                    ReadCommand(read_PZD_764);
                    if(PZD_764 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration"
                    // read value of PZD_765 before checking its state
                    ReadCommand(read_PZD_765);
                    if(PZD_765 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_766 "PRM-Konsistenz: DigIn5-Konfiguration"
                    // read value of PZD_766 before checking its state
                    ReadCommand(read_PZD_766);
                    if(PZD_766 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_766]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_767 "PRM-Konsistenz: DigIn6-Konfiguration"
                    // read value of PZD_767 before checking its state
                    ReadCommand(read_PZD_767);
                    if(PZD_767 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_767]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_768 "PRM-Konsistenz: DigIn7-Konfiguration"
                    // read value of PZD_768 before checking its state
                    ReadCommand(read_PZD_768);
                    if(PZD_768 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_768]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_769 "PRM-Konsistenz: DigIn8-Konfiguration"
                    // read value of PZD_769 before checking its state
                    ReadCommand(read_PZD_769);
                    if(PZD_769 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_769]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_770 "PRM-Konsistenz: DigIn9-Konfiguration"
                    // read value of PZD_770 before checking its state
                    ReadCommand(read_PZD_770);
                    if(PZD_770 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_770]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_771 "PRM-Konsistenz: DigIn10-Konfiguration"
                    // read value of PZD_771 before checking its state
                    ReadCommand(read_PZD_771);
                    if(PZD_771 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_771]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
                    // read value of PZD_808 before checking its state
                    ReadCommand(read_PZD_808);
                    if(PZD_808 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_828 "PRM-Konsistenz: Konfiguration der Profilfahrt"
                    // read value of PZD_828 before checking its state
                    ReadCommand(read_PZD_828);
                    if(PZD_828 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_828]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_832 "PRM-Konsistenz: LWL-Konfiguration"
                    // read value of PZD_832 before checking its state
                    ReadCommand(read_PZD_832);
                    if(PZD_832 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_832]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung"
                // read value of PZD_91 before checking its state
                ReadCommand(read_PZD_91);
                if(PZD_91 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error"
                    // read value of PZD_483 before checking its state
                    ReadCommand(read_PZD_483);
                    if(PZD_483 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error"
                    // read value of PZD_484 before checking its state
                    ReadCommand(read_PZD_484);
                    if(PZD_484 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_619 "Warnung Heizung SA Defekt"
                    // read value of PZD_619 before checking its state
                    ReadCommand(read_PZD_619);
                    if(PZD_619 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_619]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2"
                    // read value of PZD_621 before checking its state
                    ReadCommand(read_PZD_621);
                    if(PZD_621 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_623 "Warnung Signalbruch E2"
                    // read value of PZD_623 before checking its state
                    ReadCommand(read_PZD_623);
                    if(PZD_623 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_623]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2"
                    // read value of PZD_622 before checking its state
                    ReadCommand(read_PZD_622);
                    if(PZD_622 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_93 "Sammel-Meldung 17: Warnung Hydraulik"
                // read value of PZD_93 before checking its state
                ReadCommand(read_PZD_93);
                if(PZD_93 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_93]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_790 "Meldung: Hydraulikdruck (Hydr.-Antrieb)"
                    // read value of PZD_790 before checking its state
                    ReadCommand(read_PZD_790);
                    if(PZD_790 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_790]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_791 "Meldung: Laufzeit Motor (Hydr.-Antrieb)"
                    // read value of PZD_791 before checking its state
                    ReadCommand(read_PZD_791);
                    if(PZD_791 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_791]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_798 "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration"
                    // read value of PZD_798 before checking its state
                    ReadCommand(read_PZD_798);
                    if(PZD_798 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_798]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv"
                // read value of PZD_461 before checking its state
                ReadCommand(read_PZD_461);
                if(PZD_461 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_834 "MWG: Drehmomentwarnung AUF	"
                // read value of PZD_834 before checking its state
                ReadCommand(read_PZD_834);
                if(PZD_834 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_834]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_835 "MWG: Drehmomentwarnung ZU"
                // read value of PZD_835 before checking its state
                ReadCommand(read_PZD_835);
                if(PZD_835 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_835]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)"
                // read value of PZD_486 before checking its state
                ReadCommand(read_PZD_486);
                if(PZD_486 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)"
                // read value of PZD_487 before checking its state
                ReadCommand(read_PZD_487);
                if(PZD_487 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung"
                // read value of PZD_556 before checking its state
                ReadCommand(read_PZD_556);
                if(PZD_556 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung"
                // read value of PZD_563 before checking its state
                ReadCommand(read_PZD_563);
                if(PZD_563 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error"
                // read value of PZD_485 before checking its state
                ReadCommand(read_PZD_485);
                if(PZD_485 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_490 "Lcb: RTC nicht gesetzt"
                // read value of PZD_490 before checking its state
                ReadCommand(read_PZD_490);
                if(PZD_490 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung"
                // read value of PZD_629 before checking its state
                ReadCommand(read_PZD_629);
                if(PZD_629 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor"
                // read value of PZD_630 before checking its state
                ReadCommand(read_PZD_630);
                if(PZD_630 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe"
                // read value of PZD_631 before checking its state
                ReadCommand(read_PZD_631);
                if(PZD_631 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_625 "Warnung LWL (Meldung von Modul))"
                // read value of PZD_625 before checking its state
                ReadCommand(read_PZD_625);
                if(PZD_625 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_625]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_810 "Warnung LWL nicht vorhanden"
                // read value of PZD_810 before checking its state
                ReadCommand(read_PZD_810);
                if(PZD_810 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_810]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_813 "Warnung LWL Budget"
                // read value of PZD_813 before checking its state
                ReadCommand(read_PZD_813);
                if(PZD_813 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_813]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8"
                // read value of PZD_633 before checking its state
                ReadCommand(read_PZD_633);
                if(PZD_633 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9"
                // read value of PZD_634 before checking its state
                ReadCommand(read_PZD_634);
                if(PZD_634 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1"
                // read value of PZD_637 before checking its state
                ReadCommand(read_PZD_637);
                if(PZD_637 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
                }
            }
        }
        // PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_535 "Sammel-Meldung8: Namur Funktionskontrolle"
        // read value of PZD_84 before checking its state
        ReadCommand(read_PZD_84);
        if(PZD_84 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_535]);
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handbetrieb aktiviert"
            // read value of PZD_553 before checking its state
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_844 "Wahlschalter nicht Fern, maskiert"
            // read value of PZD_844 before checking its state
            ReadCommand(read_PZD_844);
            if(PZD_844 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_844]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT"
            // read value of PZD_685 before checking its state
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP"
            // read value of PZD_285 before checking its state
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE"
            // read value of PZD_282 before checking its state
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
        }
        // PDM_DIAG_MAINT_LOW: DIS_536 "Sammel-Meldung9: Namur Wartungsbedarf"
        // read value of PZD_85 before checking its state
        ReadCommand(read_PZD_85);
        if(PZD_85 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MAINT_LOW;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MAINT_LOW, [TXT_DIS_536]);
        }
        // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_537 "Sammel-Meldung10: Namur Ausfall"
        // read value of PZD_86 before checking its state
        ReadCommand(read_PZD_86);
        if(PZD_86 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_537]);
            // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler"
            // read value of PZD_79 before checking its state
            ReadCommand(read_PZD_79);
            if(PZD_79 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
                // read value of PZD_87 before checking its state
                ReadCommand(read_PZD_87);
                if(PZD_87 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber"
                    // read value of PZD_671 before checking its state
                    ReadCommand(read_PZD_671);
                    if(PZD_671 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\""
                    // read value of PZD_809 before checking its state
                    ReadCommand(read_PZD_809);
                    if(PZD_809 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                    }
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler"
                // read value of PZD_90 before checking its state
                ReadCommand(read_PZD_90);
                if(PZD_90 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_417 "MWG: Kalibrier-Feedback Hall-Sensor 1 "
                    // read value of PZD_417 before checking its state
                    ReadCommand(read_PZD_417);
                    if(PZD_417 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_417]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_421 "MWG: Kalibrier-Feedback Hall-Sensor 2 "
                    // read value of PZD_421 before checking its state
                    ReadCommand(read_PZD_421);
                    if(PZD_421 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_421]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_420 "MWG: Kalibrier-Feedback Hall-Sensor 3 "
                    // read value of PZD_420 before checking its state
                    ReadCommand(read_PZD_420);
                    if(PZD_420 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_420]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_419 "MWG: Kalibrier-Feedback Hall-Sensor 4 "
                    // read value of PZD_419 before checking its state
                    ReadCommand(read_PZD_419);
                    if(PZD_419 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_419]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_418 "MWG: Kalibrier-Feedback Hall-Sensor 5 "
                    // read value of PZD_418 before checking its state
                    ReadCommand(read_PZD_418);
                    if(PZD_418 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_418]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_684 "Wahlschalter defekt"
                    // read value of PZD_684 before checking its state
                    ReadCommand(read_PZD_684);
                    if(PZD_684 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_684]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt"
                    // read value of PZD_664 before checking its state
                    ReadCommand(read_PZD_664);
                    if(PZD_664 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt"
                    // read value of PZD_557 before checking its state
                    ReadCommand(read_PZD_557);
                    if(PZD_557 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler"
                    // read value of PZD_480 before checking its state
                    ReadCommand(read_PZD_480);
                    if(PZD_480 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error"
                    // read value of PZD_482 before checking its state
                    ReadCommand(read_PZD_482);
                    if(PZD_482 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception"
                    // read value of PZD_675 before checking its state
                    ReadCommand(read_PZD_675);
                    if(PZD_675 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception"
                    // read value of PZD_676 before checking its state
                    ReadCommand(read_PZD_676);
                    if(PZD_676 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_677 "System: Interner Fehler Mwg-Exception"
                    // read value of PZD_677 before checking its state
                    ReadCommand(read_PZD_677);
                    if(PZD_677 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_677]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception"
                    // read value of PZD_678 before checking its state
                    ReadCommand(read_PZD_678);
                    if(PZD_678 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber"
                    // read value of PZD_679 before checking its state
                    ReadCommand(read_PZD_679);
                    if(PZD_679 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_707 "Interner Fehler MWG Messystem defekt"
                    // read value of PZD_707 before checking its state
                    ReadCommand(read_PZD_707);
                    if(PZD_707 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_707]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_708 "Interner Fehler Endlagen defekt"
                    // read value of PZD_708 before checking its state
                    ReadCommand(read_PZD_708);
                    if(PZD_708 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_708]);
                    }
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF"
                if(PZD_268 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU"
                if(PZD_269 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler"
                // read value of PZD_270 before checking its state
                ReadCommand(read_PZD_270);
                if(PZD_270 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler"
                // read value of PZD_718 before checking its state
                ReadCommand(read_PZD_718);
                if(PZD_718 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)"
                // read value of PZD_481 before checking its state
                ReadCommand(read_PZD_481);
                if(PZD_481 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall"
                // read value of PZD_302 before checking its state
                ReadCommand(read_PZD_302);
                if(PZD_302 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität"
                // read value of PZD_479 before checking its state
                ReadCommand(read_PZD_479);
                if(PZD_479 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
                }
            }
        }
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: vor Gut-Auswertung, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis );
        // reset PDM status if there is no alarm:
        if(PDM_Diag_Status_Diagnosis == PDM_DIAG_NOT_VALIDATED)
        {
            PDM_Diag_Status_Diagnosis = PDM_DIAG_GOOD;
        }
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Ende, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis );
    }
}
#endif /* _PDM_ */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   coPRM_3484
// 
METHOD coPRM_3484
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    DEFINITION
    {
        DELAY(2,[TXT_IN_PROGRESS]);
        iassign(PRM_3484, 1);
        WriteCommand(write_PRM_3484);
        /* reading back information */
        ReadCommand(read_PRM_3484);
        ACKNOWLEDGE([TXT_PROC_FINISHED]);
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   coPRM_3487
// 
METHOD coPRM_3487
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    DEFINITION
    {
        DELAY(2,[TXT_IN_PROGRESS]);
        iassign(PRM_3487, 1);
        WriteCommand(write_PRM_3487);
        /* reading back information */
        ReadCommand(read_PRM_3487);
        ACKNOWLEDGE([TXT_PROC_FINISHED]);
    }
}
 
#ifndef dtmGENERATOR
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Convert MMSS01 to U16
// 
METHOD convert_MMSS01_to_U16(DD_STRING & in, unsigned int & out, unsigned int min_val, unsigned int max_val)
{
    LABEL		[TXT_convert_MMSS01_to_U16];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int i, is_error;
        unsigned int min, sec, dsec, val;
        char smin[6], ssec[6], sdsec[6];
        is_error= 0;
        // check input value and calculate time values
        // structure "[<min>:]<sec>[,<dsec>]"
        // find string after ":":
        ssec= strstr(in,":");
        if (ssec[0]==':')
        {
            smin= in;
            // assign <sec> string (remove 1st char)
            for (i= 0; i<strlen(ssec)-1;i++) { ssec[i]=ssec[i+1]; }
            ssec[i]='\0';
        }
        // else: interpret value as in sec
        else
        {
            // set <min> string
            smin= "0";
            // assign <sec> string
            ssec= in;
        }
        // calculate string after "," or ".":
        sdsec= strstr(in,",");
        if (sdsec[0] == '\0') { sdsec= strstr(in,".");}
        for (i= 0; i<strlen(sdsec)-1;i++) { sdsec[i]=sdsec[i+1]; }
        sdsec[i]='\0';
        // interpret component strings
        dsec= atoi(sdsec) % 10;
        sec= (atoi(ssec) + atoi(sdsec) / 10) % 60;
        min= atoi(smin) + (atoi(ssec) + atoi(sdsec) / 10) / 60;
        // check limits
        val= (min*60 + sec)*10 + dsec;
        if (val > max_val)
        {
            // display error message
            ACKNOWLEDGE([TXT_ERROR_MAX_VALUE]);
            is_error= 1;
        }
        else if (val < min_val)
        {
            // display error message
            ACKNOWLEDGE([TXT_ERROR_MIN_VALUE]);
            is_error= 1;
        }
        if (is_error)
        {
            // readjust values
            dsec= out % 10;
            sec= (out / 10) % 60;
            min= out / 600;
        }
        // merge time values and assign to DD_STRING
        if (min < 10)
            in= "0" + itoa(min) + ":";
        else
            in= itoa(min) + ":";
        if (sec < 10)
            in+= "0" + itoa(sec) + ",";
        else
            in+= itoa(sec) + ",";
        in+= itoa(dsec);
        // assign time value to U16
        out= (min*60 + sec)*10 + dsec;
        // make changes permanent
        save_values();
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Convert U16 to MMSS01
// 
METHOD convert_U16_to_MMSS01(unsigned int in, DD_STRING & out)
{
    LABEL		[TXT_convert_U16_to_MMSS01];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int min;
        int sec;
        int dsec;
        // calculate time values from in
        min= in / 600;
        sec= (in / 10) % 60;
        dsec= in % 10;
        // merge values and assign to out string
        // structure "<min>:<sec>,<dsec>"
        if (min < 10)
            out= "0" + itoa(min) + ":";
        else
            out= itoa(min) + ":";
        if (sec < 10)
            out+= "0" + itoa(sec) + ",";
        else
            out+= itoa(sec) + ",";
        out+= itoa(dsec);
        // make changes permanent
        save_values();
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD refresh DrvCmd4 contents
// 
METHOD refresh_DrvCmd4(unsigned int in, float & speed, float & position, char & dir, char & cmd)
{
    LABEL		[TXT_refresh_DrvCmd4];
    ACCESS		OFFLINE;
    DEFINITION
    {
        speed= (in & 0xFFF)/10.0;
        position= ((in >> 12) & 0xFFF)/10.0;
        dir= (in >> 27) & 0x3;
        cmd= (in >> 29) & 0x7;
        // make changes permanent
        save_values();
    }
}
 
#endif /* !dtmGENERATOR */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special menus
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Download menu
// 
#ifdef dtmGENERATOR
MENU upload_parameters	// parameters will be read from device
{
    LABEL		"Read parameters from device...";
#else
MENU download_variables	// parameter will be read from device
{
    LABEL		[menu_load_to_PC]; //PDM based reference text
#endif  /* dtmGENERATOR */
    ITEMS
    {
        // all READ VARIABLE's
        PRM_5,          // Slot: 254  Index: 17   Name: "Taktstrecke: Start AUF"
        PRM_6,          // Slot: 254  Index: 17   Name: "Taktstrecke: Ende AUF"
        PRM_7,          // Slot: 254  Index: 17   Name: "Taktfahrzeit AUF"
        PRM_8,          // Slot: 254  Index: 17   Name: "Taktpausenzeit AUF"
        PRM_9,          // Slot: 254  Index: 9    Name: "Abschaltart AUF"
        PRM_11,         // Slot: 254  Index: 40   Name: "Reversiersperrzeit"
        PRM_12,         // Slot: 254  Index: 11   Name: "Selbsthaltungsverhalten Ort"
        PRM_13,         // Slot: 254  Index: 17   Name: "Takbetrieb Mode AUF"
        PRM_20,         // Slot: 254  Index: 18   Name: "Stützpunkt 1 Position"
        PRM_28,         // Slot: 254  Index: 20   Name: "Stützpunkt 1 Meldeverhalten"
        PRM_29,         // Slot: 254  Index: 19   Name: "Stützpunkt 1 Fahrverhalten"
        PRM_33,         // Slot: 254  Index: 1    Name: "Sprache Display"
        PRM_45,         // Slot: 0    Index: 45   Name: "Interface1-Vorhanden SOLL-Konfiguration"
        PRM_67,         // Slot: 254  Index: 16   Name: "NOT-Funktion Betriebsart"
        PRM_68,         // Slot: 254  Index: 16   Name: "NOT-Funktion Auslösung"
        PRM_69,         // Slot: 254  Index: 16   Name: "NOT Überbrückung Thermofehler"
        PRM_70,         // Slot: 254  Index: 16   Name: "NOT Überbrückung Drehmomentfehler"
        PRM_71,         // Slot: 254  Index: 16   Name: "NOT Überbrückung Taktgeber"
        PRM_79,         // Slot: 254  Index: 36   Name: "Drehsinn"
        PRM_82,         // Slot: 254  Index: 10   Name: "Anfahrüberbrückungszeit"
        PRM_84,         // Slot: 254  Index: 52   Name: "Stellungsregler Adaptives Verhalten"
        PRM_86,         // Slot: 254  Index: 14   Name: "Totzeit Tt"
        PRM_87,         // Slot: 0    Index: 87   Name: "Totzone Xt"
        PRM_160,        // Slot: 254  Index: 28   Name: "Prozesswert (Auswahl Input Link)"
        PRM_163,        // Slot: 254  Index: 60   Name: "MotorRunningTime (User)"
        PRM_164,        // Slot: 254  Index: 60   Name: "NumberOfStarts (User)"
        PRM_165,        // Slot: 254  Index: 60   Name: "Resets (User)"
        PRM_166,        // Slot: 254  Index: 60   Name: "StopsTrqClose (User)"
        PRM_167,        // Slot: 254  Index: 60   Name: "ErrorsEDMax (User)"
        PRM_168,        // Slot: 254  Index: 60   Name: "ErrorsEDTime (User)"
        PRM_170,        // Slot: 254  Index: 60   Name: "ErrorsThermo (User)"
        PRM_171,        // Slot: 254  Index: 60   Name: "ErrorsTrqOpen (User)"
        PRM_172,        // Slot: 254  Index: 60   Name: "StopsPosClose (User)"
        PRM_173,        // Slot: 254  Index: 60   Name: "StopsTrqOpen (User)"
        PRM_174,        // Slot: 254  Index: 60   Name: "StopsPosOpen (User)"
        PRM_175,        // Slot: 254  Index: 60   Name: "ErrorsTrqClose (User)"
        PRM_181,        // Slot: 1    Index: 81   Name: "Bus-Vorhanden SOLL-Konfiguration"
        PRM_208,        // Slot: 254  Index: 36   Name: "Mode Temperaturfehler"
        PRM_209,        // Slot: 254  Index: 39   Name: "DelayTime"
        PRM_212,        // Slot: 254  Index: 14   Name: "Nachlauf AUF (innere Totzone Xi_AUF)"
        PRM_213,        // Slot: 254  Index: 14   Name: "Nachlauf ZU (innere Totzone Xi_ZU)"
        PRM_214,        // Slot: 254  Index: 14   Name: "Toleranz E1 AUF"
        PRM_215,        // Slot: 254  Index: 14   Name: "Toleranz E1 ZU"
        PRM_217,        // Slot: 2    Index: 17   Name: "Prozeßregler Freischaltung \"Kauf\""
        PRM_230,        // Slot: 254  Index: 16   Name: "NOT-Funktion Verhalten"
        PRM_231,        // Slot: 254  Index: 16   Name: "NOT-Position"
        PRM_466,        // Slot: 254  Index: 18   Name: "Stützpunkt 2 Position"
        PRM_467,        // Slot: 254  Index: 19   Name: "Stützpunkt 2 Fahrverhalten"
        PRM_468,        // Slot: 254  Index: 20   Name: "Stützpunkt 2 Meldeverhalten"
        PRM_470,        // Slot: 254  Index: 18   Name: "Stützpunkt 3 Position"
        PRM_471,        // Slot: 254  Index: 19   Name: "Stützpunkt 3 Fahrverhalten"
        PRM_472,        // Slot: 254  Index: 20   Name: "Stützpunkt 3 Meldeverhalten"
        PRM_474,        // Slot: 254  Index: 18   Name: "Stützpunkt 4 Position"
        PRM_475,        // Slot: 254  Index: 19   Name: "Stützpunkt 4 Fahrverhalten"
        PRM_476,        // Slot: 254  Index: 20   Name: "Stützpunkt 4 Meldeverhalten"
        PRM_478,        // Slot: 254  Index: 18   Name: "Stützpunkt 5 Position"
        PRM_479,        // Slot: 254  Index: 19   Name: "Stützpunkt 5 Fahrverhalten"
        PRM_480,        // Slot: 254  Index: 20   Name: "Stützpunkt 5 Meldeverhalten"
        PRM_482,        // Slot: 254  Index: 18   Name: "Stützpunkt 6 Position"
        PRM_483,        // Slot: 254  Index: 19   Name: "Stützpunkt 6 Fahrverhalten"
        PRM_484,        // Slot: 254  Index: 20   Name: "Stützpunkt 6 Meldeverhalten"
        PRM_486,        // Slot: 254  Index: 18   Name: "Stützpunkt 7 Position"
        PRM_487,        // Slot: 254  Index: 19   Name: "Stützpunkt 7 Fahrverhalten"
        PRM_488,        // Slot: 254  Index: 20   Name: "Stützpunkt 7 Meldeverhalten"
        PRM_490,        // Slot: 254  Index: 18   Name: "Stützpunkt 8 Position"
        PRM_491,        // Slot: 254  Index: 19   Name: "Stützpunkt 8 Fahrverhalten"
        PRM_492,        // Slot: 254  Index: 20   Name: "Stützpunkt 8 Meldeverhalten"
        PRM_495,        // Slot: 254  Index: 59   Name: "MotorRunningTime (Factory)"
        PRM_496,        // Slot: 254  Index: 59   Name: "NumberOfStarts (Factory)"
        PRM_497,        // Slot: 254  Index: 59   Name: "StopsTrqClose (Factory)"
        PRM_498,        // Slot: 254  Index: 59   Name: "StopsPosClose (Factory)"
        PRM_499,        // Slot: 254  Index: 59   Name: "StopsTrqOpen (Factory)"
        PRM_500,        // Slot: 254  Index: 59   Name: "StopsPosOpen (Factory)"
        PRM_501,        // Slot: 254  Index: 59   Name: "ErrorsTrqClose (Factory)"
        PRM_502,        // Slot: 254  Index: 59   Name: "ErrorsTrqOpen (Factory)"
        PRM_503,        // Slot: 254  Index: 59   Name: "ErrorsThermo (Factory)"
        PRM_505,        // Slot: 254  Index: 59   Name: "ErrorsEDTime (Factory)"
        PRM_506,        // Slot: 254  Index: 59   Name: "ErrorsEDMax (Factory)"
        PRM_507,        // Slot: 254  Index: 59   Name: "Resets (Factory)"
        PRM_519,        // Slot: 254  Index: 12   Name: "Selbsthaltungsverhalten Fern1"
        PRM_533,        // Slot: 254  Index: 12   Name: "Selbsthaltungsverhalten Fern2"
        PRM_557,        // Slot: 254  Index: 28   Name: "Prozesswert"
        PRM_561,        // Slot: 254  Index: 28   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_565,        // Slot: 254  Index: 28   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_569,        // Slot: 254  Index: 28   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_578,        // Slot: 254  Index: 9    Name: "Abschaltart ZU"
        PRM_590,        // Slot: 254  Index: 17   Name: "Taktbetrieb Mode ZU"
        PRM_591,        // Slot: 254  Index: 17   Name: "Taktpausenzeit ZU"
        PRM_592,        // Slot: 254  Index: 17   Name: "Taktfahrzeit ZU"
        PRM_593,        // Slot: 254  Index: 17   Name: "Taktstrecke: Ende ZU"
        PRM_594,        // Slot: 254  Index: 17   Name: "Taktstrecke: Start ZU"
        PRM_873,        // Slot: 254  Index: 29   Name: "DigitalIn1-Signal-Ausgang (Default: MODE)"
        PRM_878,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_884,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang "
        PRM_885,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_890,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang"
        PRM_891,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_896,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang"
        PRM_897,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_902,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang"
        PRM_903,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_908,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default:Keine Funktion)"
        PRM_909,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_914,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: NOT )"
        PRM_915,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_920,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: Fern HALT)"
        PRM_921,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_926,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: Fahre AUF)"
        PRM_927,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_932,        // Slot: 254  Index: 29   Name: "Digital-Signal-Ausgang (Default: Fahre ZU)"
        PRM_933,        // Slot: 254  Index: 29   Name: "IsInverted (Invertierter Eingang)"
        PRM_1012,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default AUMA-Fehler)"
        PRM_1013,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1072,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Phasenfehler)"
        PRM_1073,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1077,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Thermofehler)"
        PRM_1078,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1082,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1083,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1087,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmofehler ZU)"
        PRM_1088,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1092,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Wahlschalter FERN)"
        PRM_1093,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1097,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Endlage AUF)"
        PRM_1098,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1102,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Endlage ZU)"
        PRM_1103,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1107,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Weg-Endschalter ZU)"
        PRM_1108,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1112,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1113,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1117,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Drehmo-Schalter ZU)"
        PRM_1118,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1122,       // Slot: 254  Index: 31   Name: "Digital-Signal-Eingang (Default: Weg-Endschalter AUF)"
        PRM_1123,       // Slot: 254  Index: 31   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1129,       // Slot: 254  Index: 30   Name: "Normierter Wert (0 ... 1000): Default: Stellungssollwert E1"
        PRM_1130,       // Slot: 254  Index: 30   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1133,       // Slot: 254  Index: 30   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1137,       // Slot: 254  Index: 30   Name: "Normierter Wert (0 ... 1000): Default: Drehzahl Sollwert"
        PRM_1140,       // Slot: 254  Index: 30   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1141,       // Slot: 254  Index: 30   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1164,       // Slot: 254  Index: 2    Name: "Gerätebezeichnung"
        PRM_1165,       // Slot: 254  Index: 54   Name: "Geräte-TAG"
        PRM_1166,       // Slot: 254  Index: 2    Name: "Projektname"
        PRM_1168,       // Slot: 254  Index: 39   Name: "Drehfeldrichtung kompensieren"
        PRM_1169,       // Slot: 254  Index: 43   Name: "Stellungsregler Aktivierung"
        PRM_1175,       // Slot: 254  Index: 28   Name: "Blinker-Verhalten"
        PRM_1176,       // Slot: 254  Index: 43   Name: "Taktgeber Aktivierung AUF"
        PRM_1177,       // Slot: 254  Index: 43   Name: "Taktgeber Aktivierung ZU"
        PRM_1178,       // Slot: 11   Index: 78   Name: "Stellungsregler \"Kauf\""
        PRM_1179,       // Slot: 254  Index: 14   Name: "max. zulässige Anläufe /h"
        PRM_1182,       // Slot: 254  Index: 10   Name: "Anfahrüberbrückung Freigabe"
        PRM_1254,       // Slot: 254  Index: 32   Name: "Prozessdaten-Eingang(Default: Stellungsistwert E2)"
        PRM_1255,       // Slot: 254  Index: 32   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1262,       // Slot: 254  Index: 32   Name: "Prozessdaten-Eingang (Default: Drehmoment Itwert)"
        PRM_1263,       // Slot: 254  Index: 32   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1321,       // Slot: 13   Index: 21   Name: "Profibus Adresse 1"
        PRM_1322,       // Slot: 13   Index: 22   Name: "Profibus Adresse 2 (redundant)"
        PRM_1433,       // Slot: 254  Index: 1    Name: "Zeitformat"
        PRM_1467,       // Slot: 254  Index: 1    Name: "Zahlenformat"
        PRM_1705,       // Slot: 254  Index: 37   Name: "Winkel max. CLOSE"
        PRM_1706,       // Slot: 254  Index: 37   Name: "Winkel max. OPEN"
        PRM_1707,       // Slot: 254  Index: 37   Name: "Winkel min. CLOSE"
        PRM_1708,       // Slot: 254  Index: 37   Name: "Winkel min. OPEN"
        PRM_1709,       // Slot: 254  Index: 37   Name: "Torque max. CLOSE"
        PRM_1710,       // Slot: 254  Index: 37   Name: "Torque max. OPEN"
        PRM_1711,       // Slot: 254  Index: 37   Name: "Torque min. CLOSE"
        PRM_1712,       // Slot: 254  Index: 37   Name: "Torque min. OPEN"
        PRM_1713,       // Slot: 254  Index: 37   Name: "Torque Totzone"
        PRM_1715,       // Slot: 254  Index: 37   Name: "Korrektur Kennlinie CLOSE"
        PRM_1716,       // Slot: 254  Index: 37   Name: "Korrektur Kennlinie OPEN"
        PRM_1725,       // Slot: 254  Index: 37   Name: "Komparator Hysterese für Endlagen"
        PRM_1741,       // Slot: 254  Index: 37   Name: "Komparator Hysterese"
        PRM_1751,       // Slot: 254  Index: 7    Name: "ArtikelNr Logik IST-Konfiguration"
        PRM_1752,       // Slot: 17   Index: 52   Name: "MWG-Vorhanden SOLL-Konfiguration"
        PRM_1754,       // Slot: 254  Index: 7    Name: "Lcb ArtikelNr  IST-Konfiguration"
        PRM_1755,       // Slot: 254  Index: 7    Name: "ArtikelNr Relaisplatine IST-Konfiguration"
        PRM_1756,       // Slot: 254  Index: 7    Name: "ArtikelNr Optionsplatine  IST-Konfiguration"
        PRM_1757,       // Slot: 254  Index: 7    Name: "ArtikelNr Interface1 IST-Konfiguration"
        PRM_1758,       // Slot: 254  Index: 7    Name: "ArtikelNr Bus  IST-Konfiguration"
        PRM_1759,       // Slot: 254  Index: 5    Name: "Firmware Version AC01.2"
        PRM_1760,       // Slot: 254  Index: 3    Name: "KommNr Steuerung"
        PRM_1761,       // Slot: 254  Index: 4    Name: "KommNr Antrieb"
        PRM_1762,       // Slot: 254  Index: 3    Name: "Werksnummer Steuerung"
        PRM_1763,       // Slot: 254  Index: 4    Name: "Werksnummer Antrieb"
        PRM_1764,       // Slot: 254  Index: 3    Name: "Schaltplannummer Steuerung"
        PRM_1765,       // Slot: 254  Index: 4    Name: "Schaltplannummer Antrieb"
        PRM_1767,       // Slot: 254  Index: 22   Name: "Stützpunkt 1 Hysterese"
        PRM_1768,       // Slot: 254  Index: 22   Name: "Stützpunkt 2 Hysterese"
        PRM_1769,       // Slot: 254  Index: 22   Name: "Stützpunkt 3 Hysterese"
        PRM_1770,       // Slot: 254  Index: 22   Name: "Stützpunkt 4 Hysterese"
        PRM_1771,       // Slot: 254  Index: 22   Name: "Stützpunkt 5 Hysterese"
        PRM_1772,       // Slot: 254  Index: 22   Name: "Stützpunkt 6 Hysterese"
        PRM_1773,       // Slot: 254  Index: 22   Name: "Stützpunkt 7 Hysterese"
        PRM_1774,       // Slot: 254  Index: 22   Name: "Stützpunkt 8 Hysterese"
        PRM_1869,       // Slot: 254  Index: 15   Name: "Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)"
        PRM_1870,       // Slot: 254  Index: 15   Name: "Verhalten Sicherheitsbetrieb (Default: 0 = STOP)"
        PRM_1871,       // Slot: 254  Index: 15   Name: "Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)"
        PRM_1872,       // Slot: 254  Index: 15   Name: "FailSafe-Position"
        PRM_1874,       // Slot: 254  Index: 15   Name: "FailsSafe-Verzögerungszeit"
        PRM_1875,       // Slot: 254  Index: 7    Name: "ArtikelNr MWG IST-Konfiguration"
        PRM_1887,       // Slot: 254  Index: 21   Name: "Stützpunkt 1 Pausenzeit"
        PRM_1888,       // Slot: 254  Index: 21   Name: "Stützpunkt 2 Pausenzeit"
        PRM_1889,       // Slot: 254  Index: 21   Name: "Stützpunkt 3 Pausenzeit"
        PRM_1890,       // Slot: 254  Index: 21   Name: "Stützpunkt 4 Pausenzeit"
        PRM_1891,       // Slot: 254  Index: 21   Name: "Stützpunkt 5 Pausenzeit"
        PRM_1892,       // Slot: 254  Index: 21   Name: "Stützpunkt 6 Pausenzeit"
        PRM_1893,       // Slot: 254  Index: 21   Name: "Stützpunkt 7 Pausenzeit"
        PRM_1894,       // Slot: 254  Index: 21   Name: "Stützpunkt 8 Pausenzeit"
        PRM_1931,       // Slot: 254  Index: 43   Name: "Fahrprofil \"Aktivierung\" (wird auch vom CmdSequencer genutzt)"
        PRM_1969,       // Slot: 254  Index: 37   Name: "Nennmoment Auf (Antrieb)"
        PRM_1996,       // Slot: 254  Index: 1    Name: "Datumsformat"
        PRM_2006,       // Slot: 254  Index: 1    Name: "Anzeigeeinheit Temperatur"
        PRM_2036,       // Slot: 20   Index: 36   Name: "Abschaltmoment AUF [Nm]"
        PRM_2041,       // Slot: 20   Index: 41   Name: "Abschaltmoment ZU [Nm]"
        PRM_2088,       // Slot: 254  Index: 37   Name: "Nennmoment Zu (Antrieb)"
        PRM_2121,       // Slot: 254  Index: 23   Name: "EDEnable"
        PRM_2122,       // Slot: 254  Index: 23   Name: "EDMaxTimeHour"
        PRM_2123,       // Slot: 254  Index: 23   Name: "EDMaxStartHour"
        PRM_2175,       // Slot: 254  Index: 42   Name: " Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT"
        PRM_2176,       // Slot: 254  Index: 3    Name: "Datum der Endabnahme"
        PRM_2178,       // Slot: 21   Index: 78   Name: "minimales Abschaltmoment AUF [Nm]"
        PRM_2179,       // Slot: 21   Index: 79   Name: "maximales Abschaltmoment AUF [Nm]"
        PRM_2180,       // Slot: 21   Index: 80   Name: "minimales Abschaltmoment ZU [Nm]"
        PRM_2181,       // Slot: 21   Index: 81   Name: "maximales Abschaltmoment ZU [Nm]"
        PRM_2182,       // Slot: 254  Index: 1    Name: "Anzeigeeinheit Drehmoment"
        PRM_2188,       // Slot: 254  Index: 54   Name: "Lokale Bluetooth-Geräteadresse (XX:XX:XX:XX:XX:XX)"
        PRM_2217,       // Slot: 254  Index: 6    Name: "App-Lcb"
        PRM_2218,       // Slot: 254  Index: 6    Name: "Btl-Lcb"
        PRM_2219,       // Slot: 254  Index: 6    Name: "App-Logik"
        PRM_2220,       // Slot: 254  Index: 6    Name: "Btl-Logik"
        PRM_2221,       // Slot: 254  Index: 6    Name: "App-Mwg"
        PRM_2222,       // Slot: 254  Index: 6    Name: "Btl-Mwg"
        PRM_2223,       // Slot: 254  Index: 6    Name: "App-Bus"
        PRM_2224,       // Slot: 254  Index: 6    Name: "Btl-Bus"
        PRM_2239,       // Slot: 22   Index: 39   Name: "Logik-Hwib-VI1"
        PRM_2281,       // Slot: 22   Index: 81   Name: "Interface-Hwib-VI1"
        PRM_2293,       // Slot: 22   Index: 93   Name: "Interface-Hwib-VI3"
        PRM_2294,       // Slot: 22   Index: 94   Name: "Interface-Hwib-VI2"
        PRM_2308,       // Slot: 23   Index: 8    Name: "MWG-Hwib-VI2"
        PRM_2339,       // Slot: 23   Index: 39   Name: "OPT-Vorhanden SOLL-Konfiguration"
        PRM_2400,       // Slot: 254  Index: 38   Name: "Mindestwert 5V-Referenzspannung (0...1023)"
        PRM_2401,       // Slot: 254  Index: 38   Name: "Mindestwert Poti-Signal (0...1023)"
        PRM_2402,       // Slot: 254  Index: 38   Name: "Mindestwert Poti-Hub (0...1023)"
        PRM_2415,       // Slot: 24   Index: 15   Name: "Interface2-Vorhanden SOLL-Konfiguration"
        PRM_2418,       // Slot: 254  Index: 1    Name: "Diagnoseauswahl"
        PRM_2546,       // Slot: 254  Index: 25   Name: "Applikationsparameter Betriebsart"
        PRM_2547,       // Slot: 254  Index: 25   Name: "Applikationsparameter Stellzeit (Einheit 0,1 sec)"
        PRM_2554,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)"
        PRM_2555,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_2556,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)"
        PRM_2568,       // Slot: 254  Index: 5    Name: "Version der ausgewählten Sprachdatei"
        PRM_2591,       // Slot: 254  Index: 54   Name: "Bluetooth-Aktivierung"
        PRM_2604,       // Slot: 254  Index: 54   Name: "Bluetooth-Geräteadresse der Gegenstelle(XX:XX:XX:XX:XX:XX)"
        PRM_2755,       // Slot: 27   Index: 55   Name: "Stellungsgeber SOLL-Konfiguration"
        PRM_2798,       // Slot: 254  Index: 41   Name: "Applikationsparameter: 24VExt-Überwachung Aktivierung"
        PRM_2865,       // Slot: 254  Index: 41   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2872,       // Slot: 254  Index: 41   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2878,       // Slot: 254  Index: 41   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2885,       // Slot: 254  Index: 57   Name: "Redundanz-Mode"
        PRM_2916,       // Slot: 254  Index: 14   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler "
        PRM_2917,       // Slot: 254  Index: 14   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler "
        PRM_2923,       // Slot: 254  Index: 43   Name: "Aktivierung NOT-Funktion"
        PRM_2924,       // Slot: 254  Index: 16   Name: "Auswahl Auslösequelle"
        PRM_2950,       // Slot: 254  Index: 16   Name: "NOT Überbrückung Fahrprofil"
        PRM_2992,       // Slot: 254  Index: 36   Name: "Handradschalter: Vorhanden, bzw. Kontaktart"
        PRM_3006,       // Slot: 254  Index: 57   Name: "Profibus Ident Nr"
        PRM_3053,       // Slot: 254  Index: 38   Name: "Hysterese"
        PRM_3059,       // Slot: 30   Index: 59   Name: "Anzahl Bus-Kanäle Soll*"
        PRM_3134,       // Slot: 31   Index: 34   Name: "\"Freigabe OSS\" Kaufparameter"
        PRM_3135,       // Slot: 254  Index: 43   Name: "\"Freigabe OSS\" Aktivierung"
        PRM_3136,       // Slot: 254  Index: 11   Name: "\"Freigabe OSS\" Verhalten"
        PRM_3143,       // Slot: 254  Index: 11   Name: "\"Lokaler Halt\" Verhalten"
        PRM_3156,       // Slot: 31   Index: 56   Name: "Applikation: Betriebsart EX-Ausführung"
        PRM_3157,       // Slot: 254  Index: 26   Name: "Applikation: Betriebsart Standard-Ausführung"
        PRM_3158,       // Slot: 254  Index: 26   Name: "Applikation: Überwachungszeit"
        PRM_3172,       // Slot: 254  Index: 36   Name: "Applikationsparameter: Heizungsüberwachung aktivieren"
        PRM_3180,       // Slot: 254  Index: 41   Name: "Applikationsparameter: Heizungsüberwachung aktivieren"
        PRM_3187,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_3188,       // Slot: 254  Index: 24   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Inkremente)"
        PRM_3216,       // Slot: 32   Index: 16   Name: "Applikationsparameter ApplRelease"
        PRM_3217,       // Slot: 254  Index: 43   Name: "Applikationsparameter ApplActivation"
        PRM_3218,       // Slot: 254  Index: 27   Name: "Applikationsparameter ApplMode"
        PRM_3219,       // Slot: 254  Index: 27   Name: "Applikationsparameter ApplBehaviour"
        PRM_3232,       // Slot: 254  Index: 41   Name: "Enable"
        PRM_3255,       // Slot: 254  Index: 27   Name: "Applikationsparameter ApplIgnoreESD"
        PRM_3295,       // Slot: 254  Index: 16   Name: "NOT Überbrückung Lokaler Halt"
        PRM_3297,       // Slot: 32   Index: 97   Name: "Hydraulikantrieb SOLL-Konfiguration"
        PRM_3479,       // Slot: 254  Index: 58   Name: "Lwl-Modul (FPGA)"
        PRM_3481,       // Slot: 34   Index: 81   Name: "Lwl-Bus-Topologie"
        PRM_3482,       // Slot: 34   Index: 82   Name: "Lwl-Überwachung"
        PRM_3495,       // Slot: 34   Index: 95   Name: "LwlMod-Vorhanden SOLL-Konfiguration"
        PRM_3496,       // Slot: 34   Index: 96   Name: "Lwl-Baudrate"
        PRM_3527,       // Slot: 254  Index: 57   Name: "Sende-Mode (sende auf 2 Leitungen)"
        PRM_3590,       // Slot: 35   Index: 90   Name: "Prozeßregler Aktivierung"
        PRM_3596,       // Slot: 35   Index: 96   Name: "Redundanz-Mode"
        PRM_3629,       // Slot: 36   Index: 29   Name: "SetTime_ms"
        PRM_3657,       // Slot: 36   Index: 57   Name: "Komparator Threshold"
        PRM_3667,       // Slot: 36   Index: 67   Name: "Komparator Threshold"
        PRM_3691,       // Slot: 36   Index: 91   Name: "Freikauf"
        PRM_3692,       // Slot: 36   Index: 92   Name: "Aktivierung"
        PRM_3693,       // Slot: 254  Index: 11   Name: "Verhalten"
        PRM_3694,       // Slot: 254  Index: 11   Name: "Feldbus beachten"
        PRM_3770,       // Slot: 37   Index: 70   Name: "AutoChangeOver Kauf"
        PRM_3771,       // Slot: 37   Index: 71   Name: "AutoChangeOver Aktivierung"
        PRM_3970,       // Slot: 39   Index: 70   Name: "Drehmomentüberwachung Kauf"
        PRM_3971,       // Slot: 39   Index: 71   Name: "Drehmomentüberwachung Aktivierung"
        PRM_4015,       // Slot: 254  Index: 16   Name: "Parameter: DelayTime (Default: 1,0 sec)"
        PZD_2,          // Slot: 254  Index: 44   Name: "Stellungsistwert Stellantrieb E2"
        PZD_4,          // Slot: 254  Index: 62   Name: "Temperatur Steuerung"
        PZD_5,          // Slot: 254  Index: 62   Name: "Temperatur Stellantrieb (Motor)"
        PZD_6,          // Slot: 254  Index: 62   Name: "Temperatur Stellantrieb (Getriebe)"
        PZD_7,          // Slot: 254  Index: 52   Name: "Stellungs-Sollwert E1"
        PZD_77,         // Slot: 0    Index: 205  Name: "Sammel-Meldung1: Info"
        PZD_78,         // Slot: 0    Index: 206  Name: "Sammel-Meldung2: Warnung"
        PZD_79,         // Slot: 0    Index: 207  Name: "Sammel-Meldung3: Fehler"
        PZD_80,         // Slot: 0    Index: 208  Name: "Sammel-Meldung4: nicht bereit Fern"
        PZD_81,         // Slot: 0    Index: 209  Name: "Sammel-Meldung5: auma OK"
        PZD_82,         // Slot: 0    Index: 210  Name: "Sammel-Meldung6: Konfigurationswarnung"
        PZD_83,         // Slot: 0    Index: 211  Name: "Sammel-Meldung7: Namur Out Of Spec"
        PZD_84,         // Slot: 0    Index: 212  Name: "Sammel-Meldung8: Namur Funktionskontrolle"
        PZD_85,         // Slot: 0    Index: 213  Name: "Sammel-Meldung9: Namur Wartungsbedarf"
        PZD_86,         // Slot: 0    Index: 214  Name: "Sammel-Meldung10: Namur Ausfall"
        PZD_87,         // Slot: 0    Index: 215  Name: "Sammel-Meldung 11: Konfigurationsfehler"
        PZD_89,         // Slot: 0    Index: 217  Name: "Sammel-Meldung 13: Falscher Befehl"
        PZD_90,         // Slot: 0    Index: 218  Name: "Sammel-Meldung 14: Interne Fehler"
        PZD_91,         // Slot: 0    Index: 219  Name: "Sammel-Meldung 15: Interne Warnung"
        PZD_92,         // Slot: 0    Index: 220  Name: "Sammel-Meldung 16: Diagnose Feldbus"
        PZD_93,         // Slot: 0    Index: 221  Name: "Sammel-Meldung 17: Warnung Hydraulik"
        PZD_101,        // Slot: 1    Index: 129  Name: "Sammel-Meldung: Reserve 32 "
        PZD_104,        // Slot: 1    Index: 132  Name: "Sammel-Meldung: Reserve 29"
        PZD_109,        // Slot: 254  Index: 62   Name: "Temperatur Steuereinheit"
        PZD_112,        // Slot: 254  Index: 44   Name: "Wahlschalter"
        PZD_120,        // Slot: 254  Index: 44   Name: "Logik: Betriebsmodus"
        PZD_144,        // Slot: 254  Index: 44   Name: "Logik: Fahrbefehl"
        PZD_264,        // Slot: 254  Index: 44   Name: "Logik: Fährt Richtung AUF (logisch)"
        PZD_265,        // Slot: 254  Index: 44   Name: "Logik: Fährt Richtung ZU (logisch)"
        PZD_268,        // Slot: 254  Index: 44   Name: "Logik: Bypassed Drehmomentfehler AUF"
        PZD_269,        // Slot: 254  Index: 44   Name: "Logik: Bypassed Drehmomentfehler ZU"
        PZD_270,        // Slot: 2    Index: 198  Name: "Logik: Bypassed Thermofehler"
        PZD_275,        // Slot: 2    Index: 203  Name: "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 "
        PZD_280,        // Slot: 2    Index: 208  Name: "Logik: Betriebsmodus EMCY_OP"
        PZD_281,        // Slot: 2    Index: 209  Name: "Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen"
        PZD_282,        // Slot: 2    Index: 210  Name: "Logik: Betriebsmodus SERVICE"
        PZD_285,        // Slot: 2    Index: 213  Name: "Logik: Betriebsmodus EMCY_STOP"
        PZD_302,        // Slot: 3    Index: 130  Name: "Logik: Phasenausfall"
        PZD_371,        // Slot: 3    Index: 199  Name: "Logik: ungültiger Fahrbefehl"
        PZD_375,        // Slot: 254  Index: 44   Name: "Logik: Wegendlage Shalter AUF (konditioniert)"
        PZD_376,        // Slot: 254  Index: 44   Name: "Logik: Wegendlage Schalter ZU (konditioniert)"
        PZD_401,        // Slot: 254  Index: 44   Name: "Logik: Position erreicht"
        PZD_417,        // Slot: 4    Index: 145  Name: "MWG: Kalibrier-Feedback Hall-Sensor 1 "
        PZD_418,        // Slot: 4    Index: 146  Name: "MWG: Kalibrier-Feedback Hall-Sensor 5 "
        PZD_419,        // Slot: 4    Index: 147  Name: "MWG: Kalibrier-Feedback Hall-Sensor 4 "
        PZD_420,        // Slot: 4    Index: 148  Name: "MWG: Kalibrier-Feedback Hall-Sensor 3 "
        PZD_421,        // Slot: 4    Index: 149  Name: "MWG: Kalibrier-Feedback Hall-Sensor 2 "
        PZD_459,        // Slot: 254  Index: 44   Name: "Logik: Signal Torque OPEN "
        PZD_460,        // Slot: 254  Index: 44   Name: "Logik: Signal Torque CLOSE"
        PZD_461,        // Slot: 4    Index: 189  Name: "FailSafe ist aktiv"
        PZD_479,        // Slot: 4    Index: 207  Name: "Logik: Netzqualität"
        PZD_480,        // Slot: 4    Index: 208  Name: "Logik: HW-Fehler"
        PZD_481,        // Slot: 4    Index: 209  Name: "Logik: PH_DIR_NOK (falsche Phasenfolge)"
        PZD_482,        // Slot: 4    Index: 210  Name: "Logik: 24VAC Error"
        PZD_483,        // Slot: 4    Index: 211  Name: "Logik: 24VKD Error"
        PZD_484,        // Slot: 4    Index: 212  Name: "Logik: 24VInt Error"
        PZD_485,        // Slot: 4    Index: 213  Name: "Logik: 24VExt Error"
        PZD_486,        // Slot: 4    Index: 214  Name: "Lcb: ED Warnung 1: (Laufzeit)"
        PZD_487,        // Slot: 4    Index: 215  Name: "Lcb: ED Warnung 2 (Anläufe)"
        PZD_488,        // Slot: 254  Index: 53   Name: "Lcb: ED Aktuelle Einschaltzeit"
        PZD_489,        // Slot: 254  Index: 53   Name: "Lcb: ED Aktuelle Schaltspiele"
        PZD_490,        // Slot: 4    Index: 218  Name: "Lcb: RTC nicht gesetzt"
        PZD_545,        // Slot: 254  Index: 44   Name: "Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000)"
        PZD_553,        // Slot: 5    Index: 181  Name: "Logik: Handbetrieb aktiviert"
        PZD_555,        // Slot: 5    Index: 183  Name: "Falscher Befehl Interface I"
        PZD_556,        // Slot: 5    Index: 184  Name: "Stellzeitwarnung"
        PZD_557,        // Slot: 5    Index: 185  Name: "Motorschutzüberwachung defekt"
        PZD_563,        // Slot: 5    Index: 191  Name: "Keine Reaktion: Warnung"
        PZD_576,        // Slot: 5    Index: 204  Name: "Watchdog-Status (Kanal 1)"
        PZD_577,        // Slot: 5    Index: 205  Name: "DP-Status (Kanal 1)"
        PZD_578,        // Slot: 5    Index: 206  Name: "Baudrate (Kanal 1)"
        PZD_579,        // Slot: 5    Index: 207  Name: "0 Byte Tele Clear (Kanal 1)"
        PZD_580,        // Slot: 5    Index: 208  Name: "Global Control Clear (Kanal 1)"
        PZD_581,        // Slot: 5    Index: 209  Name: "Global Control Freeze (Kanal 1)"
        PZD_582,        // Slot: 5    Index: 210  Name: "Global Control Sync (Kanal 1)"
        PZD_583,        // Slot: 5    Index: 211  Name: "Watchdog-Status (Kanal 2)"
        PZD_584,        // Slot: 5    Index: 212  Name: "DP-Status (Kanal 2)"
        PZD_585,        // Slot: 5    Index: 213  Name: "Baudrate (Kanal 2)"
        PZD_586,        // Slot: 5    Index: 214  Name: "0 Byte Tele Clear (Kanal 2)"
        PZD_587,        // Slot: 5    Index: 215  Name: "Global Control Clear (Kanal 2)"
        PZD_588,        // Slot: 5    Index: 216  Name: "Global Control Freeze (Kanal 2)"
        PZD_589,        // Slot: 5    Index: 217  Name: "Global Control Sync (Kanal 2)"
        PZD_604,        // Slot: 254  Index: 57   Name: "Fahrbefehlskanal 1 aktiv"
        PZD_605,        // Slot: 254  Index: 57   Name: "Fahrbefehlskanal 2 aktiv"
        PZD_606,        // Slot: 6    Index: 134  Name: "Feldbus Fail Safe aktiv"
        PZD_619,        // Slot: 6    Index: 147  Name: "Warnung Heizung SA Defekt"
        PZD_621,        // Slot: 6    Index: 149  Name: "Warnung keine Referenzfahrrt E2"
        PZD_622,        // Slot: 6    Index: 150  Name: "Warnung geringer Signalhub E2"
        PZD_623,        // Slot: 6    Index: 151  Name: "Warnung Signalbruch E2"
        PZD_625,        // Slot: 6    Index: 153  Name: "Warnung LWL (Meldung von Modul))"
        PZD_629,        // Slot: 6    Index: 157  Name: "Warnung Temperatur Steuerung"
        PZD_630,        // Slot: 6    Index: 158  Name: "Warnung Temperatur Motor"
        PZD_631,        // Slot: 6    Index: 159  Name: "Warnung Temperatur Getriebe"
        PZD_633,        // Slot: 6    Index: 161  Name: "Warnung AnalogIn 1 E8"
        PZD_634,        // Slot: 6    Index: 162  Name: "Warnung AnalogIn 2 E9"
        PZD_637,        // Slot: 6    Index: 165  Name: "Warnung Sollposition E1"
        PZD_657,        // Slot: 6    Index: 185  Name: "DP-Status Data Ex (Kanal 1)"
        PZD_658,        // Slot: 6    Index: 186  Name: "DP-Status Data Ex (Kanal 2)"
        PZD_659,        // Slot: 254  Index: 52   Name: "Aktuelle Totzone (Stellungsreglerausgang)"
        PZD_664,        // Slot: 6    Index: 192  Name: "Meldung: Ausgang defekt"
        PZD_666,        // Slot: 6    Index: 194  Name: "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
        PZD_671,        // Slot: 6    Index: 199  Name: "System: Interner Fehler Konfiguration Stellungsgeber"
        PZD_675,        // Slot: 6    Index: 203  Name: "System: Interner Fehler Lcb-Exception"
        PZD_676,        // Slot: 6    Index: 204  Name: "System: Interner Fehler Logik-Exception"
        PZD_677,        // Slot: 6    Index: 205  Name: "System: Interner Fehler Mwg-Exception"
        PZD_678,        // Slot: 6    Index: 206  Name: "System: Interner Fehler Bus-Exception"
        PZD_679,        // Slot: 6    Index: 207  Name: "Fehler Stellungsgeber"
        PZD_684,        // Slot: 6    Index: 212  Name: "Wahlschalter defekt"
        PZD_685,        // Slot: 6    Index: 213  Name: "lokaler HALT"
        PZD_688,        // Slot: 6    Index: 216  Name: "Falscher Befehl Feldbus"
        PZD_707,        // Slot: 7    Index: 135  Name: "Interner Fehler MWG Messystem defekt"
        PZD_708,        // Slot: 7    Index: 136  Name: "Interner Fehler Endlagen defekt"
        PZD_709,        // Slot: 254  Index: 52   Name: "Stellungsistwert Stellantrieb E2 (synchronisiert)"
        PZD_718,        // Slot: 7    Index: 146  Name: "Keine Reaktion: Fehler"
        PZD_737,        // Slot: 254  Index: 57   Name: "DPV1_Control"
        PZD_738,        // Slot: 254  Index: 57   Name: "DPV1 C2-Verbindung aktiv"
        PZD_741,        // Slot: 254  Index: 57   Name: "Primary Channel"
        PZD_742,        // Slot: 254  Index: 57   Name: "Secondary Channel"
        PZD_744,        // Slot: 254  Index: 57   Name: "DP-V1 GSD aktiv"
        PZD_745,        // Slot: 254  Index: 57   Name: "DP-REDUNDANZ aktiv"
        PZD_746,        // Slot: 254  Index: 57   Name: "DP-ALARM aktiv"
        PZD_757,        // Slot: 7    Index: 185  Name: "InterlockActive"
        PZD_758,        // Slot: 7    Index: 186  Name: "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
        PZD_759,        // Slot: 7    Index: 187  Name: "PRM-Konsistenz: Feldbuskonfiguration"
        PZD_760,        // Slot: 7    Index: 188  Name: "PRM-Konsistenz: MWG-Drehmokonfiguration ZU"
        PZD_761,        // Slot: 7    Index: 189  Name: "PRM-Konsistenz: MWG-Drehmokonfiguration AUF"
        PZD_762,        // Slot: 7    Index: 190  Name: "PRM-Konsistenz: DigIn1-Konfiguration"
        PZD_763,        // Slot: 7    Index: 191  Name: "PRM-Konsistenz: DigIn2-Konfiguration"
        PZD_764,        // Slot: 7    Index: 192  Name: "PRM-Konsistenz: DigIn3-Konfiguration"
        PZD_765,        // Slot: 7    Index: 193  Name: "PRM-Konsistenz: DigIn4-Konfiguration"
        PZD_766,        // Slot: 7    Index: 194  Name: "PRM-Konsistenz: DigIn5-Konfiguration"
        PZD_767,        // Slot: 7    Index: 195  Name: "PRM-Konsistenz: DigIn6-Konfiguration"
        PZD_768,        // Slot: 7    Index: 196  Name: "PRM-Konsistenz: DigIn7-Konfiguration"
        PZD_769,        // Slot: 7    Index: 197  Name: "PRM-Konsistenz: DigIn8-Konfiguration"
        PZD_770,        // Slot: 7    Index: 198  Name: "PRM-Konsistenz: DigIn9-Konfiguration"
        PZD_771,        // Slot: 7    Index: 199  Name: "PRM-Konsistenz: DigIn10-Konfiguration"
        PZD_790,        // Slot: 7    Index: 218  Name: "Meldung: Hydraulikdruck (Hydr.-Antrieb)"
        PZD_791,        // Slot: 7    Index: 219  Name: "Meldung: Laufzeit Motor (Hydr.-Antrieb)"
        PZD_794,        // Slot: 254  Index: 58   Name: "Lwl-Signalqualität Kanal-1"
        PZD_795,        // Slot: 254  Index: 58   Name: "Lwl-Signalqualität Kanal-2"
        PZD_797,        // Slot: 254  Index: 58   Name: "Lwl-Baudrate"
        PZD_798,        // Slot: 7    Index: 226  Name: "PRM-Konsistenz: Hydraulik-Speicherdruckkonfiguration"
        PZD_808,        // Slot: 8    Index: 136  Name: "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
        PZD_809,        // Slot: 8    Index: 137  Name: "System: Konfigurationsfehler \"FERN-Interface fehlt\""
        PZD_810,        // Slot: 8    Index: 138  Name: "Warnung LWL nicht vorhanden"
        PZD_813,        // Slot: 8    Index: 141  Name: "Warnung LWL Budget"
        PZD_828,        // Slot: 8    Index: 156  Name: "PRM-Konsistenz: Konfiguration der Profilfahrt"
        PZD_832,        // Slot: 8    Index: 160  Name: "PRM-Konsistenz: LWL-Konfiguration"
        PZD_833,        // Slot: 254  Index: 58   Name: "Lwl-Formatfehler RS485"
        PZD_834,        // Slot: 8    Index: 162  Name: "MWG: Drehmomentwarnung AUF	"
        PZD_835,        // Slot: 8    Index: 163  Name: "MWG: Drehmomentwarnung ZU"
        PZD_844         // Slot: 8    Index: 172  Name: "Wahlschalter nicht Fern, maskiert"
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Upload menu
// 
#ifdef dtmGENERATOR
MENU download_parameters	// parameters will be written to device
{
    LABEL		"Write parameters to device...";
#else
MENU upload_variables	// parameter will be written to device
{
    LABEL		[menu_load_to_device]; //PDM based reference text
#endif /* dtmGENERATOR */
    ITEMS
    {
        // all WRITE VARIABLE's
        PRM_5,          // Slot: 0    Index: 5    Name: "Taktstrecke: Start AUF"
        PRM_6,          // Slot: 0    Index: 6    Name: "Taktstrecke: Ende AUF"
        PRM_7,          // Slot: 0    Index: 7    Name: "Taktfahrzeit AUF"
        PRM_8,          // Slot: 0    Index: 8    Name: "Taktpausenzeit AUF"
        PRM_9,          // Slot: 0    Index: 9    Name: "Abschaltart AUF"
        PRM_12,         // Slot: 0    Index: 12   Name: "Selbsthaltungsverhalten Ort"
        PRM_13,         // Slot: 0    Index: 13   Name: "Takbetrieb Mode AUF"
        PRM_20,         // Slot: 0    Index: 20   Name: "Stützpunkt 1 Position"
        PRM_28,         // Slot: 0    Index: 28   Name: "Stützpunkt 1 Meldeverhalten"
        PRM_29,         // Slot: 0    Index: 29   Name: "Stützpunkt 1 Fahrverhalten"
        PRM_33,         // Slot: 0    Index: 33   Name: "Sprache Display"
        PRM_67,         // Slot: 0    Index: 67   Name: "NOT-Funktion Betriebsart"
        PRM_68,         // Slot: 0    Index: 68   Name: "NOT-Funktion Auslösung"
        PRM_69,         // Slot: 0    Index: 69   Name: "NOT Überbrückung Thermofehler"
        PRM_70,         // Slot: 0    Index: 70   Name: "NOT Überbrückung Drehmomentfehler"
        PRM_71,         // Slot: 0    Index: 71   Name: "NOT Überbrückung Taktgeber"
        PRM_82,         // Slot: 0    Index: 82   Name: "Anfahrüberbrückungszeit"
        PRM_84,         // Slot: 0    Index: 84   Name: "Stellungsregler Adaptives Verhalten"
        PRM_86,         // Slot: 0    Index: 86   Name: "Totzeit Tt"
        PRM_87,         // Slot: 0    Index: 87   Name: "Totzone Xt"
        PRM_160,        // Slot: 1    Index: 60   Name: "Prozesswert (Auswahl Input Link)"
        PRM_208,        // Slot: 2    Index: 8    Name: "Mode Temperaturfehler"
        PRM_209,        // Slot: 2    Index: 9    Name: "DelayTime"
        PRM_212,        // Slot: 2    Index: 12   Name: "Nachlauf AUF (innere Totzone Xi_AUF)"
        PRM_213,        // Slot: 2    Index: 13   Name: "Nachlauf ZU (innere Totzone Xi_ZU)"
        PRM_214,        // Slot: 2    Index: 14   Name: "Toleranz E1 AUF"
        PRM_215,        // Slot: 2    Index: 15   Name: "Toleranz E1 ZU"
        PRM_230,        // Slot: 2    Index: 30   Name: "NOT-Funktion Verhalten"
        PRM_231,        // Slot: 2    Index: 31   Name: "NOT-Position"
        PRM_466,        // Slot: 4    Index: 66   Name: "Stützpunkt 2 Position"
        PRM_467,        // Slot: 4    Index: 67   Name: "Stützpunkt 2 Fahrverhalten"
        PRM_468,        // Slot: 4    Index: 68   Name: "Stützpunkt 2 Meldeverhalten"
        PRM_470,        // Slot: 4    Index: 70   Name: "Stützpunkt 3 Position"
        PRM_471,        // Slot: 4    Index: 71   Name: "Stützpunkt 3 Fahrverhalten"
        PRM_472,        // Slot: 4    Index: 72   Name: "Stützpunkt 3 Meldeverhalten"
        PRM_474,        // Slot: 4    Index: 74   Name: "Stützpunkt 4 Position"
        PRM_475,        // Slot: 4    Index: 75   Name: "Stützpunkt 4 Fahrverhalten"
        PRM_476,        // Slot: 4    Index: 76   Name: "Stützpunkt 4 Meldeverhalten"
        PRM_478,        // Slot: 4    Index: 78   Name: "Stützpunkt 5 Position"
        PRM_479,        // Slot: 4    Index: 79   Name: "Stützpunkt 5 Fahrverhalten"
        PRM_480,        // Slot: 4    Index: 80   Name: "Stützpunkt 5 Meldeverhalten"
        PRM_482,        // Slot: 4    Index: 82   Name: "Stützpunkt 6 Position"
        PRM_483,        // Slot: 4    Index: 83   Name: "Stützpunkt 6 Fahrverhalten"
        PRM_484,        // Slot: 4    Index: 84   Name: "Stützpunkt 6 Meldeverhalten"
        PRM_486,        // Slot: 4    Index: 86   Name: "Stützpunkt 7 Position"
        PRM_487,        // Slot: 4    Index: 87   Name: "Stützpunkt 7 Fahrverhalten"
        PRM_488,        // Slot: 4    Index: 88   Name: "Stützpunkt 7 Meldeverhalten"
        PRM_490,        // Slot: 4    Index: 90   Name: "Stützpunkt 8 Position"
        PRM_491,        // Slot: 4    Index: 91   Name: "Stützpunkt 8 Fahrverhalten"
        PRM_492,        // Slot: 4    Index: 92   Name: "Stützpunkt 8 Meldeverhalten"
        PRM_519,        // Slot: 5    Index: 19   Name: "Selbsthaltungsverhalten Fern1"
        PRM_533,        // Slot: 5    Index: 33   Name: "Selbsthaltungsverhalten Fern2"
        PRM_557,        // Slot: 5    Index: 57   Name: "Prozesswert"
        PRM_561,        // Slot: 5    Index: 61   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_565,        // Slot: 5    Index: 65   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_569,        // Slot: 5    Index: 69   Name: "Prozesswert  (Auswahl Input Link)"
        PRM_578,        // Slot: 5    Index: 78   Name: "Abschaltart ZU"
        PRM_590,        // Slot: 5    Index: 90   Name: "Taktbetrieb Mode ZU"
        PRM_591,        // Slot: 5    Index: 91   Name: "Taktpausenzeit ZU"
        PRM_592,        // Slot: 5    Index: 92   Name: "Taktfahrzeit ZU"
        PRM_593,        // Slot: 5    Index: 93   Name: "Taktstrecke: Ende ZU"
        PRM_594,        // Slot: 5    Index: 94   Name: "Taktstrecke: Start ZU"
        PRM_1012,       // Slot: 10   Index: 12   Name: "Digital-Signal-Eingang (Default AUMA-Fehler)"
        PRM_1013,       // Slot: 10   Index: 13   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1072,       // Slot: 10   Index: 72   Name: "Digital-Signal-Eingang (Default: Phasenfehler)"
        PRM_1073,       // Slot: 10   Index: 73   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1077,       // Slot: 10   Index: 77   Name: "Digital-Signal-Eingang (Default: Thermofehler)"
        PRM_1078,       // Slot: 10   Index: 78   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1082,       // Slot: 10   Index: 82   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1083,       // Slot: 10   Index: 83   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1087,       // Slot: 10   Index: 87   Name: "Digital-Signal-Eingang (Default: Drehmofehler ZU)"
        PRM_1088,       // Slot: 10   Index: 88   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1092,       // Slot: 10   Index: 92   Name: "Digital-Signal-Eingang (Default: Wahlschalter FERN)"
        PRM_1093,       // Slot: 10   Index: 93   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1097,       // Slot: 10   Index: 97   Name: "Digital-Signal-Eingang (Default: Endlage AUF)"
        PRM_1098,       // Slot: 10   Index: 98   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1102,       // Slot: 11   Index: 2    Name: "Digital-Signal-Eingang (Default: Endlage ZU)"
        PRM_1103,       // Slot: 11   Index: 3    Name: "IsInverted (Invertierter Ausgang)"
        PRM_1107,       // Slot: 11   Index: 7    Name: "Digital-Signal-Eingang (Default: Weg-Endschalter ZU)"
        PRM_1108,       // Slot: 11   Index: 8    Name: "IsInverted (Invertierter Ausgang)"
        PRM_1112,       // Slot: 11   Index: 12   Name: "Digital-Signal-Eingang (Default: Drehmoschalter AUF)"
        PRM_1113,       // Slot: 11   Index: 13   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1117,       // Slot: 11   Index: 17   Name: "Digital-Signal-Eingang (Default: Drehmo-Schalter ZU)"
        PRM_1118,       // Slot: 11   Index: 18   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1122,       // Slot: 11   Index: 22   Name: "Digital-Signal-Eingang (Default: Weg-Endschalter AUF)"
        PRM_1123,       // Slot: 11   Index: 23   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1130,       // Slot: 11   Index: 30   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1133,       // Slot: 11   Index: 33   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1140,       // Slot: 11   Index: 40   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1141,       // Slot: 11   Index: 41   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1165,       // Slot: 11   Index: 65   Name: "Geräte-TAG"
        PRM_1166,       // Slot: 11   Index: 66   Name: "Projektname"
        PRM_1169,       // Slot: 11   Index: 69   Name: "Stellungsregler Aktivierung"
        PRM_1175,       // Slot: 11   Index: 75   Name: "Blinker-Verhalten"
        PRM_1176,       // Slot: 11   Index: 76   Name: "Taktgeber Aktivierung AUF"
        PRM_1177,       // Slot: 11   Index: 77   Name: "Taktgeber Aktivierung ZU"
        PRM_1179,       // Slot: 11   Index: 79   Name: "max. zulässige Anläufe /h"
        PRM_1182,       // Slot: 11   Index: 82   Name: "Anfahrüberbrückung Freigabe"
        PRM_1255,       // Slot: 12   Index: 55   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1263,       // Slot: 12   Index: 63   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1433,       // Slot: 14   Index: 33   Name: "Zeitformat"
        PRM_1467,       // Slot: 14   Index: 67   Name: "Zahlenformat"
        PRM_1869,       // Slot: 18   Index: 69   Name: "Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)"
        PRM_1870,       // Slot: 18   Index: 70   Name: "Verhalten Sicherheitsbetrieb (Default: 0 = STOP)"
        PRM_1871,       // Slot: 18   Index: 71   Name: "Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)"
        PRM_1872,       // Slot: 18   Index: 72   Name: "FailSafe-Position"
        PRM_1874,       // Slot: 18   Index: 74   Name: "FailsSafe-Verzögerungszeit"
        PRM_1887,       // Slot: 18   Index: 87   Name: "Stützpunkt 1 Pausenzeit"
        PRM_1888,       // Slot: 18   Index: 88   Name: "Stützpunkt 2 Pausenzeit"
        PRM_1889,       // Slot: 18   Index: 89   Name: "Stützpunkt 3 Pausenzeit"
        PRM_1890,       // Slot: 18   Index: 90   Name: "Stützpunkt 4 Pausenzeit"
        PRM_1891,       // Slot: 18   Index: 91   Name: "Stützpunkt 5 Pausenzeit"
        PRM_1892,       // Slot: 18   Index: 92   Name: "Stützpunkt 6 Pausenzeit"
        PRM_1893,       // Slot: 18   Index: 93   Name: "Stützpunkt 7 Pausenzeit"
        PRM_1894,       // Slot: 18   Index: 94   Name: "Stützpunkt 8 Pausenzeit"
        PRM_1931,       // Slot: 19   Index: 31   Name: "Fahrprofil \"Aktivierung\" (wird auch vom CmdSequencer genutzt)"
        PRM_1996,       // Slot: 19   Index: 96   Name: "Datumsformat"
        PRM_2006,       // Slot: 20   Index: 6    Name: "Anzeigeeinheit Temperatur"
        PRM_2036,       // Slot: 20   Index: 36   Name: "Abschaltmoment AUF [Nm]"
        PRM_2041,       // Slot: 20   Index: 41   Name: "Abschaltmoment ZU [Nm]"
        PRM_2121,       // Slot: 21   Index: 21   Name: "EDEnable"
        PRM_2122,       // Slot: 21   Index: 22   Name: "EDMaxTimeHour"
        PRM_2123,       // Slot: 21   Index: 23   Name: "EDMaxStartHour"
        PRM_2175,       // Slot: 21   Index: 75   Name: " Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT"
        PRM_2182,       // Slot: 21   Index: 82   Name: "Anzeigeeinheit Drehmoment"
        PRM_2418,       // Slot: 24   Index: 18   Name: "Diagnoseauswahl"
        PRM_2546,       // Slot: 25   Index: 46   Name: "Applikationsparameter Betriebsart"
        PRM_2547,       // Slot: 25   Index: 47   Name: "Applikationsparameter Stellzeit (Einheit 0,1 sec)"
        PRM_2554,       // Slot: 25   Index: 54   Name: "Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)"
        PRM_2555,       // Slot: 25   Index: 55   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_2556,       // Slot: 25   Index: 56   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)"
        PRM_2591,       // Slot: 25   Index: 91   Name: "Bluetooth-Aktivierung"
        PRM_2865,       // Slot: 28   Index: 65   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2885,       // Slot: 28   Index: 85   Name: "Redundanz-Mode"
        PRM_2916,       // Slot: 29   Index: 16   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler "
        PRM_2917,       // Slot: 29   Index: 17   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler "
        PRM_2923,       // Slot: 29   Index: 23   Name: "Aktivierung NOT-Funktion"
        PRM_2924,       // Slot: 29   Index: 24   Name: "Auswahl Auslösequelle"
        PRM_2950,       // Slot: 29   Index: 50   Name: "NOT Überbrückung Fahrprofil"
        PRM_3135,       // Slot: 31   Index: 35   Name: "\"Freigabe OSS\" Aktivierung"
        PRM_3136,       // Slot: 31   Index: 36   Name: "\"Freigabe OSS\" Verhalten"
        PRM_3143,       // Slot: 31   Index: 43   Name: "\"Lokaler Halt\" Verhalten"
        PRM_3157,       // Slot: 31   Index: 57   Name: "Applikation: Betriebsart Standard-Ausführung"
        PRM_3158,       // Slot: 31   Index: 58   Name: "Applikation: Überwachungszeit"
        PRM_3187,       // Slot: 31   Index: 87   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_3188,       // Slot: 31   Index: 88   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Inkremente)"
        PRM_3217,       // Slot: 32   Index: 17   Name: "Applikationsparameter ApplActivation"
        PRM_3218,       // Slot: 32   Index: 18   Name: "Applikationsparameter ApplMode"
        PRM_3219,       // Slot: 32   Index: 19   Name: "Applikationsparameter ApplBehaviour"
        PRM_3255,       // Slot: 32   Index: 55   Name: "Applikationsparameter ApplIgnoreESD"
        PRM_3295,       // Slot: 32   Index: 95   Name: "NOT Überbrückung Lokaler Halt"
        PRM_3482,       // Slot: 34   Index: 82   Name: "Lwl-Überwachung"
        PRM_3527,       // Slot: 35   Index: 27   Name: "Sende-Mode (sende auf 2 Leitungen)"
        PRM_3590,       // Slot: 35   Index: 90   Name: "Prozeßregler Aktivierung"
        PRM_3596,       // Slot: 35   Index: 96   Name: "Redundanz-Mode"
        PRM_3629,       // Slot: 36   Index: 29   Name: "SetTime_ms"
        PRM_3657,       // Slot: 36   Index: 57   Name: "Komparator Threshold"
        PRM_3667,       // Slot: 36   Index: 67   Name: "Komparator Threshold"
        PRM_3692,       // Slot: 36   Index: 92   Name: "Aktivierung"
        PRM_3693,       // Slot: 36   Index: 93   Name: "Verhalten"
        PRM_3694,       // Slot: 36   Index: 94   Name: "Feldbus beachten"
        PRM_3771,       // Slot: 37   Index: 71   Name: "AutoChangeOver Aktivierung"
        PRM_3971        // Slot: 39   Index: 71   Name: "Drehmomentüberwachung Aktivierung"
    }
}
 
